%define VERSION 5.00
%define RELEASE 1

%ifarch x86_64
%define libs32  /usr/lib
%define LIBS  libs64
%define locallibs  /usr/lib
%define _cflags "CFLAGS=-m64 -march=x86-64"
%define	_machine_type "MACHINETYPE=x86_64"
%else
%define libs32  %{_libdir}
%define LIBS  libs32
%define locallibs      /usr/lib
%define _cflags "CFLAGS=-m32 -march=i686"
%define	_machine_type "MACHINETYPE=i686"
%endif

%define common_dir cnrdrvcups-common-%{VERSION}
%define driver_dir cnrdrvcups-sfp-%{VERSION}
%define utility_dir cnrdrvcups-utility-%{VERSION}
%define b_lib_dir %{_builddir}/lib
%define b_include_dir %{_builddir}/include

%define debug_package %{nil}

#==== introduction ============================================================================================

Summary: Canon UFRII LT / CARPS2 Printer Driver for Linux v%{VERSION}
Name: cnrdrvcups-sfp
Version: %{VERSION}
Release: %{RELEASE}
License: See the LICENSE*.txt file.
Vendor: CANON INC.
Group: Applications/Publishing
Source0: cnrdrvcups-sfp-%{version}-%{release}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root

%description 
Canon UFRII LT / CARPS2 Printer Driver for Linux. 
This UFRII LT / CARPS2 printer driver provides printing functions for Canon LBP
printers operating under the CUPS (Common UNIX Printing System) environment.

%package -n cnrdrvcups-carps2
Summary: Canon CARPS2 Printer Driver for Linux v%{VERSION}
License: See the LICENSE*.txt file.
Vendor: CANON INC.
Group: Applications/Publishing

%description -n cnrdrvcups-carps2
Canon CARPS2 Printer Driver for Linux. 
This CARPS2 printer driver provides printing functions for Canon LBP
printers operating under the CUPS (Common UNIX Printing System) environment.

%package -n cnrdrvcups-ufr2lt-uk
Summary: Canon UFRII LT Printer Driver for Linux v%{VERSION}
License: See the LICENSE*.txt file.
Vendor: CANON INC.
Group: Applications/Publishing

%description -n cnrdrvcups-ufr2lt-uk
Canon UFRII LT Printer Driver for Linux. 
This UFRII LT printer driver provides printing functions for Canon LBP
printers operating under the CUPS (Common UNIX Printing System) environment.

%package -n cnrdrvcups-ufr2lt-us
Summary: Canon UFRII LT Printer Driver for Linux v%{VERSION}
License: See the LICENSE*.txt file.
Vendor: CANON INC.
Group: Applications/Publishing

%description -n cnrdrvcups-ufr2lt-us
Canon UFRII LT Printer Driver for Linux. 
This UFRII LT printer driver provides printing functions for Canon LBP
printers operating under the CUPS (Common UNIX Printing System) environment.
#==== prep section ============================================================================================
%prep

%setup -q

##### common #####
cd %{_builddir}/%{common_dir}
cd buftool
./autogen.sh %{_machine_type} %{_cflags} --prefix=%{_prefix}  --libdir=%{_libdir} --enable-progpath=%{_bindir} --disable-shared --enable-static

cd ../cngplp
./autogen.sh %{_machine_type} %{_cflags} --prefix=%{_prefix} --libdir=%{locallibs} COMMON_SUFFIX=2l

cd ../rasterfilter
./autogen.sh %{_machine_type} %{_cflags} --prefix=%{_prefix} --libdir=%{_libdir}

cd ../cnjbig
./autogen.sh %{_machine_type} %{_cflags} --prefix=%{_prefix}
cd ..

cd ..
##### driver #####
cd ${RPM_BUILD_DIR}/%{driver_dir}
cd ppd
./autogen.sh %{_machine_type} %{_cflags} --prefix=%{_prefix} 

cd ../cngplp
./autogen.sh %{_machine_type} %{_cflags} --prefix=%{_prefix} --libdir=%{_libdir}

cd files
./autogen.sh %{_machine_type} %{_cflags}
cd ..

cd ../StatusMonitor
./autogen.sh %{_machine_type} %{_cflags} --prefix=%{_prefix} --enable-progpath=%{_bindir}

cd ..
cd cpca
./autogen.sh %{_machine_type} %{_cflags} --prefix=%{_prefix} --libdir=%{_libdir} --enable-progpath=%{_bindir}
cd ..
cd ..
#==== build section ============================================================================================
%build
cd ${RPM_BUILD_DIR}/%{common_dir}
cd buftool
make
cp libbuftool.a %{b_lib_dir}/
cp buftool.h %{b_include_dir}/
cp buflist.h %{b_include_dir}/
cd ..

make 

cd ..

cd ${RPM_BUILD_DIR}/%{driver_dir}
make 
cd ..

#==== install section ============================================================================================
%install

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{libs32}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/cups/filter
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/cups/model
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/caepcm/sfp
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/ncapfilterr
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}
mkdir -pv ${RPM_BUILD_ROOT}%{locallibs}
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/cngplp2l
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/cups/usb
mkdir -p ${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR
mkdir -p ${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Bidi
mkdir -p ${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Bins
mkdir -p ${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Libs
mkdir -p ${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Utilities
mkdir -p ${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Utilities/Message/en_US
mkdir -p ${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Utilities/Message/ja
mkdir -p ${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Utilities/Message/fr
mkdir -p ${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Utilities/Message/it
mkdir -p ${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Utilities/Message/de
mkdir -p ${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Utilities/Message/es
mkdir -p  ${RPM_BUILD_ROOT}/var/cache/Canon/
mkdir -p  ${RPM_BUILD_ROOT}/var/cache/Canon/CUPS_SFPR
mkdir -p ${RPM_BUILD_ROOT}/etc/udev/rules.d

chmod 777 ${RPM_BUILD_ROOT}/var/cache/Canon/
chmod 777 ${RPM_BUILD_ROOT}/var/cache/Canon/CUPS_SFPR

# cngplp
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/cngplp2l/
mkdir -pv ${RPM_BUILD_ROOT}%{locallibs}
#utility
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/cnsetuputil2l
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/locale/ja/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/locale/de/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/locale/es/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/locale/fr/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/locale/it/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/locale/zh_CN/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/locale/ko/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/locale/zh_TW/LC_MESSAGES

#### common ####
cd ${RPM_BUILD_DIR}
cd %{common_dir}
make install DESTDIR=${RPM_BUILD_ROOT} COMMON_SUFFIX=2

#install -c -m 644 Rule/*.usb-quirks	${RPM_BUILD_ROOT}%{_prefix}/share/cups/usb

cd %{b_lib_dir}
install -c -m 755 %{LIBS}/libcaepcmsfp.so.1.0			${RPM_BUILD_ROOT}%{_libdir}

install -c -m 755 %{LIBS}/libColorGearCsfp.so.2.0.0    ${RPM_BUILD_ROOT}%{_libdir}

install -c -m 644 data/sfp/*.ICC	${RPM_BUILD_ROOT}%{_prefix}/share/caepcm/sfp

install -c -m 755 %{LIBS}/libcanon_slimsfp.so.1.0.0		${RPM_BUILD_ROOT}%{_libdir}

cd ${RPM_BUILD_ROOT}%{_libdir}
ln -sf libcaepcmsfp.so.1.0			libcaepcmsfp.so.1
ln -sf libcaepcmsfp.so.1.0			libcaepcmsfp.so
ln -sf libcanon_slimsfp.so.1.0.0		libcanon_slimsfp.so.1
ln -sf libcanon_slimsfp.so.1.0.0		libcanon_slimsfp.so
ln -sf libColorGearCsfp.so.2.0.0   libColorGearCsfp.so.2
ln -sf libColorGearCsfp.so.2.0.0   libColorGearCsfp.so

cd -

cd ${RPM_BUILD_ROOT}%{_libdir}

cd ..

#### driver ####
cd ${RPM_BUILD_DIR}/%{driver_dir}
make install DESTDIR=${RPM_BUILD_ROOT}

cd %{b_lib_dir}/
install -c -s -m 755 %{LIBS}/libcanonncapr.so.1.0.0  ${RPM_BUILD_ROOT}%{_libdir}
install -c -s -m 755 %{LIBS}/libncapfilterr.so.1.0.0   ${RPM_BUILD_ROOT}%{_libdir}

install -c -s -m 755 %{LIBS}/libccpd_utilr.so.1.0.0	${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Bidi
install -c -s -m 755 %{LIBS}/libcomm_stdoutr.so.1.0.0	${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Bidi
install -c -s -m 755 %{LIBS}/libcomm_usbmlportr.so.1.0.0	${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Bidi
install -c -s -m 755 %{LIBS}/libcomm_usbsockr.so.1.0.0	${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Bidi
install -c -s -m 755 %{LIBS}/libcomm_websrvr.so.1.0.0	${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Bidi
install -c -s -m 755 %{LIBS}/libcomm_ncapcaior.so.1.0.0     ${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Bidi
install -c -s -m 755 %{LIBS}/libcaio_usb_cdcr.so.1.0.0      ${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Bidi
install -c -s -m 755 %{LIBS}/libCUPS_Communicatorr.so.1.0.0	${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Libs
install -c -s -m 755 %{LIBS}/libCommIsolationr.so.1.0.0		${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Libs
install -c -s -m 755 %{LIBS}/libcanon_commonr.so.1.0.0		${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Libs
install -c -s -m 755 %{LIBS}/libinfor.so.1.0.0			${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Libs
install -c -s -m 755 %{LIBS}/libinfo_analyzer.so.1.0.0		${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Libs
install -c -m 644 ${RPM_BUILD_DIR}/%{driver_dir}/StatusMonitor/Message/en_US/StatusMsg.xml 	${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Utilities/Message/en_US
install -c -m 644 ${RPM_BUILD_DIR}/%{driver_dir}/StatusMonitor/Message/ja/StatusMsg.xml 	${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Utilities/Message/ja
install -c -m 644 ${RPM_BUILD_DIR}/%{driver_dir}/StatusMonitor/Message/fr/StatusMsg.xml 	${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Utilities/Message/fr
install -c -m 644 ${RPM_BUILD_DIR}/%{driver_dir}/StatusMonitor/Message/it/StatusMsg.xml 	${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Utilities/Message/it
install -c -m 644 ${RPM_BUILD_DIR}/%{driver_dir}/StatusMonitor/Message/de/StatusMsg.xml 	${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Utilities/Message/de
install -c -m 644 ${RPM_BUILD_DIR}/%{driver_dir}/StatusMonitor/Message/es/StatusMsg.xml 	${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Utilities/Message/es
install -c -m 755 %{LIBS}/cnpkmodulencapr 	${RPM_BUILD_ROOT}%{_bindir}
install -c -m 755 %{LIBS}/commandfilefilterr 	${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Bins
install -c -m 4755 %{LIBS}/pksmncapr 	${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Utilities


install -c -s -m 755 %{LIBS}/cnrsdrvsfp 	${RPM_BUILD_ROOT}%{_bindir}

#install -c -m 644 data/sfp/CNLH*    ${RPM_BUILD_ROOT}%{_prefix}/share/caepcm/sfp
install -c -m 644 data/sfp/CnLB*	${RPM_BUILD_ROOT}%{_prefix}/share/caepcm/sfp
install -c -m 644 %{LIBS}/ThLB*	${RPM_BUILD_ROOT}%{_prefix}/share/ncapfilterr
install -c -m 644 ${RPM_BUILD_DIR}/%{driver_dir}/rules/80-usb-ncapstatusui2l.rules ${RPM_BUILD_ROOT}/etc/udev/rules.d
install -c -m 644 ${RPM_BUILD_DIR}/%{driver_dir}/rules/canon-sfp-printerr.usb-quirks	${RPM_BUILD_ROOT}%{_prefix}/share/cups/usb

install -c -m 755 %{LIBS}/libcnncapcmr.so.1.0			${RPM_BUILD_ROOT}%{_libdir}

cd ${RPM_BUILD_ROOT}%{_libdir}
ln -sf libcanonncapr.so.1.0.0		libcanonncapr.so
ln -sf libcanonncapr.so.1.0.0		libcanonncapr.so.1
ln -sf libncapfilterr.so.1.0.0		libncapfilterr.so
ln -sf libncapfilterr.so.1.0.0		libncapfilterr.so.1
ln -sf libcnncapcmr.so.1.0			libcnncapcmr.so.1
ln -sf libcnncapcmr.so.1.0			libcnncapcmr.so
cd -

cd ${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Bidi
ln -sf libccpd_utilr.so.1.0.0		libccpd_utilr.so
ln -sf libccpd_utilr.so.1.0.0		libccpd_utilr.so.1
ln -sf libcomm_stdoutr.so.1.0.0		libcomm_stdoutr.so
ln -sf libcomm_stdoutr.so.1.0.0		libcomm_stdoutr.so.1
ln -sf libcomm_usbmlportr.so.1.0.0	libcomm_usbmlportr.so
ln -sf libcomm_usbmlportr.so.1.0.0	libcomm_usbmlportr.so.1
ln -sf libcomm_usbsockr.so.1.0.0		libcomm_usbsockr.so
ln -sf libcomm_usbsockr.so.1.0.0		libcomm_usbsockr.so.1
ln -sf libcomm_websrvr.so.1.0.0		libcomm_websrvr.so
ln -sf libcomm_websrvr.so.1.0.0		libcomm_websrvr.so.1
ln -sf libcomm_ncapcaior.so.1.0.0	libcomm_ncapcaior.so
ln -sf libcomm_ncapcaior.so.1.0.0	libcomm_ncapcaior.so.1
ln -sf libcaio_usb_cdcr.so.1.0.0		libcaio_usb_cdcr.so
ln -sf libcaio_usb_cdcr.so.1.0.0		libcaio_usb_cdcr.so.1
cd -

cd ${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Libs
ln -sf libCUPS_Communicatorr.so.1.0.0	libCUPS_Communicatorr.so
ln -sf libCUPS_Communicatorr.so.1.0.0	libCUPS_Communicatorr.so.1
ln -sf libCommIsolationr.so.1.0.0	libCommIsolationr.so
ln -sf libCommIsolationr.so.1.0.0	libCommIsolationr.so.1
ln -sf libcanon_commonr.so.1.0.0		libcanon_commonr.so
ln -sf libcanon_commonr.so.1.0.0		libcanon_commonr.so.1
ln -sf libinfor.so.1.0.0			libinfor.so
ln -sf libinfor.so.1.0.0			libinfor.so.1
ln -sf libinfo_analyzer.so.1.0.0		libinfo_analyzer.so
ln -sf libinfo_analyzer.so.1.0.0		libinfo_analyzer.so.1
cd -
cd ${RPM_BUILD_ROOT}%{libs32}/Canon/CUPS_SFPR/Libs
cd -

#### utility ####
cd ${RPM_BUILD_DIR}/%{utility_dir}
cd %{b_lib_dir}/
install -c -m 755 %{LIBS}/cnsetuputil2l	${RPM_BUILD_ROOT}%{_prefix}/bin

install -c -m 644 %{LIBS}/ja/LC_MESSAGES/cnsetuputil2l.mo       ${RPM_BUILD_ROOT}%{_prefix}/share/locale/ja/LC_MESSAGES
install -c -m 644 %{LIBS}/de/LC_MESSAGES/cnsetuputil2l.mo       ${RPM_BUILD_ROOT}%{_prefix}/share/locale/de/LC_MESSAGES
install -c -m 644 %{LIBS}/es/LC_MESSAGES/cnsetuputil2l.mo       ${RPM_BUILD_ROOT}%{_prefix}/share/locale/es/LC_MESSAGES
install -c -m 644 %{LIBS}/fr/LC_MESSAGES/cnsetuputil2l.mo       ${RPM_BUILD_ROOT}%{_prefix}/share/locale/fr/LC_MESSAGES
install -c -m 644 %{LIBS}/it/LC_MESSAGES/cnsetuputil2l.mo       ${RPM_BUILD_ROOT}%{_prefix}/share/locale/it/LC_MESSAGES
install -c -m 644 %{LIBS}/zh_CN/LC_MESSAGES/cnsetuputil2l.mo    ${RPM_BUILD_ROOT}%{_prefix}/share/locale/zh_CN/LC_MESSAGES
install -c -m 644 %{LIBS}/ko/LC_MESSAGES/cnsetuputil2l.mo       ${RPM_BUILD_ROOT}%{_prefix}/share/locale/ko/LC_MESSAGES
install -c -m 644 %{LIBS}/zh_TW/LC_MESSAGES/cnsetuputil2l.mo    ${RPM_BUILD_ROOT}%{_prefix}/share/locale/zh_TW/LC_MESSAGES
cd ..
#==== clean section ============================================================================================
%clean
rm -rf $RPM_BUILD_ROOT

%post -n cnrdrvcups-carps2
/sbin/udevadm control --reload-rules >/dev/null 2>&1
/sbin/semanage fcontext -a -t cupsd_var_run_t  "/var/cache/Canon/CUPS_SFPR" >/dev/null 2>&1
/sbin/restorecon -vF  "/var/cache/Canon/CUPS_SFPR" >/dev/null 2>&1
if [ -d /usr/lib64/cups ]; then
	if [ -d /usr/lib/cups ]; then
		cd /usr/lib/cups/filter
		ln -sf ../../../lib64/cups/filter/rastertosfp rastertosfp
	fi
fi
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

%postun -n cnrdrvcups-carps2
/sbin/udevadm control --reload-rules >/dev/null 2>&1
if [ $1 = 0 ]; then
	if [ -d /usr/lib64/cups ]; then
		if [ -d /usr/lib/cups ]; then
			cd /usr/lib/cups/filter
			rm -f rastertosfp
		fi
	fi
	if [ -d /usr/lib/Canon/CUPS_SFPR ]; then
		if [ 0 -eq $(find /usr/lib/Canon/CUPS_SFPR -name "*" -type f | wc -l) ]; then
			rm -rf /usr/lib/Canon/CUPS_SFPR
		fi
	fi
fi
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

%post -n cnrdrvcups-ufr2lt-uk
/sbin/udevadm control --reload-rules >/dev/null 2>&1
/sbin/semanage fcontext -a -t cupsd_var_run_t  "/var/cache/Canon/CUPS_SFPR" >/dev/null 2>&1
/sbin/restorecon -vF  "/var/cache/Canon/CUPS_SFPR" >/dev/null 2>&1
if [ -d /usr/lib64/cups ]; then
	if [ -d /usr/lib/cups ]; then
		cd /usr/lib/cups/filter
		ln -sf ../../../lib64/cups/filter/rastertosfp rastertosfp
	fi
fi
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

%postun -n cnrdrvcups-ufr2lt-uk
/sbin/udevadm control --reload-rules >/dev/null 2>&1
if [ $1 = 0 ]; then
	if [ -d /usr/lib64/cups ]; then
		if [ -d /usr/lib/cups ]; then
			cd /usr/lib/cups/filter
			rm -f rastertosfp
		fi
	fi
	if [ -d /usr/lib/Canon/CUPS_SFPR ]; then
		if [ 0 -eq $(find /usr/lib/Canon/CUPS_SFPR -name "*" -type f | wc -l) ]; then
			rm -rf /usr/lib/Canon/CUPS_SFPR
		fi
	fi
fi
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

%post -n cnrdrvcups-ufr2lt-us
/sbin/udevadm control --reload-rules >/dev/null 2>&1
/sbin/semanage fcontext -a -t cupsd_var_run_t  "/var/cache/Canon/CUPS_SFPR" >/dev/null 2>&1
/sbin/restorecon -vF  "/var/cache/Canon/CUPS_SFPR" >/dev/null 2>&1
if [ -d /usr/lib64/cups ]; then
	if [ -d /usr/lib/cups ]; then
		cd /usr/lib/cups/filter
		ln -sf ../../../lib64/cups/filter/rastertosfp rastertosfp
	fi
fi
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

%postun -n cnrdrvcups-ufr2lt-us
/sbin/udevadm control --reload-rules >/dev/null 2>&1
if [ $1 = 0 ]; then
	if [ -d /usr/lib64/cups ]; then
		if [ -d /usr/lib/cups ]; then
			cd /usr/lib/cups/filter
			rm -f rastertosfp
		fi
	fi
	if [ -d /usr/lib/Canon/CUPS_SFPR ]; then
		if [ 0 -eq $(find /usr/lib/Canon/CUPS_SFPR -name "*" -type f | wc -l) ]; then
			rm -rf /usr/lib/Canon/CUPS_SFPR
		fi
	fi
fi
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

#==== files section ============================================================================================
#==== carps2 ====
%files -n cnrdrvcups-carps2
%defattr(-,root,root)
#### common ####
%{_prefix}/share/locale/ja/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/de/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/es/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/it/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/zh_CN/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/ko/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/zh_TW/LC_MESSAGES/cngplp2l.mo
# cngplp
%{_prefix}/share/cngplp2l/cngplp.glade
#
%{_prefix}/bin/cngplp2l
%{_sysconfdir}/cngplp2l/account
%{_sysconfdir}/cngplp2l/options

%{_libdir}/libcaepcmsfp.so*
%{_libdir}/libcanon_slimsfp.so*

%{_libdir}/libColorGearCsfp.so*

%{_libdir}/cups/filter/rastertosfp
%{_bindir}/cnrsdrvsfp
%{_bindir}/cnjbigsfp

%{_prefix}/share/ncapfilterr/ThLB*

##### driver ####
/var/cache/Canon
/var/cache/Canon/CUPS_SFPR
%{_prefix}/share/ncapfilterr
#
%{_libdir}/libcnncapcmr.so*
%{_libdir}/libcanonncapr.*
%{_libdir}/libncapfilterr.*
%{libs32}/Canon/CUPS_SFPR/Bidi/libccpd_utilr.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcomm_stdoutr.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcomm_usbmlportr.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcomm_usbsockr.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcomm_websrvr.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcomm_ncapcaior.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcaio_usb_cdcr.so*
%{libs32}/Canon/CUPS_SFPR/Libs/libCUPS_Communicatorr.so*
%{libs32}/Canon/CUPS_SFPR/Libs/libCommIsolationr.so*
%{libs32}/Canon/CUPS_SFPR/Libs/libcanon_commonr.so*
%{libs32}/Canon/CUPS_SFPR/Libs/libinfor.so*		
%{libs32}/Canon/CUPS_SFPR/Libs/libinfo_analyzer.so*
%{_bindir}/cnpkmodulencapr
%{libs32}/Canon/CUPS_SFPR/Bins/commandfilefilterr
%{libs32}/Canon/CUPS_SFPR/Utilities/pksmncapr
%{_prefix}/share/cups/model/CNRCUPS*ZNJ.ppd
%{_prefix}/share/caepcm/sfp/C*
%{_libdir}/libuictlncapr.*
%{_prefix}/share/cngplp2l/cngplp_ncap.glade
%{_prefix}/share/cngplp2l/CNL*NJ.res
%{_prefix}/share/cngplp2l/common_ncap.res
%{_prefix}/share/cngplp2l/func_config_ncap.xml
%{_prefix}/share/cups/usb/canon-sfp-printerr.usb-quirks
%{_prefix}/share/locale/ja/LC_MESSAGES/libuictlncapr*.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/libuictlncapr*.mo
%{_prefix}/share/locale/it/LC_MESSAGES/libuictlncapr*.mo
%{_prefix}/share/locale/de/LC_MESSAGES/libuictlncapr*.mo
%{_prefix}/share/locale/es/LC_MESSAGES/libuictlncapr*.mo
%{_prefix}/share/locale/ja/LC_MESSAGES/ncapstatusui2l.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/ncapstatusui2l.mo
%{_prefix}/share/locale/it/LC_MESSAGES/ncapstatusui2l.mo
%{_prefix}/share/locale/de/LC_MESSAGES/ncapstatusui2l.mo
%{_prefix}/share/locale/es/LC_MESSAGES/ncapstatusui2l.mo
%{_prefix}/bin/ncapstatusui2l
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/en_US/StatusMsg.xml
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/ja/StatusMsg.xml
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/fr/StatusMsg.xml
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/it/StatusMsg.xml
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/de/StatusMsg.xml
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/es/StatusMsg.xml
%{_sysconfdir}/udev/rules.d/80-usb-ncapstatusui2l.rules

#%doc LICENSE-JP.txt

##### utility ####
%{_prefix}/share/locale/ja/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/de/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/es/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/it/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/zh_CN/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/ko/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/zh_TW/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/bin/cnsetuputil2l

#==== ufr2lt uk ====
%files -n cnrdrvcups-ufr2lt-uk
%defattr(-,root,root)
#### common ####
%{_prefix}/share/locale/ja/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/de/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/es/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/it/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/zh_CN/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/ko/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/zh_TW/LC_MESSAGES/cngplp2l.mo
# cngplp
%{_prefix}/share/cngplp2l/cngplp.glade
#
%{_prefix}/bin/cngplp2l
%{_sysconfdir}/cngplp2l/account
%{_sysconfdir}/cngplp2l/options

%{_libdir}/libcaepcmsfp.so*
%{_libdir}/libcanon_slimsfp.so*

%{_libdir}/libColorGearCsfp.so*

%{_libdir}/cups/filter/rastertosfp
%{_bindir}/cnrsdrvsfp
%{_bindir}/cnjbigsfp

%{_prefix}/share/ncapfilterr/ThLB*

##### driver ####
/var/cache/Canon
/var/cache/Canon/CUPS_SFPR
%{_prefix}/share/ncapfilterr
#
%{_libdir}/libcnncapcmr.so*
%{_libdir}/libcanonncapr.*
%{_libdir}/libncapfilterr.*
%{libs32}/Canon/CUPS_SFPR/Bidi/libccpd_utilr.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcomm_stdoutr.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcomm_usbmlportr.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcomm_usbsockr.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcomm_websrvr.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcomm_ncapcaior.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcaio_usb_cdcr.so*
%{libs32}/Canon/CUPS_SFPR/Libs/libCUPS_Communicatorr.so*
%{libs32}/Canon/CUPS_SFPR/Libs/libCommIsolationr.so*
%{libs32}/Canon/CUPS_SFPR/Libs/libcanon_commonr.so*
%{libs32}/Canon/CUPS_SFPR/Libs/libinfor.so*		
%{libs32}/Canon/CUPS_SFPR/Libs/libinfo_analyzer.so*
%{_bindir}/cnpkmodulencapr
%{libs32}/Canon/CUPS_SFPR/Bins/commandfilefilterr
%{libs32}/Canon/CUPS_SFPR/Utilities/pksmncapr
%{_prefix}/share/cups/model/CNRCUPS*ZNK.ppd
%{_prefix}/share/caepcm/sfp/C*
%{_libdir}/libuictlncapr.*
%{_prefix}/share/cngplp2l/cngplp_ncap.glade
%{_prefix}/share/cngplp2l/CNL*NK.res
%{_prefix}/share/cngplp2l/common_ncap.res
%{_prefix}/share/cngplp2l/func_config_ncap.xml
%{_prefix}/share/cups/usb/canon-sfp-printerr.usb-quirks
%{_prefix}/share/locale/ja/LC_MESSAGES/libuictlncapr*.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/libuictlncapr*.mo
%{_prefix}/share/locale/it/LC_MESSAGES/libuictlncapr*.mo
%{_prefix}/share/locale/de/LC_MESSAGES/libuictlncapr*.mo
%{_prefix}/share/locale/es/LC_MESSAGES/libuictlncapr*.mo
%{_prefix}/share/locale/ja/LC_MESSAGES/ncapstatusui2l.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/ncapstatusui2l.mo
%{_prefix}/share/locale/it/LC_MESSAGES/ncapstatusui2l.mo
%{_prefix}/share/locale/de/LC_MESSAGES/ncapstatusui2l.mo
%{_prefix}/share/locale/es/LC_MESSAGES/ncapstatusui2l.mo
%{_prefix}/bin/ncapstatusui2l
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/en_US/StatusMsg.xml
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/ja/StatusMsg.xml
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/fr/StatusMsg.xml
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/it/StatusMsg.xml
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/de/StatusMsg.xml
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/es/StatusMsg.xml
%{_sysconfdir}/udev/rules.d/80-usb-ncapstatusui2l.rules

#%doc LICENSE-EN.txt
#%doc LICENSE-FR.txt
#%doc LICENSE-IT.txt
#%doc LICENSE-DE.txt
#%doc LICENSE-ES.txt

##### utility ####
%{_prefix}/share/locale/ja/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/de/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/es/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/it/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/zh_CN/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/ko/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/zh_TW/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/bin/cnsetuputil2l

#==== ufr2lt us ====
%files -n cnrdrvcups-ufr2lt-us
%defattr(-,root,root)
#### common ####
%{_prefix}/share/locale/ja/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/de/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/es/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/it/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/zh_CN/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/ko/LC_MESSAGES/cngplp2l.mo
%{_prefix}/share/locale/zh_TW/LC_MESSAGES/cngplp2l.mo
# cngplp
%{_prefix}/share/cngplp2l/cngplp.glade
#
%{_prefix}/bin/cngplp2l
%{_sysconfdir}/cngplp2l/account
%{_sysconfdir}/cngplp2l/options

%{_libdir}/libcaepcmsfp.so*
%{_libdir}/libcanon_slimsfp.so*

%{_libdir}/libColorGearCsfp.so*

%{_libdir}/cups/filter/rastertosfp
%{_bindir}/cnrsdrvsfp
%{_bindir}/cnjbigsfp

%{_prefix}/share/ncapfilterr/ThLB*

##### driver ####
/var/cache/Canon
/var/cache/Canon/CUPS_SFPR
%{_prefix}/share/ncapfilterr
#
%{_libdir}/libcnncapcmr.so*
%{_libdir}/libcanonncapr.*
%{_libdir}/libncapfilterr.*
%{libs32}/Canon/CUPS_SFPR/Bidi/libccpd_utilr.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcomm_stdoutr.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcomm_usbmlportr.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcomm_usbsockr.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcomm_websrvr.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcomm_ncapcaior.so*
%{libs32}/Canon/CUPS_SFPR/Bidi/libcaio_usb_cdcr.so*
%{libs32}/Canon/CUPS_SFPR/Libs/libCUPS_Communicatorr.so*
%{libs32}/Canon/CUPS_SFPR/Libs/libCommIsolationr.so*
%{libs32}/Canon/CUPS_SFPR/Libs/libcanon_commonr.so*
%{libs32}/Canon/CUPS_SFPR/Libs/libinfor.so*		
%{libs32}/Canon/CUPS_SFPR/Libs/libinfo_analyzer.so*
%{_bindir}/cnpkmodulencapr
%{libs32}/Canon/CUPS_SFPR/Bins/commandfilefilterr
%{libs32}/Canon/CUPS_SFPR/Utilities/pksmncapr
%{_prefix}/share/cups/model/CNRCUPS*ZNS.ppd
%{_prefix}/share/caepcm/sfp/C*
%{_libdir}/libuictlncapr.*
%{_prefix}/share/cngplp2l/cngplp_ncap.glade
%{_prefix}/share/cngplp2l/CNL*NS.res
%{_prefix}/share/cngplp2l/common_ncap.res
%{_prefix}/share/cngplp2l/func_config_ncap.xml
%{_prefix}/share/cups/usb/canon-sfp-printerr.usb-quirks
%{_prefix}/share/locale/ja/LC_MESSAGES/libuictlncapr*.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/libuictlncapr*.mo
%{_prefix}/share/locale/it/LC_MESSAGES/libuictlncapr*.mo
%{_prefix}/share/locale/de/LC_MESSAGES/libuictlncapr*.mo
%{_prefix}/share/locale/es/LC_MESSAGES/libuictlncapr*.mo
%{_prefix}/share/locale/ja/LC_MESSAGES/ncapstatusui2l.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/ncapstatusui2l.mo
%{_prefix}/share/locale/it/LC_MESSAGES/ncapstatusui2l.mo
%{_prefix}/share/locale/de/LC_MESSAGES/ncapstatusui2l.mo
%{_prefix}/share/locale/es/LC_MESSAGES/ncapstatusui2l.mo
%{_prefix}/bin/ncapstatusui2l
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/en_US/StatusMsg.xml
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/ja/StatusMsg.xml
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/fr/StatusMsg.xml
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/it/StatusMsg.xml
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/de/StatusMsg.xml
%{libs32}/Canon/CUPS_SFPR/Utilities/Message/es/StatusMsg.xml
%{_sysconfdir}/udev/rules.d/80-usb-ncapstatusui2l.rules

#%doc LICENSE-EN.txt
##### utility ####
%{_prefix}/share/locale/ja/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/de/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/es/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/it/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/zh_CN/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/ko/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/share/locale/zh_TW/LC_MESSAGES/cnsetuputil2l.mo
%{_prefix}/bin/cnsetuputil2l
