/*
 *  Status monitor for Canon NCAP Printer.
 *  Copyright (C) 2004-2013 CANON INC.
 *  All Rights Reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/*
 * DO NOT EDIT THIS FILE - it is generated by Glade.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

#define GLADE_HOOKUP_OBJECT(component,widget,name) \
  g_object_set_data_full (G_OBJECT (component), name, \
    gtk_widget_ref (widget), (GDestroyNotify) gtk_widget_unref)

#define GLADE_HOOKUP_OBJECT_NO_REF(component,widget,name) \
  g_object_set_data (G_OBJECT (component), name, widget)

GtkWidget*
create_StatusMonitorWnd (void)
{
  GtkWidget *StatusMonitorWnd;
  GtkWidget *vbox_SMWnd;
  GtkWidget *menubar;
  GtkWidget *job;
  GtkWidget *job_menu;
  GtkWidget *continue_retry;
  GtkWidget *cancel_job;
  GtkWidget *options;
  GtkWidget *options_menu;
  GtkWidget *consumables_information;
  GtkWidget *counters;
  GtkWidget *wireless_lan_status;
  GtkWidget *utility;
  GtkWidget *utility_menu;
  GtkWidget *calibration;
  GtkWidget *color_mismatch_correction;
  GtkWidget *cleaning;
  GtkWidget *cleaning1;
  GtkWidget *cleaning2;
  GtkWidget *user_data_list;
  GtkWidget *pcl_font_list;
  GtkWidget *enter_cancel_firmware_update_mode;
  GtkWidget *device_settings;
  GtkWidget *device_settings_menu;
  GtkWidget *switch_paper_feed_method;
  GtkWidget *action_when_paper_size_mismatch_settings;
  GtkWidget *paper_source_settings;
  GtkWidget *settings_for_cancel_job_key;
  GtkWidget *settings_to_disable_wi_fi_key;
  GtkWidget *sleep_settings;
  GtkWidget *auto_shutdown_settings;
  GtkWidget *warning_display_settings;
  GtkWidget *warning_display_details;
  GtkWidget *image_quality_adjustment_settings;
  GtkWidget *paper_size_override_settings;
  GtkWidget *assisting_print_setting;
  GtkWidget *mobile_print_settings;
  GtkWidget *select_language_for_user_data_list;
  GtkWidget *separator1;
  GtkWidget *hide_statusmonitor;
  GtkWidget *SMWndHide_hbuttonbox;
  GtkWidget *SMWndHide_button;
  GtkWidget *vbox_Message;
  GtkWidget *frame_MainMessage;
  GtkWidget *MainMessage_label;
  GtkWidget *MessageTitle_label;
  GtkWidget *scrolledwindow_AssistMessage;
  GtkWidget *AssistMessage_text;
  GtkWidget *frame_ResumeCancel;
  GtkWidget *hbox_ResumeCancel;
  GtkWidget *CancelJob_button;
  GtkWidget *ContinueRetry_button;
  GtkWidget *pc_vbox;
  GtkWidget *pc_frame;
  GtkWidget *pc_frame_alignment;
  GtkWidget *pc_frame_vbox;
  GtkWidget *pc_Message_label_vbox;
  GtkWidget *pc_Message_label;
  GtkWidget *pc_access_purchasing_site_hbuttonbox;
  GtkWidget *pc_access_purchasing_site_button;
  GtkWidget *pc_frame_label;

  StatusMonitorWnd = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  GTK_WIDGET_SET_FLAGS (StatusMonitorWnd, GTK_CAN_DEFAULT);
  gtk_window_set_default_size (GTK_WINDOW (StatusMonitorWnd), 480, 360);
  gtk_window_set_resizable (GTK_WINDOW (StatusMonitorWnd), FALSE);

  vbox_SMWnd = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox_SMWnd);
  gtk_container_add (GTK_CONTAINER (StatusMonitorWnd), vbox_SMWnd);

  menubar = gtk_menu_bar_new ();
  gtk_widget_show (menubar);
  gtk_box_pack_start (GTK_BOX (vbox_SMWnd), menubar, FALSE, FALSE, 0);
  GTK_WIDGET_SET_FLAGS (menubar, GTK_CAN_DEFAULT);

  job = gtk_menu_item_new_with_mnemonic (_("Job"));
  gtk_widget_show (job);
  gtk_container_add (GTK_CONTAINER (menubar), job);

  job_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (job), job_menu);

  continue_retry = gtk_menu_item_new_with_mnemonic (_("Continue/Retry"));
  gtk_container_add (GTK_CONTAINER (job_menu), continue_retry);

  cancel_job = gtk_menu_item_new_with_mnemonic (_("Cancel Job"));
  gtk_container_add (GTK_CONTAINER (job_menu), cancel_job);

  options = gtk_menu_item_new_with_mnemonic (_("Options"));
  gtk_widget_show (options);
  gtk_container_add (GTK_CONTAINER (menubar), options);

  options_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (options), options_menu);

  consumables_information = gtk_menu_item_new_with_mnemonic (_("Consumables Information..."));
  gtk_container_add (GTK_CONTAINER (options_menu), consumables_information);

  counters = gtk_menu_item_new_with_mnemonic (_("Counter Information..."));
  gtk_container_add (GTK_CONTAINER (options_menu), counters);

  wireless_lan_status = gtk_menu_item_new_with_mnemonic (_("Wireless LAN Status..."));
  gtk_container_add (GTK_CONTAINER (options_menu), wireless_lan_status);

  utility = gtk_menu_item_new_with_mnemonic (_("Utility"));
  gtk_container_add (GTK_CONTAINER (options_menu), utility);

  utility_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (utility), utility_menu);

  calibration = gtk_menu_item_new_with_mnemonic (_("Calibration..."));
  gtk_container_add (GTK_CONTAINER (utility_menu), calibration);

  color_mismatch_correction = gtk_menu_item_new_with_mnemonic (_("Color Mismatch Correction..."));
  gtk_container_add (GTK_CONTAINER (utility_menu), color_mismatch_correction);

  cleaning = gtk_menu_item_new_with_mnemonic (_("Cleaning..."));
  gtk_container_add (GTK_CONTAINER (utility_menu), cleaning);

  cleaning1 = gtk_menu_item_new_with_mnemonic (_("Cleaning 1..."));
  gtk_container_add (GTK_CONTAINER (utility_menu), cleaning1);

  cleaning2 = gtk_menu_item_new_with_mnemonic (_("Cleaning 2..."));
  gtk_container_add (GTK_CONTAINER (utility_menu), cleaning2);

  user_data_list = gtk_menu_item_new_with_mnemonic (_("User Data List..."));
  gtk_container_add (GTK_CONTAINER (utility_menu), user_data_list);

  pcl_font_list = gtk_menu_item_new_with_mnemonic (_("PCL Font List..."));
  gtk_container_add (GTK_CONTAINER (utility_menu), pcl_font_list);

  enter_cancel_firmware_update_mode = gtk_menu_item_new_with_mnemonic (_("Enter/Cancel Firmware Update Mode..."));
  gtk_container_add (GTK_CONTAINER (utility_menu), enter_cancel_firmware_update_mode);

  device_settings = gtk_menu_item_new_with_mnemonic (_("Device Settings"));
  gtk_container_add (GTK_CONTAINER (options_menu), device_settings);

  device_settings_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (device_settings), device_settings_menu);

  switch_paper_feed_method = gtk_menu_item_new_with_mnemonic (_("Switch Paper Feed Method..."));
  gtk_container_add (GTK_CONTAINER (device_settings_menu), switch_paper_feed_method);

  action_when_paper_size_mismatch_settings = gtk_menu_item_new_with_mnemonic (_("Action When Paper Size Mismatch Settings..."));
  gtk_container_add (GTK_CONTAINER (device_settings_menu), action_when_paper_size_mismatch_settings);

  paper_source_settings = gtk_menu_item_new_with_mnemonic (_("Paper Source Settings..."));
  gtk_container_add (GTK_CONTAINER (device_settings_menu), paper_source_settings);

  settings_for_cancel_job_key = gtk_menu_item_new_with_mnemonic (_("Settings for Cancel Job Key..."));
  gtk_container_add (GTK_CONTAINER (device_settings_menu), settings_for_cancel_job_key);

  settings_to_disable_wi_fi_key = gtk_menu_item_new_with_mnemonic (_("Settings to Disable Wi-Fi Key..."));
  gtk_container_add (GTK_CONTAINER (device_settings_menu), settings_to_disable_wi_fi_key);

  sleep_settings = gtk_menu_item_new_with_mnemonic (_("Sleep Settings..."));
  gtk_container_add (GTK_CONTAINER (device_settings_menu), sleep_settings);

  auto_shutdown_settings = gtk_menu_item_new_with_mnemonic (_("Auto Shutdown Settings..."));
  gtk_container_add (GTK_CONTAINER (device_settings_menu), auto_shutdown_settings);

  warning_display_settings = gtk_menu_item_new_with_mnemonic (_("Warning Display Settings..."));
  gtk_container_add (GTK_CONTAINER (device_settings_menu), warning_display_settings);

  warning_display_details = gtk_menu_item_new_with_mnemonic (_("Warning Display Details..."));
  gtk_container_add (GTK_CONTAINER (device_settings_menu), warning_display_details);

  image_quality_adjustment_settings = gtk_menu_item_new_with_mnemonic (_("Image Quality Adjustment Settings..."));
  gtk_container_add (GTK_CONTAINER (device_settings_menu), image_quality_adjustment_settings);

  paper_size_override_settings = gtk_menu_item_new_with_mnemonic (_("Paper Size Override Settings..."));
  gtk_container_add (GTK_CONTAINER (device_settings_menu), paper_size_override_settings);

  assisting_print_setting = gtk_menu_item_new_with_mnemonic (_("Assisting Print Settings..."));
  gtk_container_add (GTK_CONTAINER (device_settings_menu), assisting_print_setting);

  mobile_print_settings = gtk_menu_item_new_with_mnemonic (_("Mobile Print Settings..."));
  gtk_container_add (GTK_CONTAINER (device_settings_menu), mobile_print_settings);

  select_language_for_user_data_list = gtk_menu_item_new_with_mnemonic (_("Select Language for User Data List..."));
  gtk_container_add (GTK_CONTAINER (device_settings_menu), select_language_for_user_data_list);

  separator1 = gtk_separator_menu_item_new ();
  gtk_widget_show (separator1);
  gtk_container_add (GTK_CONTAINER (options_menu), separator1);
  gtk_widget_set_sensitive (separator1, FALSE);

  hide_statusmonitor = gtk_menu_item_new_with_mnemonic (_("Hide Statusmonitor"));
  gtk_container_add (GTK_CONTAINER (options_menu), hide_statusmonitor);

  SMWndHide_hbuttonbox = gtk_hbutton_box_new ();
  gtk_widget_show (SMWndHide_hbuttonbox);
  gtk_box_pack_start (GTK_BOX (vbox_SMWnd), SMWndHide_hbuttonbox, TRUE, TRUE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (SMWndHide_hbuttonbox), GTK_BUTTONBOX_END);
  gtk_box_set_spacing (GTK_BOX (SMWndHide_hbuttonbox), 30);

  SMWndHide_button = gtk_button_new_with_mnemonic (_("Hide Statusmonitor"));
  gtk_widget_show (SMWndHide_button);
  gtk_container_add (GTK_CONTAINER (SMWndHide_hbuttonbox), SMWndHide_button);
  GTK_WIDGET_SET_FLAGS (SMWndHide_button, GTK_CAN_DEFAULT);

  vbox_Message = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox_Message);
  gtk_box_pack_start (GTK_BOX (vbox_SMWnd), vbox_Message, FALSE, FALSE, 0);

  frame_MainMessage = gtk_frame_new (NULL);
  gtk_widget_show (frame_MainMessage);
  gtk_box_pack_start (GTK_BOX (vbox_Message), frame_MainMessage, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame_MainMessage), 5);

  MainMessage_label = gtk_label_new ("");
  gtk_widget_show (MainMessage_label);
  gtk_container_add (GTK_CONTAINER (frame_MainMessage), MainMessage_label);
  gtk_widget_set_size_request (MainMessage_label, -1, 50);
  gtk_label_set_line_wrap (GTK_LABEL (MainMessage_label), TRUE);
  gtk_misc_set_alignment (GTK_MISC (MainMessage_label), 0.1, 0.2);

  MessageTitle_label = gtk_label_new (_("Message"));
  gtk_widget_show (MessageTitle_label);
  gtk_frame_set_label_widget (GTK_FRAME (frame_MainMessage), MessageTitle_label);

  scrolledwindow_AssistMessage = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_show (scrolledwindow_AssistMessage);
  gtk_box_pack_start (GTK_BOX (vbox_Message), scrolledwindow_AssistMessage, TRUE, TRUE, 0);
  gtk_widget_set_size_request (scrolledwindow_AssistMessage, 380, 180);
  gtk_container_set_border_width (GTK_CONTAINER (scrolledwindow_AssistMessage), 5);
  GTK_WIDGET_UNSET_FLAGS (scrolledwindow_AssistMessage, GTK_CAN_FOCUS);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolledwindow_AssistMessage), GTK_POLICY_NEVER, GTK_POLICY_ALWAYS);
  gtk_scrolled_window_set_shadow_type (GTK_SCROLLED_WINDOW (scrolledwindow_AssistMessage), GTK_SHADOW_IN);

  AssistMessage_text = gtk_text_view_new ();
  gtk_widget_show (AssistMessage_text);
  gtk_container_add (GTK_CONTAINER (scrolledwindow_AssistMessage), AssistMessage_text);
  gtk_text_view_set_editable (GTK_TEXT_VIEW (AssistMessage_text), FALSE);
  gtk_text_view_set_wrap_mode (GTK_TEXT_VIEW (AssistMessage_text), GTK_WRAP_WORD);

  frame_ResumeCancel = gtk_frame_new (NULL);
  gtk_widget_show (frame_ResumeCancel);
  gtk_box_pack_start (GTK_BOX (vbox_SMWnd), frame_ResumeCancel, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame_ResumeCancel), 5);
  gtk_frame_set_shadow_type (GTK_FRAME (frame_ResumeCancel), GTK_SHADOW_NONE);

  hbox_ResumeCancel = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox_ResumeCancel);
  gtk_container_add (GTK_CONTAINER (frame_ResumeCancel), hbox_ResumeCancel);

  CancelJob_button = gtk_button_new_with_mnemonic (_("Cancel Job"));
  gtk_widget_show (CancelJob_button);
  gtk_box_pack_end (GTK_BOX (hbox_ResumeCancel), CancelJob_button, FALSE, FALSE, 3);
  gtk_widget_set_sensitive (CancelJob_button, FALSE);

  ContinueRetry_button = gtk_button_new_with_mnemonic (_("Continue/Retry"));
  gtk_widget_show (ContinueRetry_button);
  gtk_box_pack_end (GTK_BOX (hbox_ResumeCancel), ContinueRetry_button, FALSE, FALSE, 0);
  gtk_widget_set_sensitive (ContinueRetry_button, FALSE);

  pc_vbox = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (pc_vbox);
  gtk_box_pack_start (GTK_BOX (vbox_SMWnd), pc_vbox, TRUE, TRUE, 0);

  pc_frame = gtk_frame_new (NULL);
  gtk_widget_show (pc_frame);
  gtk_box_pack_start (GTK_BOX (pc_vbox), pc_frame, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (pc_frame), 5);

  pc_frame_alignment = gtk_alignment_new (0.5, 0.5, 1, 1);
  gtk_widget_show (pc_frame_alignment);
  gtk_container_add (GTK_CONTAINER (pc_frame), pc_frame_alignment);
  gtk_alignment_set_padding (GTK_ALIGNMENT (pc_frame_alignment), 5, 10, 10, 10);

  pc_frame_vbox = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (pc_frame_vbox);
  gtk_container_add (GTK_CONTAINER (pc_frame_alignment), pc_frame_vbox);

  pc_Message_label_vbox = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (pc_Message_label_vbox);
  gtk_box_pack_start (GTK_BOX (pc_frame_vbox), pc_Message_label_vbox, FALSE, FALSE, 0);

  pc_Message_label = gtk_label_new (_("Click the button below to access Canon's online site for purchasing consumables such as cartridges, etc."));
  gtk_widget_show (pc_Message_label);
  gtk_box_pack_end (GTK_BOX (pc_Message_label_vbox), pc_Message_label, FALSE, FALSE, 0);
  gtk_widget_set_size_request (pc_Message_label, 337, 70);
  gtk_label_set_line_wrap (GTK_LABEL (pc_Message_label), TRUE);
  gtk_misc_set_alignment (GTK_MISC (pc_Message_label), 0, 0);

  pc_access_purchasing_site_hbuttonbox = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (pc_access_purchasing_site_hbuttonbox);
  gtk_box_pack_start (GTK_BOX (pc_frame_vbox), pc_access_purchasing_site_hbuttonbox, TRUE, TRUE, 0);

  pc_access_purchasing_site_button = gtk_button_new_with_mnemonic (_("Access Purchasing Site..."));
  gtk_widget_show (pc_access_purchasing_site_button);
  gtk_box_pack_end (GTK_BOX (pc_access_purchasing_site_hbuttonbox), pc_access_purchasing_site_button, FALSE, FALSE, 0);
  gtk_widget_set_sensitive (pc_access_purchasing_site_button, FALSE);

  pc_frame_label = gtk_label_new (_("Purchase Consumables"));
  gtk_widget_show (pc_frame_label);
  gtk_frame_set_label_widget (GTK_FRAME (pc_frame), pc_frame_label);

  g_signal_connect ((gpointer) StatusMonitorWnd, "destroy",
                    G_CALLBACK (on_StatusMonitorWnd_destroy),
                    NULL);
  g_signal_connect ((gpointer) StatusMonitorWnd, "delete_event",
                    G_CALLBACK (on_StatusMonitorWnd_delete_event),
                    NULL);
  g_signal_connect ((gpointer) continue_retry, "activate",
                    G_CALLBACK (on_continue_retry_activate),
                    NULL);
  g_signal_connect ((gpointer) cancel_job, "activate",
                    G_CALLBACK (on_cancel_job_activate),
                    NULL);
  g_signal_connect ((gpointer) consumables_information, "activate",
                    G_CALLBACK (on_consumables_information_activate),
                    NULL);
  g_signal_connect ((gpointer) counters, "activate",
                    G_CALLBACK (on_counters_activate),
                    NULL);
  g_signal_connect ((gpointer) wireless_lan_status, "activate",
                    G_CALLBACK (on_wireless_lan_status_activate),
                    NULL);
  g_signal_connect ((gpointer) calibration, "activate",
                    G_CALLBACK (on_calibration_activate),
                    NULL);
  g_signal_connect ((gpointer) color_mismatch_correction, "activate",
                    G_CALLBACK (on_color_mismatch_correction_activate),
                    NULL);
  g_signal_connect ((gpointer) cleaning, "activate",
                    G_CALLBACK (on_cleaning_activate),
                    NULL);
  g_signal_connect ((gpointer) cleaning1, "activate",
                    G_CALLBACK (on_cleaning1_activate),
                    NULL);
  g_signal_connect ((gpointer) cleaning2, "activate",
                    G_CALLBACK (on_cleaning2_activate),
                    NULL);
  g_signal_connect ((gpointer) user_data_list, "activate",
                    G_CALLBACK (on_user_data_list_activate),
                    NULL);
  g_signal_connect ((gpointer) pcl_font_list, "activate",
                    G_CALLBACK (on_pcl_font_list_activate),
                    NULL);
  g_signal_connect ((gpointer) enter_cancel_firmware_update_mode, "activate",
                    G_CALLBACK (on_enter_cancel_firmware_update_mode_activate),
                    NULL);
  g_signal_connect ((gpointer) switch_paper_feed_method, "activate",
                    G_CALLBACK (on_switch_paper_feed_method_activate),
                    NULL);
  g_signal_connect ((gpointer) action_when_paper_size_mismatch_settings, "activate",
                    G_CALLBACK (on_action_when_paper_size_mismatch_settings_activate),
                    NULL);
  g_signal_connect ((gpointer) paper_source_settings, "activate",
                    G_CALLBACK (on_paper_source_settings_activate),
                    NULL);
  g_signal_connect ((gpointer) settings_for_cancel_job_key, "activate",
                    G_CALLBACK (on_settings_for_cancel_job_key_activate),
                    NULL);
  g_signal_connect ((gpointer) settings_to_disable_wi_fi_key, "activate",
                    G_CALLBACK (on_settings_to_disable_wi_fi_key_activate),
                    NULL);
  g_signal_connect ((gpointer) sleep_settings, "activate",
                    G_CALLBACK (on_sleep_settings_activate),
                    NULL);
  g_signal_connect ((gpointer) auto_shutdown_settings, "activate",
                    G_CALLBACK (on_auto_shutdown_settings_activate),
                    NULL);
  g_signal_connect ((gpointer) warning_display_settings, "activate",
                    G_CALLBACK (on_warning_display_settings_activate),
                    NULL);
  g_signal_connect ((gpointer) warning_display_details, "activate",
                    G_CALLBACK (on_warning_display_details_activate),
                    NULL);
  g_signal_connect ((gpointer) image_quality_adjustment_settings, "activate",
                    G_CALLBACK (on_image_quality_adjustment_settings_activate),
                    NULL);
  g_signal_connect ((gpointer) paper_size_override_settings, "activate",
                    G_CALLBACK (on_paper_size_override_settings_activate),
                    NULL);
  g_signal_connect ((gpointer) assisting_print_setting, "activate",
                    G_CALLBACK (on_assisting_print_setting_activate),
                    NULL);
  g_signal_connect ((gpointer) mobile_print_settings, "activate",
                    G_CALLBACK (on_mobile_print_settings_activate),
                    NULL);
  g_signal_connect ((gpointer) select_language_for_user_data_list, "activate",
                    G_CALLBACK (on_select_language_for_user_data_list_activate),
                    NULL);
  g_signal_connect ((gpointer) hide_statusmonitor, "activate",
                    G_CALLBACK (on_hide_statusmonitor_activate),
                    NULL);
  g_signal_connect ((gpointer) SMWndHide_button, "clicked",
                    G_CALLBACK (on_HideSM_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) CancelJob_button, "clicked",
                    G_CALLBACK (on_CancelJob_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) ContinueRetry_button, "clicked",
                    G_CALLBACK (on_ContinueRetry_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) pc_access_purchasing_site_button, "clicked",
                    G_CALLBACK (on_pc_access_purchasing_site_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (StatusMonitorWnd, StatusMonitorWnd, "StatusMonitorWnd");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, vbox_SMWnd, "vbox_SMWnd");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, menubar, "menubar");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, job, "job");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, job_menu, "job_menu");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, continue_retry, "continue_retry");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, cancel_job, "cancel_job");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, options, "options");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, options_menu, "options_menu");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, consumables_information, "consumables_information");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, counters, "counters");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, wireless_lan_status, "wireless_lan_status");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, utility, "utility");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, utility_menu, "utility_menu");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, calibration, "calibration");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, color_mismatch_correction, "color_mismatch_correction");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, cleaning, "cleaning");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, cleaning1, "cleaning1");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, cleaning2, "cleaning2");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, user_data_list, "user_data_list");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, pcl_font_list, "pcl_font_list");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, enter_cancel_firmware_update_mode, "enter_cancel_firmware_update_mode");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, device_settings, "device_settings");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, device_settings_menu, "device_settings_menu");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, switch_paper_feed_method, "switch_paper_feed_method");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, action_when_paper_size_mismatch_settings, "action_when_paper_size_mismatch_settings");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, paper_source_settings, "paper_source_settings");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, settings_for_cancel_job_key, "settings_for_cancel_job_key");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, settings_to_disable_wi_fi_key, "settings_to_disable_wi_fi_key");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, sleep_settings, "sleep_settings");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, auto_shutdown_settings, "auto_shutdown_settings");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, warning_display_settings, "warning_display_settings");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, warning_display_details, "warning_display_details");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, image_quality_adjustment_settings, "image_quality_adjustment_settings");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, paper_size_override_settings, "paper_size_override_settings");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, assisting_print_setting, "assisting_print_setting");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, mobile_print_settings, "mobile_print_settings");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, select_language_for_user_data_list, "select_language_for_user_data_list");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, separator1, "separator1");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, hide_statusmonitor, "hide_statusmonitor");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, SMWndHide_hbuttonbox, "SMWndHide_hbuttonbox");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, SMWndHide_button, "SMWndHide_button");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, vbox_Message, "vbox_Message");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, frame_MainMessage, "frame_MainMessage");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, MainMessage_label, "MainMessage_label");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, MessageTitle_label, "MessageTitle_label");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, scrolledwindow_AssistMessage, "scrolledwindow_AssistMessage");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, AssistMessage_text, "AssistMessage_text");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, frame_ResumeCancel, "frame_ResumeCancel");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, hbox_ResumeCancel, "hbox_ResumeCancel");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, CancelJob_button, "CancelJob_button");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, ContinueRetry_button, "ContinueRetry_button");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, pc_vbox, "pc_vbox");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, pc_frame, "pc_frame");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, pc_frame_alignment, "pc_frame_alignment");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, pc_frame_vbox, "pc_frame_vbox");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, pc_Message_label_vbox, "pc_Message_label_vbox");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, pc_Message_label, "pc_Message_label");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, pc_access_purchasing_site_hbuttonbox, "pc_access_purchasing_site_hbuttonbox");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, pc_access_purchasing_site_button, "pc_access_purchasing_site_button");
  GLADE_HOOKUP_OBJECT (StatusMonitorWnd, pc_frame_label, "pc_frame_label");

  gtk_widget_grab_default (StatusMonitorWnd);
  return StatusMonitorWnd;
}

GtkWidget*
create_Msg_dialog (void)
{
  GtkWidget *Msg_dialog;
  GtkWidget *dialog_vbox3;
  GtkWidget *frame49;
  GtkWidget *MsgDlg_label;
  GtkWidget *dialog_action_area3;
  GtkWidget *hbuttonbox3;
  GtkWidget *MsgDlg_OK_button;
  GtkWidget *MsgDlg_Cancel_button;

  Msg_dialog = gtk_dialog_new ();
  gtk_window_set_position (GTK_WINDOW (Msg_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (Msg_dialog), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (Msg_dialog), 200, 130);
  gtk_window_set_resizable (GTK_WINDOW (Msg_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (Msg_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  dialog_vbox3 = GTK_DIALOG (Msg_dialog)->vbox;
  gtk_widget_show (dialog_vbox3);

  frame49 = gtk_frame_new (NULL);
  gtk_widget_show (frame49);
  gtk_box_pack_start (GTK_BOX (dialog_vbox3), frame49, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame49), 15);
  gtk_frame_set_shadow_type (GTK_FRAME (frame49), GTK_SHADOW_NONE);

  MsgDlg_label = gtk_label_new ("");
  gtk_widget_show (MsgDlg_label);
  gtk_container_add (GTK_CONTAINER (frame49), MsgDlg_label);
  gtk_misc_set_alignment (GTK_MISC (MsgDlg_label), 0, 0.5);

  dialog_action_area3 = GTK_DIALOG (Msg_dialog)->action_area;
  gtk_widget_show (dialog_action_area3);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area3), GTK_BUTTONBOX_END);

  hbuttonbox3 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox3);
  gtk_container_add (GTK_CONTAINER (dialog_action_area3), hbuttonbox3);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox3), GTK_BUTTONBOX_SPREAD);

  MsgDlg_OK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (MsgDlg_OK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox3), MsgDlg_OK_button);
  GTK_WIDGET_SET_FLAGS (MsgDlg_OK_button, GTK_CAN_DEFAULT);

  MsgDlg_Cancel_button = gtk_button_new_with_mnemonic (_("Cancel "));
  gtk_widget_show (MsgDlg_Cancel_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox3), MsgDlg_Cancel_button);
  GTK_WIDGET_SET_FLAGS (MsgDlg_Cancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) Msg_dialog, "destroy",
                    G_CALLBACK (on_Msg_dialog_destroy),
                    NULL);
  g_signal_connect ((gpointer) MsgDlg_OK_button, "clicked",
                    G_CALLBACK (on_MsgDlg_OK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) MsgDlg_Cancel_button, "clicked",
                    G_CALLBACK (on_MsgDlg_Cancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (Msg_dialog, Msg_dialog, "Msg_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (Msg_dialog, dialog_vbox3, "dialog_vbox3");
  GLADE_HOOKUP_OBJECT (Msg_dialog, frame49, "frame49");
  GLADE_HOOKUP_OBJECT (Msg_dialog, MsgDlg_label, "MsgDlg_label");
  GLADE_HOOKUP_OBJECT_NO_REF (Msg_dialog, dialog_action_area3, "dialog_action_area3");
  GLADE_HOOKUP_OBJECT (Msg_dialog, hbuttonbox3, "hbuttonbox3");
  GLADE_HOOKUP_OBJECT (Msg_dialog, MsgDlg_OK_button, "MsgDlg_OK_button");
  GLADE_HOOKUP_OBJECT (Msg_dialog, MsgDlg_Cancel_button, "MsgDlg_Cancel_button");

  return Msg_dialog;
}

GtkWidget*
create_SleepS_dialog (void)
{
  GtkWidget *SleepS_dialog;
  GtkWidget *dialog_vbox6;
  GtkWidget *frame53;
  GtkWidget *vbox39;
  GtkWidget *SleepSDlg_Use_checkbutton;
  GtkWidget *hbox61;
  GtkWidget *label157;
  GtkWidget *SleepSDlg_Time_combo;
  GtkWidget *label158;
  GtkWidget *dialog_action_area6;
  GtkWidget *hbuttonbox6;
  GtkWidget *SleepSDlg_OK_button;
  GtkWidget *SleepSDlg_Cancel_button;

  SleepS_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (SleepS_dialog), _("Sleep Settings"));
  gtk_window_set_position (GTK_WINDOW (SleepS_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (SleepS_dialog), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (SleepS_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (SleepS_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  dialog_vbox6 = GTK_DIALOG (SleepS_dialog)->vbox;
  gtk_widget_show (dialog_vbox6);

  frame53 = gtk_frame_new (NULL);
  gtk_widget_show (frame53);
  gtk_box_pack_start (GTK_BOX (dialog_vbox6), frame53, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame53), 5);
  gtk_frame_set_shadow_type (GTK_FRAME (frame53), GTK_SHADOW_NONE);

  vbox39 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox39);
  gtk_container_add (GTK_CONTAINER (frame53), vbox39);

  SleepSDlg_Use_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Sleep Mode"));
  gtk_widget_show (SleepSDlg_Use_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox39), SleepSDlg_Use_checkbutton, FALSE, FALSE, 0);

  hbox61 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox61);
  gtk_box_pack_start (GTK_BOX (vbox39), hbox61, TRUE, TRUE, 0);

  label157 = gtk_label_new (_("Time to Enter Sleep Mode:   "));
  gtk_widget_show (label157);
  gtk_box_pack_start (GTK_BOX (hbox61), label157, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label157), GTK_JUSTIFY_CENTER);
  gtk_misc_set_padding (GTK_MISC (label157), 3, 0);

  SleepSDlg_Time_combo = gtk_combo_box_new_text ();
  gtk_widget_show (SleepSDlg_Time_combo);
  gtk_box_pack_start (GTK_BOX (hbox61), SleepSDlg_Time_combo, TRUE, TRUE, 0);

  label158 = gtk_label_new (_("minutes"));
  gtk_widget_show (label158);
  gtk_box_pack_start (GTK_BOX (hbox61), label158, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label158), GTK_JUSTIFY_CENTER);
  gtk_misc_set_padding (GTK_MISC (label158), 3, 0);

  dialog_action_area6 = GTK_DIALOG (SleepS_dialog)->action_area;
  gtk_widget_show (dialog_action_area6);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area6), GTK_BUTTONBOX_END);

  hbuttonbox6 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox6);
  gtk_container_add (GTK_CONTAINER (dialog_action_area6), hbuttonbox6);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox6), GTK_BUTTONBOX_END);

  SleepSDlg_OK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (SleepSDlg_OK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox6), SleepSDlg_OK_button);
  GTK_WIDGET_SET_FLAGS (SleepSDlg_OK_button, GTK_CAN_DEFAULT);

  SleepSDlg_Cancel_button = gtk_button_new_with_mnemonic (_("Cancel "));
  gtk_widget_show (SleepSDlg_Cancel_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox6), SleepSDlg_Cancel_button);
  GTK_WIDGET_SET_FLAGS (SleepSDlg_Cancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) SleepS_dialog, "delete_event",
                    G_CALLBACK (on_SleepS_dialog_delete_event),
                    NULL);
  g_signal_connect ((gpointer) SleepS_dialog, "destroy",
                    G_CALLBACK (on_SleepS_dialog_destroy),
                    NULL);
  g_signal_connect ((gpointer) SleepSDlg_Use_checkbutton, "toggled",
                    G_CALLBACK (on_SleepSDlg_Use_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) SleepSDlg_OK_button, "clicked",
                    G_CALLBACK (on_SleepSDlg_OK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) SleepSDlg_Cancel_button, "clicked",
                    G_CALLBACK (on_SleepSDlg_Cancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (SleepS_dialog, SleepS_dialog, "SleepS_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (SleepS_dialog, dialog_vbox6, "dialog_vbox6");
  GLADE_HOOKUP_OBJECT (SleepS_dialog, frame53, "frame53");
  GLADE_HOOKUP_OBJECT (SleepS_dialog, vbox39, "vbox39");
  GLADE_HOOKUP_OBJECT (SleepS_dialog, SleepSDlg_Use_checkbutton, "SleepSDlg_Use_checkbutton");
  GLADE_HOOKUP_OBJECT (SleepS_dialog, hbox61, "hbox61");
  GLADE_HOOKUP_OBJECT (SleepS_dialog, label157, "label157");
  GLADE_HOOKUP_OBJECT (SleepS_dialog, SleepSDlg_Time_combo, "SleepSDlg_Time_combo");
  GLADE_HOOKUP_OBJECT (SleepS_dialog, label158, "label158");
  GLADE_HOOKUP_OBJECT_NO_REF (SleepS_dialog, dialog_action_area6, "dialog_action_area6");
  GLADE_HOOKUP_OBJECT (SleepS_dialog, hbuttonbox6, "hbuttonbox6");
  GLADE_HOOKUP_OBJECT (SleepS_dialog, SleepSDlg_OK_button, "SleepSDlg_OK_button");
  GLADE_HOOKUP_OBJECT (SleepS_dialog, SleepSDlg_Cancel_button, "SleepSDlg_Cancel_button");

  return SleepS_dialog;
}

GtkWidget*
create_CancelJobKeyDlg_dialog (void)
{
  GtkWidget *CancelJobKeyDlg_dialog;
  GtkWidget *dialog_vbox7;
  GtkWidget *frame54;
  GtkWidget *vbox40;
  GtkWidget *CJKDlg_ErrorJob_checkbutton;
  GtkWidget *dialog_action_area7;
  GtkWidget *hbuttonbox7;
  GtkWidget *CJKDlg_OK_button;
  GtkWidget *CJKDlg_Cancel_button;

  CancelJobKeyDlg_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (CancelJobKeyDlg_dialog), _("Settings of the Cancel Job Key"));
  gtk_window_set_position (GTK_WINDOW (CancelJobKeyDlg_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (CancelJobKeyDlg_dialog), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (CancelJobKeyDlg_dialog), 400, -1);
  gtk_window_set_resizable (GTK_WINDOW (CancelJobKeyDlg_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (CancelJobKeyDlg_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  dialog_vbox7 = GTK_DIALOG (CancelJobKeyDlg_dialog)->vbox;
  gtk_widget_show (dialog_vbox7);

  frame54 = gtk_frame_new (NULL);
  gtk_widget_show (frame54);
  gtk_box_pack_start (GTK_BOX (dialog_vbox7), frame54, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame54), 10);
  gtk_frame_set_shadow_type (GTK_FRAME (frame54), GTK_SHADOW_NONE);

  vbox40 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox40);
  gtk_container_add (GTK_CONTAINER (frame54), vbox40);

  CJKDlg_ErrorJob_checkbutton = gtk_check_button_new_with_mnemonic (_("Allow Cancel Job Key to Be Used"));
  gtk_widget_show (CJKDlg_ErrorJob_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox40), CJKDlg_ErrorJob_checkbutton, FALSE, FALSE, 0);
  gtk_widget_set_size_request (CJKDlg_ErrorJob_checkbutton, 420, -1);

  dialog_action_area7 = GTK_DIALOG (CancelJobKeyDlg_dialog)->action_area;
  gtk_widget_show (dialog_action_area7);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area7), GTK_BUTTONBOX_END);

  hbuttonbox7 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox7);
  gtk_container_add (GTK_CONTAINER (dialog_action_area7), hbuttonbox7);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox7), GTK_BUTTONBOX_END);

  CJKDlg_OK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (CJKDlg_OK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox7), CJKDlg_OK_button);
  GTK_WIDGET_SET_FLAGS (CJKDlg_OK_button, GTK_CAN_DEFAULT);

  CJKDlg_Cancel_button = gtk_button_new_with_mnemonic (_("Cancel "));
  gtk_widget_show (CJKDlg_Cancel_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox7), CJKDlg_Cancel_button);
  GTK_WIDGET_SET_FLAGS (CJKDlg_Cancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) CancelJobKeyDlg_dialog, "delete_event",
                    G_CALLBACK (on_CancelJobKeyDlg_dialog_delete_event),
                    NULL);
  g_signal_connect ((gpointer) CancelJobKeyDlg_dialog, "destroy",
                    G_CALLBACK (on_CancelJobKeyDlg_dialog_destroy),
                    NULL);
  g_signal_connect ((gpointer) CJKDlg_ErrorJob_checkbutton, "toggled",
                    G_CALLBACK (on_CJKDlg_ErrorJob_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) CJKDlg_OK_button, "clicked",
                    G_CALLBACK (on_CJKDlg_OK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) CJKDlg_Cancel_button, "clicked",
                    G_CALLBACK (on_CJKDlg_Cancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (CancelJobKeyDlg_dialog, CancelJobKeyDlg_dialog, "CancelJobKeyDlg_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (CancelJobKeyDlg_dialog, dialog_vbox7, "dialog_vbox7");
  GLADE_HOOKUP_OBJECT (CancelJobKeyDlg_dialog, frame54, "frame54");
  GLADE_HOOKUP_OBJECT (CancelJobKeyDlg_dialog, vbox40, "vbox40");
  GLADE_HOOKUP_OBJECT (CancelJobKeyDlg_dialog, CJKDlg_ErrorJob_checkbutton, "CJKDlg_ErrorJob_checkbutton");
  GLADE_HOOKUP_OBJECT_NO_REF (CancelJobKeyDlg_dialog, dialog_action_area7, "dialog_action_area7");
  GLADE_HOOKUP_OBJECT (CancelJobKeyDlg_dialog, hbuttonbox7, "hbuttonbox7");
  GLADE_HOOKUP_OBJECT (CancelJobKeyDlg_dialog, CJKDlg_OK_button, "CJKDlg_OK_button");
  GLADE_HOOKUP_OBJECT (CancelJobKeyDlg_dialog, CJKDlg_Cancel_button, "CJKDlg_Cancel_button");

  return CancelJobKeyDlg_dialog;
}

GtkWidget*
create_Override_dialog (void)
{
  GtkWidget *Override_dialog;
  GtkWidget *vbox41;
  GtkWidget *frame55;
  GtkWidget *vbox42;
  GtkWidget *OverrideDlg_Use_checkbutton;
  GtkWidget *hbuttonbox8;
  GtkWidget *hbuttonbox9;
  GtkWidget *OverrideDlg_OK_button;
  GtkWidget *OverrideDlg_Cancel_button;

  Override_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (Override_dialog), _("Paper Size Override Settings"));
  gtk_window_set_position (GTK_WINDOW (Override_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (Override_dialog), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (Override_dialog), 400, -1);
  gtk_window_set_resizable (GTK_WINDOW (Override_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (Override_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  vbox41 = GTK_DIALOG (Override_dialog)->vbox;
  gtk_widget_show (vbox41);

  frame55 = gtk_frame_new (NULL);
  gtk_widget_show (frame55);
  gtk_box_pack_start (GTK_BOX (vbox41), frame55, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame55), 10);
  gtk_frame_set_shadow_type (GTK_FRAME (frame55), GTK_SHADOW_NONE);

  vbox42 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox42);
  gtk_container_add (GTK_CONTAINER (frame55), vbox42);

  OverrideDlg_Use_checkbutton = gtk_check_button_new_with_mnemonic (_("Override Paper Size"));
  gtk_widget_show (OverrideDlg_Use_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox42), OverrideDlg_Use_checkbutton, FALSE, FALSE, 0);
  gtk_widget_set_size_request (OverrideDlg_Use_checkbutton, 440, -1);

  hbuttonbox8 = GTK_DIALOG (Override_dialog)->action_area;
  gtk_widget_show (hbuttonbox8);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox8), GTK_BUTTONBOX_END);

  hbuttonbox9 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox9);
  gtk_container_add (GTK_CONTAINER (hbuttonbox8), hbuttonbox9);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox9), GTK_BUTTONBOX_END);

  OverrideDlg_OK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (OverrideDlg_OK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox9), OverrideDlg_OK_button);
  GTK_WIDGET_SET_FLAGS (OverrideDlg_OK_button, GTK_CAN_DEFAULT);

  OverrideDlg_Cancel_button = gtk_button_new_with_mnemonic (_("Cancel "));
  gtk_widget_show (OverrideDlg_Cancel_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox9), OverrideDlg_Cancel_button);
  GTK_WIDGET_SET_FLAGS (OverrideDlg_Cancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) Override_dialog, "delete_event",
                    G_CALLBACK (on_paper_size_override_dialog_delete_event),
                    NULL);
  g_signal_connect ((gpointer) Override_dialog, "destroy",
                    G_CALLBACK (on_paper_size_override_dialog_destroy),
                    NULL);
  g_signal_connect ((gpointer) OverrideDlg_Use_checkbutton, "toggled",
                    G_CALLBACK (on_paper_size_override_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) OverrideDlg_OK_button, "clicked",
                    G_CALLBACK (on_paper_size_override_OK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) OverrideDlg_Cancel_button, "clicked",
                    G_CALLBACK (on_paper_size_override_Cancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (Override_dialog, Override_dialog, "Override_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (Override_dialog, vbox41, "vbox41");
  GLADE_HOOKUP_OBJECT (Override_dialog, frame55, "frame55");
  GLADE_HOOKUP_OBJECT (Override_dialog, vbox42, "vbox42");
  GLADE_HOOKUP_OBJECT (Override_dialog, OverrideDlg_Use_checkbutton, "OverrideDlg_Use_checkbutton");
  GLADE_HOOKUP_OBJECT_NO_REF (Override_dialog, hbuttonbox8, "hbuttonbox8");
  GLADE_HOOKUP_OBJECT (Override_dialog, hbuttonbox9, "hbuttonbox9");
  GLADE_HOOKUP_OBJECT (Override_dialog, OverrideDlg_OK_button, "OverrideDlg_OK_button");
  GLADE_HOOKUP_OBJECT (Override_dialog, OverrideDlg_Cancel_button, "OverrideDlg_Cancel_button");

  return Override_dialog;
}

GtkWidget*
create_DisableWiFi_dialog (void)
{
  GtkWidget *DisableWiFi_dialog;
  GtkWidget *vbox43;
  GtkWidget *frame56;
  GtkWidget *vbox44;
  GtkWidget *DisableWiFiDlg_Use_checkbutton;
  GtkWidget *hbox63;
  GtkWidget *DisableWiFiDlg_Label;
  GtkWidget *hbuttonbox10;
  GtkWidget *hbuttonbox11;
  GtkWidget *DisableWiFiDlg_OK_button;
  GtkWidget *DisableWiFiDlg_Cancel_button;

  DisableWiFi_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (DisableWiFi_dialog), _("Settings to Disable Wi-Fi Key"));
  gtk_window_set_position (GTK_WINDOW (DisableWiFi_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (DisableWiFi_dialog), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (DisableWiFi_dialog), 400, -1);
  gtk_window_set_resizable (GTK_WINDOW (DisableWiFi_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (DisableWiFi_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  vbox43 = GTK_DIALOG (DisableWiFi_dialog)->vbox;
  gtk_widget_show (vbox43);

  frame56 = gtk_frame_new (NULL);
  gtk_widget_show (frame56);
  gtk_box_pack_start (GTK_BOX (vbox43), frame56, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame56), 10);
  gtk_frame_set_shadow_type (GTK_FRAME (frame56), GTK_SHADOW_NONE);

  vbox44 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox44);
  gtk_container_add (GTK_CONTAINER (frame56), vbox44);

  DisableWiFiDlg_Use_checkbutton = gtk_check_button_new_with_mnemonic (_("Disable Wi-Fi Key"));
  gtk_widget_show (DisableWiFiDlg_Use_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox44), DisableWiFiDlg_Use_checkbutton, FALSE, FALSE, 0);

  hbox63 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox63);
  gtk_box_pack_start (GTK_BOX (vbox44), hbox63, TRUE, TRUE, 0);

  DisableWiFiDlg_Label = gtk_label_new (_("* Select this check box to prevent Wi-Fi key operation errors."));
  gtk_widget_show (DisableWiFiDlg_Label);
  gtk_box_pack_start (GTK_BOX (hbox63), DisableWiFiDlg_Label, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (DisableWiFiDlg_Label), GTK_JUSTIFY_RIGHT);

  hbuttonbox10 = GTK_DIALOG (DisableWiFi_dialog)->action_area;
  gtk_widget_show (hbuttonbox10);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox10), GTK_BUTTONBOX_END);

  hbuttonbox11 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox11);
  gtk_container_add (GTK_CONTAINER (hbuttonbox10), hbuttonbox11);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox11), GTK_BUTTONBOX_END);

  DisableWiFiDlg_OK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (DisableWiFiDlg_OK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox11), DisableWiFiDlg_OK_button);
  GTK_WIDGET_SET_FLAGS (DisableWiFiDlg_OK_button, GTK_CAN_DEFAULT);

  DisableWiFiDlg_Cancel_button = gtk_button_new_with_mnemonic (_("Cancel "));
  gtk_widget_show (DisableWiFiDlg_Cancel_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox11), DisableWiFiDlg_Cancel_button);
  GTK_WIDGET_SET_FLAGS (DisableWiFiDlg_Cancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) DisableWiFi_dialog, "delete_event",
                    G_CALLBACK (on_DisableWiFiDlg_delete_event),
                    NULL);
  g_signal_connect ((gpointer) DisableWiFi_dialog, "destroy",
                    G_CALLBACK (on_DisableWiFiDlg_destroy),
                    NULL);
  g_signal_connect ((gpointer) DisableWiFiDlg_Use_checkbutton, "toggled",
                    G_CALLBACK (on_DisableWiFiDlg_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) DisableWiFiDlg_OK_button, "clicked",
                    G_CALLBACK (on_DisablwWiFiDlg_OK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) DisableWiFiDlg_Cancel_button, "clicked",
                    G_CALLBACK (on_DisableWiFiDlg_Cancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (DisableWiFi_dialog, DisableWiFi_dialog, "DisableWiFi_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (DisableWiFi_dialog, vbox43, "vbox43");
  GLADE_HOOKUP_OBJECT (DisableWiFi_dialog, frame56, "frame56");
  GLADE_HOOKUP_OBJECT (DisableWiFi_dialog, vbox44, "vbox44");
  GLADE_HOOKUP_OBJECT (DisableWiFi_dialog, DisableWiFiDlg_Use_checkbutton, "DisableWiFiDlg_Use_checkbutton");
  GLADE_HOOKUP_OBJECT (DisableWiFi_dialog, hbox63, "hbox63");
  GLADE_HOOKUP_OBJECT (DisableWiFi_dialog, DisableWiFiDlg_Label, "DisableWiFiDlg_Label");
  GLADE_HOOKUP_OBJECT_NO_REF (DisableWiFi_dialog, hbuttonbox10, "hbuttonbox10");
  GLADE_HOOKUP_OBJECT (DisableWiFi_dialog, hbuttonbox11, "hbuttonbox11");
  GLADE_HOOKUP_OBJECT (DisableWiFi_dialog, DisableWiFiDlg_OK_button, "DisableWiFiDlg_OK_button");
  GLADE_HOOKUP_OBJECT (DisableWiFi_dialog, DisableWiFiDlg_Cancel_button, "DisableWiFiDlg_Cancel_button");

  return DisableWiFi_dialog;
}

GtkWidget*
create_Assist_dialog (void)
{
  GtkWidget *Assist_dialog;
  GtkWidget *vbox45;
  GtkWidget *frame57;
  GtkWidget *vbox46;
  GtkWidget *AssistDlg_SpecialPrintAdjustmentV_box;
  GtkWidget *AssistDlg_SpecialPrintAdjustmentV_label;
  GtkWidget *AssistDlg_SpecialPrintAdjustmentV_combo;
  GtkWidget *AssistDlg_SpecialPrintAdjustment_box;
  GtkWidget *AssistDlg_SpecialPrintAdjustment_label;
  GtkWidget *AssistDlg_SpecialPrintAdjustment_combo;
  GtkWidget *AssistDlg_SpecialPrintAdjustmentB_box;
  GtkWidget *AssistDlg_SpecialPrintAdjustmentB_label;
  GtkWidget *AssistDlg_SpecialPrintAdjustmentB_combo;
  GtkWidget *AssistDlg_SelectLineWidth_box;
  GtkWidget *AssistDlg_SelectLineWidth_label;
  GtkWidget *AssistDlg_SelectLineWidth_combo;
  GtkWidget *AssistDlg_SpecialPrintAdjustment_separator;
  GtkWidget *AssistDlg_Curl_checkbutton;
  GtkWidget *AssistDlg_Qlty_checkbutton;
  GtkWidget *AssistDlg_Cling_checkbutton;
  GtkWidget *AssistDlg_Wrinkle_checkbutton;
  GtkWidget *AssistDlg_SpecialPrintAdjustmentD_checkbutton;
  AtkObject *atko;
  GtkWidget *AssistDlg_SpecialPrintAdjustmentU_checkbutton;
  GtkWidget *AssistDlg_SpecialPrintAdjustmentI_checkbutton;
  GtkWidget *AssistDlg_SpecialPrintAdjustmentJ_checkbutton;
  GtkWidget *AssistDlg_SpecialPrintAdjustmentK_checkbutton;
  GtkWidget *AssistDlg_SpecialPrintAdjustmentG_checkbutton;
  GtkWidget *AssistDlg_SpecialPrintAdjustmentQ_checkbutton;
  GtkWidget *AssistDlg_SpecialPrintAdjustmentT_checkbutton;
  GtkWidget *AssistDlg_SpecialPrintAdjustmentL_checkbutton;
  GtkWidget *AssistDlg_PrintQuietMode_checkbutton;
  GtkWidget *hbuttonbox12;
  GtkWidget *hbuttonbox13;
  GtkWidget *AssistDlg_OK_button;
  GtkWidget *AssistDlg_Cancel_button;

  Assist_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (Assist_dialog), _("Assisting Print Settings"));
  gtk_window_set_position (GTK_WINDOW (Assist_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (Assist_dialog), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (Assist_dialog), 400, -1);
  gtk_window_set_resizable (GTK_WINDOW (Assist_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (Assist_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  vbox45 = GTK_DIALOG (Assist_dialog)->vbox;
  gtk_widget_show (vbox45);

  frame57 = gtk_frame_new (NULL);
  gtk_widget_show (frame57);
  gtk_box_pack_start (GTK_BOX (vbox45), frame57, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame57), 10);
  gtk_frame_set_shadow_type (GTK_FRAME (frame57), GTK_SHADOW_NONE);

  vbox46 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox46);
  gtk_container_add (GTK_CONTAINER (frame57), vbox46);

  AssistDlg_SpecialPrintAdjustmentV_box = gtk_hbox_new (TRUE, 0);
  gtk_widget_show (AssistDlg_SpecialPrintAdjustmentV_box);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_SpecialPrintAdjustmentV_box, TRUE, TRUE, 0);

  AssistDlg_SpecialPrintAdjustmentV_label = gtk_label_new (_("Special Print Adjustment V:"));
  gtk_widget_show (AssistDlg_SpecialPrintAdjustmentV_label);
  gtk_box_pack_start (GTK_BOX (AssistDlg_SpecialPrintAdjustmentV_box), AssistDlg_SpecialPrintAdjustmentV_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (AssistDlg_SpecialPrintAdjustmentV_label), 0, 0.5);

  AssistDlg_SpecialPrintAdjustmentV_combo = gtk_combo_box_new_text ();
  gtk_widget_show (AssistDlg_SpecialPrintAdjustmentV_combo);
  gtk_box_pack_start (GTK_BOX (AssistDlg_SpecialPrintAdjustmentV_box), AssistDlg_SpecialPrintAdjustmentV_combo, TRUE, TRUE, 0);

  AssistDlg_SpecialPrintAdjustment_box = gtk_hbox_new (TRUE, 0);
  gtk_widget_show (AssistDlg_SpecialPrintAdjustment_box);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_SpecialPrintAdjustment_box, TRUE, TRUE, 0);

  AssistDlg_SpecialPrintAdjustment_label = gtk_label_new (_("Special Print Adjustment:"));
  gtk_widget_show (AssistDlg_SpecialPrintAdjustment_label);
  gtk_box_pack_start (GTK_BOX (AssistDlg_SpecialPrintAdjustment_box), AssistDlg_SpecialPrintAdjustment_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (AssistDlg_SpecialPrintAdjustment_label), 0, 0.5);

  AssistDlg_SpecialPrintAdjustment_combo = gtk_combo_box_new_text ();
  gtk_widget_show (AssistDlg_SpecialPrintAdjustment_combo);
  gtk_box_pack_start (GTK_BOX (AssistDlg_SpecialPrintAdjustment_box), AssistDlg_SpecialPrintAdjustment_combo, TRUE, TRUE, 0);

  AssistDlg_SpecialPrintAdjustmentB_box = gtk_hbox_new (TRUE, 0);
  gtk_widget_show (AssistDlg_SpecialPrintAdjustmentB_box);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_SpecialPrintAdjustmentB_box, TRUE, TRUE, 0);

  AssistDlg_SpecialPrintAdjustmentB_label = gtk_label_new (_("Special Print Adjustment B:"));
  gtk_widget_show (AssistDlg_SpecialPrintAdjustmentB_label);
  gtk_box_pack_start (GTK_BOX (AssistDlg_SpecialPrintAdjustmentB_box), AssistDlg_SpecialPrintAdjustmentB_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (AssistDlg_SpecialPrintAdjustmentB_label), 0, 0.5);

  AssistDlg_SpecialPrintAdjustmentB_combo = gtk_combo_box_new_text ();
  gtk_widget_show (AssistDlg_SpecialPrintAdjustmentB_combo);
  gtk_box_pack_start (GTK_BOX (AssistDlg_SpecialPrintAdjustmentB_box), AssistDlg_SpecialPrintAdjustmentB_combo, TRUE, TRUE, 0);

  AssistDlg_SelectLineWidth_box = gtk_hbox_new (TRUE, 0);
  gtk_widget_show (AssistDlg_SelectLineWidth_box);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_SelectLineWidth_box, TRUE, TRUE, 0);

  AssistDlg_SelectLineWidth_label = gtk_label_new (_("Select Line Width:"));
  gtk_widget_show (AssistDlg_SelectLineWidth_label);
  gtk_box_pack_start (GTK_BOX (AssistDlg_SelectLineWidth_box), AssistDlg_SelectLineWidth_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (AssistDlg_SelectLineWidth_label), 0, 0.5);

  AssistDlg_SelectLineWidth_combo = gtk_combo_box_new_text ();
  gtk_widget_show (AssistDlg_SelectLineWidth_combo);
  gtk_box_pack_start (GTK_BOX (AssistDlg_SelectLineWidth_box), AssistDlg_SelectLineWidth_combo, TRUE, TRUE, 0);

  AssistDlg_SpecialPrintAdjustment_separator = gtk_hseparator_new ();
  gtk_widget_show (AssistDlg_SpecialPrintAdjustment_separator);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_SpecialPrintAdjustment_separator, TRUE, TRUE, 10);

  AssistDlg_Curl_checkbutton = gtk_check_button_new_with_mnemonic (_("Perform Curl Correction for Output Paper"));
  gtk_widget_show (AssistDlg_Curl_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_Curl_checkbutton, FALSE, FALSE, 0);

  AssistDlg_Qlty_checkbutton = gtk_check_button_new_with_mnemonic (_("Prevent Poor Quality after Long Idle"));
  gtk_widget_show (AssistDlg_Qlty_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_Qlty_checkbutton, FALSE, FALSE, 0);

  AssistDlg_Cling_checkbutton = gtk_check_button_new_with_mnemonic (_("Perform Envelope Cling Prevention When Printing"));
  gtk_widget_show (AssistDlg_Cling_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_Cling_checkbutton, FALSE, FALSE, 0);

  AssistDlg_Wrinkle_checkbutton = gtk_check_button_new_with_mnemonic (_("Perform Envelope Wrinkle Reduction When Printing"));
  gtk_widget_show (AssistDlg_Wrinkle_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_Wrinkle_checkbutton, FALSE, FALSE, 0);

  AssistDlg_SpecialPrintAdjustmentD_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Special Print Adjustment D"));
  gtk_widget_show (AssistDlg_SpecialPrintAdjustmentD_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_SpecialPrintAdjustmentD_checkbutton, FALSE, FALSE, 0);

  AssistDlg_SpecialPrintAdjustmentU_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Special Print Adjustment U"));
  gtk_widget_show (AssistDlg_SpecialPrintAdjustmentU_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_SpecialPrintAdjustmentU_checkbutton, FALSE, FALSE, 0);

  AssistDlg_SpecialPrintAdjustmentI_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Special Print Adjustment I"));
  gtk_widget_show (AssistDlg_SpecialPrintAdjustmentI_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_SpecialPrintAdjustmentI_checkbutton, FALSE, FALSE, 0);

  AssistDlg_SpecialPrintAdjustmentJ_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Special Print Adjustment J"));
  gtk_widget_show (AssistDlg_SpecialPrintAdjustmentJ_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_SpecialPrintAdjustmentJ_checkbutton, FALSE, FALSE, 0);

  AssistDlg_SpecialPrintAdjustmentK_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Special Print Adjustment K"));
  gtk_widget_show (AssistDlg_SpecialPrintAdjustmentK_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_SpecialPrintAdjustmentK_checkbutton, FALSE, FALSE, 0);

  AssistDlg_SpecialPrintAdjustmentG_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Special Print Adjustment G"));
  gtk_widget_show (AssistDlg_SpecialPrintAdjustmentG_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_SpecialPrintAdjustmentG_checkbutton, FALSE, FALSE, 0);

  AssistDlg_SpecialPrintAdjustmentQ_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Special Print Adjustment Q"));
  gtk_widget_show (AssistDlg_SpecialPrintAdjustmentQ_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_SpecialPrintAdjustmentQ_checkbutton, FALSE, FALSE, 0);

  AssistDlg_SpecialPrintAdjustmentT_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Special Print Adjustment T"));
  gtk_widget_show (AssistDlg_SpecialPrintAdjustmentT_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_SpecialPrintAdjustmentT_checkbutton, FALSE, FALSE, 0);

  AssistDlg_SpecialPrintAdjustmentL_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Special Print Adjustment L"));
  gtk_widget_show (AssistDlg_SpecialPrintAdjustmentL_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_SpecialPrintAdjustmentL_checkbutton, FALSE, FALSE, 0);

  AssistDlg_PrintQuietMode_checkbutton = gtk_check_button_new_with_mnemonic (_("Print in Quiet Mode"));
  gtk_widget_show (AssistDlg_PrintQuietMode_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox46), AssistDlg_PrintQuietMode_checkbutton, FALSE, FALSE, 0);

  hbuttonbox12 = GTK_DIALOG (Assist_dialog)->action_area;
  gtk_widget_show (hbuttonbox12);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox12), GTK_BUTTONBOX_END);

  hbuttonbox13 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox13);
  gtk_container_add (GTK_CONTAINER (hbuttonbox12), hbuttonbox13);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox13), GTK_BUTTONBOX_END);

  AssistDlg_OK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (AssistDlg_OK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox13), AssistDlg_OK_button);
  GTK_WIDGET_SET_FLAGS (AssistDlg_OK_button, GTK_CAN_DEFAULT);

  AssistDlg_Cancel_button = gtk_button_new_with_mnemonic (_("Cancel "));
  gtk_widget_show (AssistDlg_Cancel_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox13), AssistDlg_Cancel_button);
  GTK_WIDGET_SET_FLAGS (AssistDlg_Cancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) Assist_dialog, "delete_event",
                    G_CALLBACK (on_AssistDlg_delete_event),
                    NULL);
  g_signal_connect ((gpointer) Assist_dialog, "destroy",
                    G_CALLBACK (on_AssistDlg_destroy),
                    NULL);
  g_signal_connect ((gpointer) AssistDlg_Curl_checkbutton, "toggled",
                    G_CALLBACK (on_AssistDlg_Curl_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) AssistDlg_Qlty_checkbutton, "toggled",
                    G_CALLBACK (on_AssistDlg_Qlty_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) AssistDlg_Cling_checkbutton, "toggled",
                    G_CALLBACK (on_AssistDlg_Cling_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) AssistDlg_Wrinkle_checkbutton, "toggled",
                    G_CALLBACK (on_AssistDlg_Wrinkle_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) AssistDlg_OK_button, "clicked",
                    G_CALLBACK (on_AssistDlg_OK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) AssistDlg_Cancel_button, "clicked",
                    G_CALLBACK (on_AssistDlg_Cancel_button_clicked),
                    NULL);

  atko = gtk_widget_get_accessible (AssistDlg_SpecialPrintAdjustmentD_checkbutton);
  atk_object_set_name (atko, _("Use Special Print Adjustment D"));

  atko = gtk_widget_get_accessible (AssistDlg_SpecialPrintAdjustmentU_checkbutton);
  atk_object_set_name (atko, _("Use Special Print Adjustment U"));

  atko = gtk_widget_get_accessible (AssistDlg_SpecialPrintAdjustmentI_checkbutton);
  atk_object_set_name (atko, _("Use Special Print Adjustment I"));

  atko = gtk_widget_get_accessible (AssistDlg_SpecialPrintAdjustmentJ_checkbutton);
  atk_object_set_name (atko, _("Use Special Print Adjustment J"));

  atko = gtk_widget_get_accessible (AssistDlg_SpecialPrintAdjustmentK_checkbutton);
  atk_object_set_name (atko, _("Use Special Print Adjustment K"));

  atko = gtk_widget_get_accessible (AssistDlg_PrintQuietMode_checkbutton);
  atk_object_set_name (atko, _("Print in Quiet Mode"));


  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (Assist_dialog, Assist_dialog, "Assist_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (Assist_dialog, vbox45, "vbox45");
  GLADE_HOOKUP_OBJECT (Assist_dialog, frame57, "frame57");
  GLADE_HOOKUP_OBJECT (Assist_dialog, vbox46, "vbox46");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustmentV_box, "AssistDlg_SpecialPrintAdjustmentV_box");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustmentV_label, "AssistDlg_SpecialPrintAdjustmentV_label");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustmentV_combo, "AssistDlg_SpecialPrintAdjustmentV_combo");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustment_box, "AssistDlg_SpecialPrintAdjustment_box");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustment_label, "AssistDlg_SpecialPrintAdjustment_label");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustment_combo, "AssistDlg_SpecialPrintAdjustment_combo");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustmentB_box, "AssistDlg_SpecialPrintAdjustmentB_box");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustmentB_label, "AssistDlg_SpecialPrintAdjustmentB_label");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustmentB_combo, "AssistDlg_SpecialPrintAdjustmentB_combo");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SelectLineWidth_box, "AssistDlg_SelectLineWidth_box");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SelectLineWidth_label, "AssistDlg_SelectLineWidth_label");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SelectLineWidth_combo, "AssistDlg_SelectLineWidth_combo");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustment_separator, "AssistDlg_SpecialPrintAdjustment_separator");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_Curl_checkbutton, "AssistDlg_Curl_checkbutton");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_Qlty_checkbutton, "AssistDlg_Qlty_checkbutton");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_Cling_checkbutton, "AssistDlg_Cling_checkbutton");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_Wrinkle_checkbutton, "AssistDlg_Wrinkle_checkbutton");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustmentD_checkbutton, "AssistDlg_SpecialPrintAdjustmentD_checkbutton");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustmentU_checkbutton, "AssistDlg_SpecialPrintAdjustmentU_checkbutton");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustmentI_checkbutton, "AssistDlg_SpecialPrintAdjustmentI_checkbutton");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustmentJ_checkbutton, "AssistDlg_SpecialPrintAdjustmentJ_checkbutton");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustmentK_checkbutton, "AssistDlg_SpecialPrintAdjustmentK_checkbutton");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustmentG_checkbutton, "AssistDlg_SpecialPrintAdjustmentG_checkbutton");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustmentQ_checkbutton, "AssistDlg_SpecialPrintAdjustmentQ_checkbutton");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustmentT_checkbutton, "AssistDlg_SpecialPrintAdjustmentT_checkbutton");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_SpecialPrintAdjustmentL_checkbutton, "AssistDlg_SpecialPrintAdjustmentL_checkbutton");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_PrintQuietMode_checkbutton, "AssistDlg_PrintQuietMode_checkbutton");
  GLADE_HOOKUP_OBJECT_NO_REF (Assist_dialog, hbuttonbox12, "hbuttonbox12");
  GLADE_HOOKUP_OBJECT (Assist_dialog, hbuttonbox13, "hbuttonbox13");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_OK_button, "AssistDlg_OK_button");
  GLADE_HOOKUP_OBJECT (Assist_dialog, AssistDlg_Cancel_button, "AssistDlg_Cancel_button");

  return Assist_dialog;
}

GtkWidget*
create_Consumables_dialog (void)
{
  GtkWidget *Consumables_dialog;
  GtkWidget *vbox48;
  GtkWidget *ConsumablesDlg_Type1_box;
  GtkWidget *frame58;
  GtkWidget *vbox52;
  GtkWidget *hbox64;
  GtkWidget *ConsumablesDlg_CyanToner_label;
  GtkWidget *ConsumablesDlg_CyanTonerAmmount_label;
  GtkWidget *hbox65;
  GtkWidget *ConsumablesDlg_MagentaToner_label;
  GtkWidget *ConsumablesDlg_MagentaTonerAmmount_label;
  GtkWidget *hbox66;
  GtkWidget *ConsumablesDlg_YellowToner_label;
  GtkWidget *ConsumablesDlg_YellowTonerAmmount_label;
  GtkWidget *hbox67;
  GtkWidget *ConsumablesDlg_BlackToner_label;
  GtkWidget *ConsumablesDlg_BlackTonerAmmount_label;
  GtkWidget *ConsumablesDlg_TonerCartridge_label;
  GtkWidget *ConsumablesDlg_Type2_box;
  GtkWidget *ConsumablesDlg2_TonerCartridge_label;
  GtkWidget *ConsumablesDlg2_BlackToner_box;
  GtkWidget *ConsumablesDlg2_BlackTonerRemaining_box;
  GtkWidget *ConsumablesDlg2_BlackToner_label;
  GtkWidget *ConsumablesDlg2_BlackTonerRemaining_label;
  GtkWidget *ConsumablesDlg2_BlackTonerUnit_label;
  GtkWidget *ConsumablesDlg2_BlackTonerAmount_label;
  GtkWidget *ConsumablesDlg2_Blank_label;
  GtkWidget *ConsumablesDlg2_WarningTitle_label;
  GtkWidget *ConsumablesDlg2_WarningTitle2_label;
  GtkWidget *ConsumablesDlg2_WarningText_label;
  GtkWidget *ConsumablesDlg2_WarningText2_label;
  GtkWidget *ConsumablesDlg2_WarningText3_label;
  GtkWidget *ConsumablesDlg2_Blank2_label;
  GtkWidget *ConsumablesDlg2_InformationTitle_label;
  GtkWidget *ConsumablesDlg2_InformationTitle2_label;
  GtkWidget *ConsumablesDlg2_BlackCartridge_box;
  GtkWidget *ConsumablesDlg2_BlackCartridge_label;
  GtkWidget *ConsumablesDlg2_BlackCartridgeName_label;
  GtkWidget *ConsumablesDlg2_InformationText_label;
  GtkWidget *ConsumablesDlg_Type3_box;
  GtkWidget *frame78;
  GtkWidget *vbox81;
  GtkWidget *ConsumablesDlg3_Toner_box;
  GtkWidget *hbox87;
  GtkWidget *label204;
  GtkWidget *ConsumablesDlg3_TonerRemaining_label;
  GtkWidget *label206;
  GtkWidget *hbox95;
  GtkWidget *label241;
  GtkWidget *ConsumablesDlg3_TonerAmount_label;
  GtkWidget *ConsumablesDlg3_Drum_box;
  GtkWidget *hbox88;
  GtkWidget *label208;
  GtkWidget *ConsumablesDlg3_DrumRemaining_label;
  GtkWidget *label210;
  GtkWidget *hbox96;
  GtkWidget *label243;
  GtkWidget *ConsumablesDlg3_DrumAmount_label;
  GtkWidget *label198;
  GtkWidget *label186;
  GtkWidget *label187;
  GtkWidget *label188;
  GtkWidget *label189;
  GtkWidget *label190;
  GtkWidget *label191;
  GtkWidget *label192;
  GtkWidget *frame79;
  GtkWidget *vbox84;
  GtkWidget *ConsumablesDlg3_TonerCartridge_box;
  GtkWidget *label213;
  GtkWidget *ConsumablesDlg3_TonerCartridgeName_label;
  GtkWidget *ConsumablesDlg3_DrumCartridge_box;
  GtkWidget *label215;
  GtkWidget *ConsumablesDlg3_DrumCartridgeName_label;
  GtkWidget *label212;
  GtkWidget *label196;
  GtkWidget *label197;
  GtkWidget *ConsumablesDlg_Type4_box;
  GtkWidget *frame80;
  GtkWidget *vbox86;
  GtkWidget *ConsumablesDlg4_Toner_box;
  GtkWidget *hbox91;
  GtkWidget *label216;
  GtkWidget *ConsumablesDlg4_TonerRemaining_label;
  GtkWidget *label218;
  GtkWidget *hbox93;
  GtkWidget *label239;
  GtkWidget *ConsumablesDlg4_TonerAmount_label;
  GtkWidget *ConsumablesDlg4_Drum_box;
  GtkWidget *hbox92;
  GtkWidget *label220;
  GtkWidget *ConsumablesDlg4_DrumRemaining_label;
  GtkWidget *label222;
  GtkWidget *hbox94;
  GtkWidget *label240;
  GtkWidget *ConsumablesDlg4_DrumAmount_label;
  GtkWidget *label224;
  GtkWidget *label225;
  GtkWidget *label226;
  GtkWidget *label227;
  GtkWidget *label228;
  GtkWidget *label229;
  GtkWidget *label230;
  GtkWidget *label231;
  GtkWidget *frame81;
  GtkWidget *vbox89;
  GtkWidget *ConsumablesDlg4_TonerCartridge_box;
  GtkWidget *label232;
  GtkWidget *ConsumablesDlg4_TonerCartridgeName_label;
  GtkWidget *ConsumablesDlg4_DrumCartridge_box;
  GtkWidget *label234;
  GtkWidget *ConsumablesDlg4_DrumCartridgeName_label;
  GtkWidget *label236;
  GtkWidget *label237;
  GtkWidget *label238;
  GtkWidget *hbuttonbox15;
  GtkWidget *hbuttonbox16;
  GtkWidget *ConsumablesDlg_OK_button;

  Consumables_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (Consumables_dialog), _("Consumables Information"));
  gtk_window_set_position (GTK_WINDOW (Consumables_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (Consumables_dialog), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (Consumables_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (Consumables_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  vbox48 = GTK_DIALOG (Consumables_dialog)->vbox;
  gtk_widget_show (vbox48);

  ConsumablesDlg_Type1_box = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (ConsumablesDlg_Type1_box);
  gtk_box_pack_start (GTK_BOX (vbox48), ConsumablesDlg_Type1_box, TRUE, TRUE, 0);

  frame58 = gtk_frame_new (NULL);
  gtk_widget_show (frame58);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type1_box), frame58, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame58), 7);
  gtk_frame_set_shadow_type (GTK_FRAME (frame58), GTK_SHADOW_ETCHED_OUT);

  vbox52 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox52);
  gtk_container_add (GTK_CONTAINER (frame58), vbox52);

  hbox64 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox64);
  gtk_box_pack_start (GTK_BOX (vbox52), hbox64, TRUE, TRUE, 0);

  ConsumablesDlg_CyanToner_label = gtk_label_new (_("Cyan:"));
  gtk_widget_show (ConsumablesDlg_CyanToner_label);
  gtk_box_pack_start (GTK_BOX (hbox64), ConsumablesDlg_CyanToner_label, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg_CyanToner_label, 300, -1);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg_CyanToner_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (ConsumablesDlg_CyanToner_label), 10, 3);

  ConsumablesDlg_CyanTonerAmmount_label = gtk_label_new ("");
  gtk_widget_show (ConsumablesDlg_CyanTonerAmmount_label);
  gtk_box_pack_start (GTK_BOX (hbox64), ConsumablesDlg_CyanTonerAmmount_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg_CyanTonerAmmount_label), 0, 0.5);

  hbox65 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox65);
  gtk_box_pack_start (GTK_BOX (vbox52), hbox65, TRUE, TRUE, 0);

  ConsumablesDlg_MagentaToner_label = gtk_label_new (_("Magenta:"));
  gtk_widget_show (ConsumablesDlg_MagentaToner_label);
  gtk_box_pack_start (GTK_BOX (hbox65), ConsumablesDlg_MagentaToner_label, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg_MagentaToner_label, 300, -1);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg_MagentaToner_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (ConsumablesDlg_MagentaToner_label), 10, 3);

  ConsumablesDlg_MagentaTonerAmmount_label = gtk_label_new ("");
  gtk_widget_show (ConsumablesDlg_MagentaTonerAmmount_label);
  gtk_box_pack_start (GTK_BOX (hbox65), ConsumablesDlg_MagentaTonerAmmount_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg_MagentaTonerAmmount_label), 0, 0.5);

  hbox66 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox66);
  gtk_box_pack_start (GTK_BOX (vbox52), hbox66, TRUE, TRUE, 0);

  ConsumablesDlg_YellowToner_label = gtk_label_new (_("Yellow:"));
  gtk_widget_show (ConsumablesDlg_YellowToner_label);
  gtk_box_pack_start (GTK_BOX (hbox66), ConsumablesDlg_YellowToner_label, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg_YellowToner_label, 300, -1);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg_YellowToner_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (ConsumablesDlg_YellowToner_label), 10, 3);

  ConsumablesDlg_YellowTonerAmmount_label = gtk_label_new ("");
  gtk_widget_show (ConsumablesDlg_YellowTonerAmmount_label);
  gtk_box_pack_start (GTK_BOX (hbox66), ConsumablesDlg_YellowTonerAmmount_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg_YellowTonerAmmount_label), 0, 0.5);

  hbox67 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox67);
  gtk_box_pack_start (GTK_BOX (vbox52), hbox67, TRUE, TRUE, 0);

  ConsumablesDlg_BlackToner_label = gtk_label_new (_("Black:"));
  gtk_widget_show (ConsumablesDlg_BlackToner_label);
  gtk_box_pack_start (GTK_BOX (hbox67), ConsumablesDlg_BlackToner_label, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg_BlackToner_label, 300, -1);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg_BlackToner_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (ConsumablesDlg_BlackToner_label), 10, 3);

  ConsumablesDlg_BlackTonerAmmount_label = gtk_label_new ("");
  gtk_widget_show (ConsumablesDlg_BlackTonerAmmount_label);
  gtk_box_pack_start (GTK_BOX (hbox67), ConsumablesDlg_BlackTonerAmmount_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg_BlackTonerAmmount_label), 0, 0.5);

  ConsumablesDlg_TonerCartridge_label = gtk_label_new (_("Toner Cartridge Information"));
  gtk_widget_show (ConsumablesDlg_TonerCartridge_label);
  gtk_frame_set_label_widget (GTK_FRAME (frame58), ConsumablesDlg_TonerCartridge_label);
  gtk_label_set_use_markup (GTK_LABEL (ConsumablesDlg_TonerCartridge_label), TRUE);

  ConsumablesDlg_Type2_box = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (ConsumablesDlg_Type2_box);
  gtk_box_pack_start (GTK_BOX (vbox48), ConsumablesDlg_Type2_box, TRUE, TRUE, 0);

  ConsumablesDlg2_TonerCartridge_label = gtk_label_new (_("Amount Remaining in Cartridge"));
  gtk_widget_show (ConsumablesDlg2_TonerCartridge_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type2_box), ConsumablesDlg2_TonerCartridge_label, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg2_TonerCartridge_label, 530, -1);
  gtk_label_set_line_wrap (GTK_LABEL (ConsumablesDlg2_TonerCartridge_label), TRUE);

  ConsumablesDlg2_BlackToner_box = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (ConsumablesDlg2_BlackToner_box);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type2_box), ConsumablesDlg2_BlackToner_box, TRUE, TRUE, 0);

  ConsumablesDlg2_BlackTonerRemaining_box = gtk_hbox_new (TRUE, 0);
  gtk_widget_show (ConsumablesDlg2_BlackTonerRemaining_box);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg2_BlackToner_box), ConsumablesDlg2_BlackTonerRemaining_box, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg2_BlackTonerRemaining_box, 506, -1);

  ConsumablesDlg2_BlackToner_label = gtk_label_new (_("Black:"));
  gtk_widget_show (ConsumablesDlg2_BlackToner_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg2_BlackTonerRemaining_box), ConsumablesDlg2_BlackToner_label, FALSE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (ConsumablesDlg2_BlackToner_label), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg2_BlackToner_label), 1, 0.5);

  ConsumablesDlg2_BlackTonerRemaining_label = gtk_label_new (_("-"));
  gtk_widget_show (ConsumablesDlg2_BlackTonerRemaining_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg2_BlackTonerRemaining_box), ConsumablesDlg2_BlackTonerRemaining_label, FALSE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (ConsumablesDlg2_BlackTonerRemaining_label), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg2_BlackTonerRemaining_label), 1, 0.5);

  ConsumablesDlg2_BlackTonerUnit_label = gtk_label_new (_("%"));
  gtk_widget_show (ConsumablesDlg2_BlackTonerUnit_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg2_BlackTonerRemaining_box), ConsumablesDlg2_BlackTonerUnit_label, FALSE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg2_BlackTonerUnit_label), 0, 0.5);

  ConsumablesDlg2_BlackTonerAmount_label = gtk_label_new ("");
  gtk_widget_show (ConsumablesDlg2_BlackTonerAmount_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg2_BlackToner_box), ConsumablesDlg2_BlackTonerAmount_label, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg2_BlackTonerAmount_label, 506, -1);
  gtk_label_set_justify (GTK_LABEL (ConsumablesDlg2_BlackTonerAmount_label), GTK_JUSTIFY_CENTER);

  ConsumablesDlg2_Blank_label = gtk_label_new ("");
  gtk_widget_show (ConsumablesDlg2_Blank_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type2_box), ConsumablesDlg2_Blank_label, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg2_Blank_label, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (ConsumablesDlg2_Blank_label), TRUE);

  ConsumablesDlg2_WarningTitle_label = gtk_label_new (_("Read Carefully Before Replacing Cartridge"));
  gtk_widget_show (ConsumablesDlg2_WarningTitle_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type2_box), ConsumablesDlg2_WarningTitle_label, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg2_WarningTitle_label, 506, -1);
  gtk_label_set_justify (GTK_LABEL (ConsumablesDlg2_WarningTitle_label), GTK_JUSTIFY_CENTER);

  ConsumablesDlg2_WarningTitle2_label = gtk_label_new (_("Be careful of counterfeit cartridges"));
  gtk_widget_show (ConsumablesDlg2_WarningTitle2_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type2_box), ConsumablesDlg2_WarningTitle2_label, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg2_WarningTitle2_label, 506, -1);
  gtk_label_set_justify (GTK_LABEL (ConsumablesDlg2_WarningTitle2_label), GTK_JUSTIFY_CENTER);

  ConsumablesDlg2_WarningText_label = gtk_label_new (_("Please be aware that there are counterfeit Canon cartridges in the marketplace.\n\nUse of counterfeit cartridges may result in poor print quality or machine performance."));
  gtk_widget_show (ConsumablesDlg2_WarningText_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type2_box), ConsumablesDlg2_WarningText_label, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg2_WarningText_label, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (ConsumablesDlg2_WarningText_label), TRUE);

  ConsumablesDlg2_WarningText2_label = gtk_label_new (_("Canon is not responsible for any malfunction, accident or damage caused by the use of counterfeit cartridges."));
  gtk_widget_show (ConsumablesDlg2_WarningText2_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type2_box), ConsumablesDlg2_WarningText2_label, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg2_WarningText2_label, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (ConsumablesDlg2_WarningText2_label), TRUE);

  ConsumablesDlg2_WarningText3_label = gtk_label_new (_("For optimum print quality, using genuine Canon cartridges is recommended."));
  gtk_widget_show (ConsumablesDlg2_WarningText3_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type2_box), ConsumablesDlg2_WarningText3_label, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg2_WarningText3_label, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (ConsumablesDlg2_WarningText3_label), TRUE);

  ConsumablesDlg2_Blank2_label = gtk_label_new ("");
  gtk_widget_show (ConsumablesDlg2_Blank2_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type2_box), ConsumablesDlg2_Blank2_label, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg2_Blank2_label, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (ConsumablesDlg2_Blank2_label), TRUE);

  ConsumablesDlg2_InformationTitle_label = gtk_label_new (_("Information about Genuine Products"));
  gtk_widget_show (ConsumablesDlg2_InformationTitle_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type2_box), ConsumablesDlg2_InformationTitle_label, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg2_InformationTitle_label, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (ConsumablesDlg2_InformationTitle_label), TRUE);

  ConsumablesDlg2_InformationTitle2_label = gtk_label_new (_("Cartridge Name"));
  gtk_widget_show (ConsumablesDlg2_InformationTitle2_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type2_box), ConsumablesDlg2_InformationTitle2_label, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg2_InformationTitle2_label, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (ConsumablesDlg2_InformationTitle2_label), TRUE);
  gtk_misc_set_padding (GTK_MISC (ConsumablesDlg2_InformationTitle2_label), 20, 0);

  ConsumablesDlg2_BlackCartridge_box = gtk_hbox_new (TRUE, 0);
  gtk_widget_show (ConsumablesDlg2_BlackCartridge_box);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type2_box), ConsumablesDlg2_BlackCartridge_box, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg2_BlackCartridge_box, 506, -1);

  ConsumablesDlg2_BlackCartridge_label = gtk_label_new (_("Black:"));
  gtk_widget_show (ConsumablesDlg2_BlackCartridge_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg2_BlackCartridge_box), ConsumablesDlg2_BlackCartridge_label, FALSE, TRUE, 0);

  ConsumablesDlg2_BlackCartridgeName_label = gtk_label_new ("");
  gtk_widget_show (ConsumablesDlg2_BlackCartridgeName_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg2_BlackCartridge_box), ConsumablesDlg2_BlackCartridgeName_label, FALSE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg2_BlackCartridgeName_label), 0, 0.5);

  ConsumablesDlg2_InformationText_label = gtk_label_new (_("Click [Access Purchasing Site] on the main Statusmonitor screen to access Canon's online site for purchasing consumables such as cartridges, etc."));
  gtk_widget_show (ConsumablesDlg2_InformationText_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type2_box), ConsumablesDlg2_InformationText_label, FALSE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg2_InformationText_label, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (ConsumablesDlg2_InformationText_label), TRUE);

  ConsumablesDlg_Type3_box = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (ConsumablesDlg_Type3_box);
  gtk_box_pack_start (GTK_BOX (vbox48), ConsumablesDlg_Type3_box, TRUE, TRUE, 0);

  frame78 = gtk_frame_new (NULL);
  gtk_widget_show (frame78);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type3_box), frame78, FALSE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (frame78), GTK_SHADOW_ETCHED_OUT);

  vbox81 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox81);
  gtk_container_add (GTK_CONTAINER (frame78), vbox81);

  ConsumablesDlg3_Toner_box = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (ConsumablesDlg3_Toner_box);
  gtk_box_pack_start (GTK_BOX (vbox81), ConsumablesDlg3_Toner_box, TRUE, TRUE, 0);

  hbox87 = gtk_hbox_new (TRUE, 0);
  gtk_widget_show (hbox87);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg3_Toner_box), hbox87, FALSE, TRUE, 0);
  gtk_widget_set_size_request (hbox87, 506, -1);

  label204 = gtk_label_new (_("Toner:"));
  gtk_widget_show (label204);
  gtk_box_pack_start (GTK_BOX (hbox87), label204, FALSE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (label204), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (label204), 1, 0.5);

  ConsumablesDlg3_TonerRemaining_label = gtk_label_new (_("-"));
  gtk_widget_show (ConsumablesDlg3_TonerRemaining_label);
  gtk_box_pack_start (GTK_BOX (hbox87), ConsumablesDlg3_TonerRemaining_label, FALSE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (ConsumablesDlg3_TonerRemaining_label), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg3_TonerRemaining_label), 1, 0.5);

  label206 = gtk_label_new (_("%"));
  gtk_widget_show (label206);
  gtk_box_pack_start (GTK_BOX (hbox87), label206, FALSE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label206), 0, 0.5);

  hbox95 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox95);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg3_Toner_box), hbox95, FALSE, TRUE, 0);

  label241 = gtk_label_new ("");
  gtk_widget_show (label241);
  gtk_box_pack_start (GTK_BOX (hbox95), label241, FALSE, FALSE, 0);
  gtk_widget_set_size_request (label241, 175, -1);

  ConsumablesDlg3_TonerAmount_label = gtk_label_new ("");
  gtk_widget_show (ConsumablesDlg3_TonerAmount_label);
  gtk_box_pack_start (GTK_BOX (hbox95), ConsumablesDlg3_TonerAmount_label, FALSE, FALSE, 0);
  gtk_widget_set_size_request (ConsumablesDlg3_TonerAmount_label, 351, -1);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg3_TonerAmount_label), 0, 0.5);

  ConsumablesDlg3_Drum_box = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (ConsumablesDlg3_Drum_box);
  gtk_box_pack_start (GTK_BOX (vbox81), ConsumablesDlg3_Drum_box, TRUE, TRUE, 0);

  hbox88 = gtk_hbox_new (TRUE, 0);
  gtk_widget_show (hbox88);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg3_Drum_box), hbox88, FALSE, TRUE, 0);
  gtk_widget_set_size_request (hbox88, 506, -1);

  label208 = gtk_label_new (_("Drum:"));
  gtk_widget_show (label208);
  gtk_box_pack_start (GTK_BOX (hbox88), label208, FALSE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (label208), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (label208), 1, 0.5);

  ConsumablesDlg3_DrumRemaining_label = gtk_label_new (_("-"));
  gtk_widget_show (ConsumablesDlg3_DrumRemaining_label);
  gtk_box_pack_start (GTK_BOX (hbox88), ConsumablesDlg3_DrumRemaining_label, FALSE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (ConsumablesDlg3_DrumRemaining_label), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg3_DrumRemaining_label), 1, 0.5);

  label210 = gtk_label_new (_("%"));
  gtk_widget_show (label210);
  gtk_box_pack_start (GTK_BOX (hbox88), label210, FALSE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label210), 0, 0.5);

  hbox96 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox96);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg3_Drum_box), hbox96, FALSE, TRUE, 0);

  label243 = gtk_label_new ("");
  gtk_widget_show (label243);
  gtk_box_pack_start (GTK_BOX (hbox96), label243, FALSE, FALSE, 0);
  gtk_widget_set_size_request (label243, 175, -1);

  ConsumablesDlg3_DrumAmount_label = gtk_label_new ("");
  gtk_widget_show (ConsumablesDlg3_DrumAmount_label);
  gtk_box_pack_start (GTK_BOX (hbox96), ConsumablesDlg3_DrumAmount_label, FALSE, FALSE, 0);
  gtk_widget_set_size_request (ConsumablesDlg3_DrumAmount_label, 351, -1);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg3_DrumAmount_label), 0, 0.5);

  label198 = gtk_label_new (_("Amount Remaining in Cartridge"));
  gtk_widget_show (label198);
  gtk_frame_set_label_widget (GTK_FRAME (frame78), label198);
  gtk_label_set_use_markup (GTK_LABEL (label198), TRUE);

  label186 = gtk_label_new ("");
  gtk_widget_show (label186);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type3_box), label186, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label186, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (label186), TRUE);

  label187 = gtk_label_new (_("Read Carefully Before Replacing Cartridge"));
  gtk_widget_show (label187);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type3_box), label187, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label187, 506, -1);
  gtk_label_set_justify (GTK_LABEL (label187), GTK_JUSTIFY_CENTER);

  label188 = gtk_label_new (_("Be careful of counterfeit cartridges"));
  gtk_widget_show (label188);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type3_box), label188, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label188, 506, -1);
  gtk_label_set_justify (GTK_LABEL (label188), GTK_JUSTIFY_CENTER);

  label189 = gtk_label_new (_("Please be aware that there are counterfeit Canon cartridges in the marketplace.\n\nUse of counterfeit cartridges may result in poor print quality or machine performance."));
  gtk_widget_show (label189);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type3_box), label189, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label189, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (label189), TRUE);

  label190 = gtk_label_new (_("Canon is not responsible for any malfunction, accident or damage caused by the use of counterfeit cartridges."));
  gtk_widget_show (label190);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type3_box), label190, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label190, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (label190), TRUE);

  label191 = gtk_label_new (_("For optimum print quality, using genuine Canon cartridges is recommended."));
  gtk_widget_show (label191);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type3_box), label191, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label191, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (label191), TRUE);

  label192 = gtk_label_new ("");
  gtk_widget_show (label192);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type3_box), label192, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label192, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (label192), TRUE);

  frame79 = gtk_frame_new (NULL);
  gtk_widget_show (frame79);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type3_box), frame79, FALSE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (frame79), GTK_SHADOW_ETCHED_OUT);

  vbox84 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox84);
  gtk_container_add (GTK_CONTAINER (frame79), vbox84);

  ConsumablesDlg3_TonerCartridge_box = gtk_hbox_new (TRUE, 0);
  gtk_widget_show (ConsumablesDlg3_TonerCartridge_box);
  gtk_box_pack_start (GTK_BOX (vbox84), ConsumablesDlg3_TonerCartridge_box, TRUE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg3_TonerCartridge_box, 506, -1);

  label213 = gtk_label_new (_("Toner Cartridge Name:"));
  gtk_widget_show (label213);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg3_TonerCartridge_box), label213, FALSE, TRUE, 0);

  ConsumablesDlg3_TonerCartridgeName_label = gtk_label_new ("");
  gtk_widget_show (ConsumablesDlg3_TonerCartridgeName_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg3_TonerCartridge_box), ConsumablesDlg3_TonerCartridgeName_label, FALSE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg3_TonerCartridgeName_label), 0, 0.5);

  ConsumablesDlg3_DrumCartridge_box = gtk_hbox_new (TRUE, 0);
  gtk_widget_show (ConsumablesDlg3_DrumCartridge_box);
  gtk_box_pack_start (GTK_BOX (vbox84), ConsumablesDlg3_DrumCartridge_box, TRUE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg3_DrumCartridge_box, 506, -1);

  label215 = gtk_label_new (_("Drum Cartridge Name:"));
  gtk_widget_show (label215);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg3_DrumCartridge_box), label215, FALSE, TRUE, 0);

  ConsumablesDlg3_DrumCartridgeName_label = gtk_label_new ("");
  gtk_widget_show (ConsumablesDlg3_DrumCartridgeName_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg3_DrumCartridge_box), ConsumablesDlg3_DrumCartridgeName_label, FALSE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg3_DrumCartridgeName_label), 0, 0.5);

  label212 = gtk_label_new (_("Information about Genuine Products"));
  gtk_widget_show (label212);
  gtk_frame_set_label_widget (GTK_FRAME (frame79), label212);
  gtk_label_set_use_markup (GTK_LABEL (label212), TRUE);

  label196 = gtk_label_new ("");
  gtk_widget_show (label196);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type3_box), label196, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label196, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (label196), TRUE);
  gtk_misc_set_padding (GTK_MISC (label196), 20, 0);

  label197 = gtk_label_new (_("Click [Access Purchasing Site] on the main Statusmonitor screen to access Canon's online site for purchasing consumables such as cartridges, etc."));
  gtk_widget_show (label197);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type3_box), label197, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label197, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (label197), TRUE);

  ConsumablesDlg_Type4_box = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (ConsumablesDlg_Type4_box);
  gtk_box_pack_start (GTK_BOX (vbox48), ConsumablesDlg_Type4_box, TRUE, TRUE, 0);

  frame80 = gtk_frame_new (NULL);
  gtk_widget_show (frame80);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type4_box), frame80, FALSE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (frame80), GTK_SHADOW_ETCHED_OUT);

  vbox86 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox86);
  gtk_container_add (GTK_CONTAINER (frame80), vbox86);

  ConsumablesDlg4_Toner_box = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (ConsumablesDlg4_Toner_box);
  gtk_box_pack_start (GTK_BOX (vbox86), ConsumablesDlg4_Toner_box, TRUE, TRUE, 0);

  hbox91 = gtk_hbox_new (TRUE, 0);
  gtk_widget_show (hbox91);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg4_Toner_box), hbox91, FALSE, TRUE, 0);
  gtk_widget_set_size_request (hbox91, 506, -1);

  label216 = gtk_label_new (_("Toner:"));
  gtk_widget_show (label216);
  gtk_box_pack_start (GTK_BOX (hbox91), label216, FALSE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (label216), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (label216), 1, 0.5);

  ConsumablesDlg4_TonerRemaining_label = gtk_label_new ("");
  gtk_widget_show (ConsumablesDlg4_TonerRemaining_label);
  gtk_box_pack_start (GTK_BOX (hbox91), ConsumablesDlg4_TonerRemaining_label, FALSE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg4_TonerRemaining_label), 0, 0.5);

  label218 = gtk_label_new_with_mnemonic ("");
  gtk_widget_show (label218);
  gtk_box_pack_start (GTK_BOX (hbox91), label218, FALSE, FALSE, 0);

  hbox93 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox93);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg4_Toner_box), hbox93, FALSE, TRUE, 0);

  label239 = gtk_label_new ("");
  gtk_widget_show (label239);
  gtk_box_pack_start (GTK_BOX (hbox93), label239, FALSE, FALSE, 0);
  gtk_widget_set_size_request (label239, 175, -1);

  ConsumablesDlg4_TonerAmount_label = gtk_label_new ("");
  gtk_widget_show (ConsumablesDlg4_TonerAmount_label);
  gtk_box_pack_start (GTK_BOX (hbox93), ConsumablesDlg4_TonerAmount_label, FALSE, FALSE, 0);
  gtk_widget_set_size_request (ConsumablesDlg4_TonerAmount_label, 351, -1);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg4_TonerAmount_label), 0, 0.5);

  ConsumablesDlg4_Drum_box = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (ConsumablesDlg4_Drum_box);
  gtk_box_pack_start (GTK_BOX (vbox86), ConsumablesDlg4_Drum_box, TRUE, TRUE, 0);

  hbox92 = gtk_hbox_new (TRUE, 0);
  gtk_widget_show (hbox92);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg4_Drum_box), hbox92, FALSE, TRUE, 0);
  gtk_widget_set_size_request (hbox92, 506, -1);

  label220 = gtk_label_new (_("Drum:"));
  gtk_widget_show (label220);
  gtk_box_pack_start (GTK_BOX (hbox92), label220, FALSE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (label220), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (label220), 1, 0.5);

  ConsumablesDlg4_DrumRemaining_label = gtk_label_new (_("-"));
  gtk_widget_show (ConsumablesDlg4_DrumRemaining_label);
  gtk_box_pack_start (GTK_BOX (hbox92), ConsumablesDlg4_DrumRemaining_label, FALSE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (ConsumablesDlg4_DrumRemaining_label), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg4_DrumRemaining_label), 1, 0.5);

  label222 = gtk_label_new (_("%"));
  gtk_widget_show (label222);
  gtk_box_pack_start (GTK_BOX (hbox92), label222, FALSE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label222), 0, 0.5);

  hbox94 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox94);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg4_Drum_box), hbox94, FALSE, TRUE, 0);

  label240 = gtk_label_new ("");
  gtk_widget_show (label240);
  gtk_box_pack_start (GTK_BOX (hbox94), label240, FALSE, FALSE, 0);
  gtk_widget_set_size_request (label240, 175, -1);

  ConsumablesDlg4_DrumAmount_label = gtk_label_new ("");
  gtk_widget_show (ConsumablesDlg4_DrumAmount_label);
  gtk_box_pack_start (GTK_BOX (hbox94), ConsumablesDlg4_DrumAmount_label, FALSE, FALSE, 0);
  gtk_widget_set_size_request (ConsumablesDlg4_DrumAmount_label, 351, -1);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg4_DrumAmount_label), 0, 0.5);

  label224 = gtk_label_new (_("Amount Remaining in Cartridge"));
  gtk_widget_show (label224);
  gtk_frame_set_label_widget (GTK_FRAME (frame80), label224);
  gtk_label_set_use_markup (GTK_LABEL (label224), TRUE);

  label225 = gtk_label_new ("");
  gtk_widget_show (label225);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type4_box), label225, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label225, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (label225), TRUE);

  label226 = gtk_label_new (_("Read Carefully Before Replacing Cartridge"));
  gtk_widget_show (label226);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type4_box), label226, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label226, 506, -1);
  gtk_label_set_justify (GTK_LABEL (label226), GTK_JUSTIFY_CENTER);

  label227 = gtk_label_new (_("Be careful of counterfeit cartridges"));
  gtk_widget_show (label227);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type4_box), label227, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label227, 506, -1);
  gtk_label_set_justify (GTK_LABEL (label227), GTK_JUSTIFY_CENTER);

  label228 = gtk_label_new (_("Please be aware that there are counterfeit Canon cartridges in the marketplace.\n\nUse of counterfeit cartridges may result in poor print quality or machine performance."));
  gtk_widget_show (label228);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type4_box), label228, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label228, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (label228), TRUE);

  label229 = gtk_label_new (_("Canon is not responsible for any malfunction, accident or damage caused by the use of counterfeit cartridges."));
  gtk_widget_show (label229);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type4_box), label229, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label229, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (label229), TRUE);

  label230 = gtk_label_new (_("For optimum print quality, using genuine Canon cartridges is recommended."));
  gtk_widget_show (label230);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type4_box), label230, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label230, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (label230), TRUE);

  label231 = gtk_label_new ("");
  gtk_widget_show (label231);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type4_box), label231, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label231, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (label231), TRUE);

  frame81 = gtk_frame_new (NULL);
  gtk_widget_show (frame81);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type4_box), frame81, FALSE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (frame81), GTK_SHADOW_ETCHED_OUT);

  vbox89 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox89);
  gtk_container_add (GTK_CONTAINER (frame81), vbox89);

  ConsumablesDlg4_TonerCartridge_box = gtk_hbox_new (TRUE, 0);
  gtk_widget_show (ConsumablesDlg4_TonerCartridge_box);
  gtk_box_pack_start (GTK_BOX (vbox89), ConsumablesDlg4_TonerCartridge_box, TRUE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg4_TonerCartridge_box, 506, -1);

  label232 = gtk_label_new (_("Toner Cartridge Name:"));
  gtk_widget_show (label232);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg4_TonerCartridge_box), label232, FALSE, TRUE, 0);

  ConsumablesDlg4_TonerCartridgeName_label = gtk_label_new ("");
  gtk_widget_show (ConsumablesDlg4_TonerCartridgeName_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg4_TonerCartridge_box), ConsumablesDlg4_TonerCartridgeName_label, FALSE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg4_TonerCartridgeName_label), 0, 0.5);

  ConsumablesDlg4_DrumCartridge_box = gtk_hbox_new (TRUE, 0);
  gtk_widget_show (ConsumablesDlg4_DrumCartridge_box);
  gtk_box_pack_start (GTK_BOX (vbox89), ConsumablesDlg4_DrumCartridge_box, TRUE, TRUE, 0);
  gtk_widget_set_size_request (ConsumablesDlg4_DrumCartridge_box, 506, -1);

  label234 = gtk_label_new (_("Drum Cartridge Name:"));
  gtk_widget_show (label234);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg4_DrumCartridge_box), label234, FALSE, TRUE, 0);

  ConsumablesDlg4_DrumCartridgeName_label = gtk_label_new ("");
  gtk_widget_show (ConsumablesDlg4_DrumCartridgeName_label);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg4_DrumCartridge_box), ConsumablesDlg4_DrumCartridgeName_label, FALSE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (ConsumablesDlg4_DrumCartridgeName_label), 0, 0.5);

  label236 = gtk_label_new (_("Information about Genuine Products"));
  gtk_widget_show (label236);
  gtk_frame_set_label_widget (GTK_FRAME (frame81), label236);
  gtk_label_set_use_markup (GTK_LABEL (label236), TRUE);

  label237 = gtk_label_new ("");
  gtk_widget_show (label237);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type4_box), label237, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label237, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (label237), TRUE);
  gtk_misc_set_padding (GTK_MISC (label237), 20, 0);

  label238 = gtk_label_new (_("Click [Access Purchasing Site] on the main Statusmonitor screen to access Canon's online site for purchasing consumables such as cartridges, etc."));
  gtk_widget_show (label238);
  gtk_box_pack_start (GTK_BOX (ConsumablesDlg_Type4_box), label238, FALSE, TRUE, 0);
  gtk_widget_set_size_request (label238, 506, -1);
  gtk_label_set_line_wrap (GTK_LABEL (label238), TRUE);

  hbuttonbox15 = GTK_DIALOG (Consumables_dialog)->action_area;
  gtk_widget_show (hbuttonbox15);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox15), GTK_BUTTONBOX_END);

  hbuttonbox16 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox16);
  gtk_container_add (GTK_CONTAINER (hbuttonbox15), hbuttonbox16);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox16), GTK_BUTTONBOX_END);

  ConsumablesDlg_OK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (ConsumablesDlg_OK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox16), ConsumablesDlg_OK_button);
  GTK_WIDGET_SET_FLAGS (ConsumablesDlg_OK_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) Consumables_dialog, "delete_event",
                    G_CALLBACK (on_ConsumablesDlg_delete_event),
                    NULL);
  g_signal_connect ((gpointer) Consumables_dialog, "destroy",
                    G_CALLBACK (on_ConsumablesDlg_destroy),
                    NULL);
  g_signal_connect ((gpointer) ConsumablesDlg_OK_button, "clicked",
                    G_CALLBACK (on_ConsumablesDlg_OK_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (Consumables_dialog, Consumables_dialog, "Consumables_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (Consumables_dialog, vbox48, "vbox48");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg_Type1_box, "ConsumablesDlg_Type1_box");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, frame58, "frame58");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, vbox52, "vbox52");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, hbox64, "hbox64");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg_CyanToner_label, "ConsumablesDlg_CyanToner_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg_CyanTonerAmmount_label, "ConsumablesDlg_CyanTonerAmmount_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, hbox65, "hbox65");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg_MagentaToner_label, "ConsumablesDlg_MagentaToner_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg_MagentaTonerAmmount_label, "ConsumablesDlg_MagentaTonerAmmount_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, hbox66, "hbox66");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg_YellowToner_label, "ConsumablesDlg_YellowToner_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg_YellowTonerAmmount_label, "ConsumablesDlg_YellowTonerAmmount_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, hbox67, "hbox67");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg_BlackToner_label, "ConsumablesDlg_BlackToner_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg_BlackTonerAmmount_label, "ConsumablesDlg_BlackTonerAmmount_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg_TonerCartridge_label, "ConsumablesDlg_TonerCartridge_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg_Type2_box, "ConsumablesDlg_Type2_box");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_TonerCartridge_label, "ConsumablesDlg2_TonerCartridge_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_BlackToner_box, "ConsumablesDlg2_BlackToner_box");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_BlackTonerRemaining_box, "ConsumablesDlg2_BlackTonerRemaining_box");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_BlackToner_label, "ConsumablesDlg2_BlackToner_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_BlackTonerRemaining_label, "ConsumablesDlg2_BlackTonerRemaining_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_BlackTonerUnit_label, "ConsumablesDlg2_BlackTonerUnit_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_BlackTonerAmount_label, "ConsumablesDlg2_BlackTonerAmount_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_Blank_label, "ConsumablesDlg2_Blank_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_WarningTitle_label, "ConsumablesDlg2_WarningTitle_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_WarningTitle2_label, "ConsumablesDlg2_WarningTitle2_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_WarningText_label, "ConsumablesDlg2_WarningText_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_WarningText2_label, "ConsumablesDlg2_WarningText2_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_WarningText3_label, "ConsumablesDlg2_WarningText3_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_Blank2_label, "ConsumablesDlg2_Blank2_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_InformationTitle_label, "ConsumablesDlg2_InformationTitle_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_InformationTitle2_label, "ConsumablesDlg2_InformationTitle2_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_BlackCartridge_box, "ConsumablesDlg2_BlackCartridge_box");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_BlackCartridge_label, "ConsumablesDlg2_BlackCartridge_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_BlackCartridgeName_label, "ConsumablesDlg2_BlackCartridgeName_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg2_InformationText_label, "ConsumablesDlg2_InformationText_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg_Type3_box, "ConsumablesDlg_Type3_box");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, frame78, "frame78");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, vbox81, "vbox81");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg3_Toner_box, "ConsumablesDlg3_Toner_box");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, hbox87, "hbox87");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label204, "label204");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg3_TonerRemaining_label, "ConsumablesDlg3_TonerRemaining_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label206, "label206");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, hbox95, "hbox95");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label241, "label241");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg3_TonerAmount_label, "ConsumablesDlg3_TonerAmount_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg3_Drum_box, "ConsumablesDlg3_Drum_box");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, hbox88, "hbox88");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label208, "label208");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg3_DrumRemaining_label, "ConsumablesDlg3_DrumRemaining_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label210, "label210");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, hbox96, "hbox96");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label243, "label243");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg3_DrumAmount_label, "ConsumablesDlg3_DrumAmount_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label198, "label198");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label186, "label186");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label187, "label187");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label188, "label188");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label189, "label189");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label190, "label190");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label191, "label191");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label192, "label192");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, frame79, "frame79");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, vbox84, "vbox84");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg3_TonerCartridge_box, "ConsumablesDlg3_TonerCartridge_box");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label213, "label213");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg3_TonerCartridgeName_label, "ConsumablesDlg3_TonerCartridgeName_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg3_DrumCartridge_box, "ConsumablesDlg3_DrumCartridge_box");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label215, "label215");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg3_DrumCartridgeName_label, "ConsumablesDlg3_DrumCartridgeName_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label212, "label212");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label196, "label196");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label197, "label197");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg_Type4_box, "ConsumablesDlg_Type4_box");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, frame80, "frame80");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, vbox86, "vbox86");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg4_Toner_box, "ConsumablesDlg4_Toner_box");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, hbox91, "hbox91");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label216, "label216");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg4_TonerRemaining_label, "ConsumablesDlg4_TonerRemaining_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label218, "label218");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, hbox93, "hbox93");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label239, "label239");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg4_TonerAmount_label, "ConsumablesDlg4_TonerAmount_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg4_Drum_box, "ConsumablesDlg4_Drum_box");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, hbox92, "hbox92");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label220, "label220");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg4_DrumRemaining_label, "ConsumablesDlg4_DrumRemaining_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label222, "label222");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, hbox94, "hbox94");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label240, "label240");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg4_DrumAmount_label, "ConsumablesDlg4_DrumAmount_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label224, "label224");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label225, "label225");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label226, "label226");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label227, "label227");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label228, "label228");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label229, "label229");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label230, "label230");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label231, "label231");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, frame81, "frame81");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, vbox89, "vbox89");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg4_TonerCartridge_box, "ConsumablesDlg4_TonerCartridge_box");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label232, "label232");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg4_TonerCartridgeName_label, "ConsumablesDlg4_TonerCartridgeName_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg4_DrumCartridge_box, "ConsumablesDlg4_DrumCartridge_box");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label234, "label234");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg4_DrumCartridgeName_label, "ConsumablesDlg4_DrumCartridgeName_label");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label236, "label236");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label237, "label237");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, label238, "label238");
  GLADE_HOOKUP_OBJECT_NO_REF (Consumables_dialog, hbuttonbox15, "hbuttonbox15");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, hbuttonbox16, "hbuttonbox16");
  GLADE_HOOKUP_OBJECT (Consumables_dialog, ConsumablesDlg_OK_button, "ConsumablesDlg_OK_button");

  return Consumables_dialog;
}

GtkWidget*
create_Counter_dialog (void)
{
  GtkWidget *Counter_dialog;
  GtkWidget *vbox50;
  GtkWidget *vbox51;
  GtkWidget *frame59;
  GtkWidget *vbox53;
  GtkWidget *hbox68;
  GtkWidget *CounterDlg_TotalPrintedPagesInfo_label;
  AtkObject *atko;
  GtkWidget *CounterDlg_TotalPrintedPages_label;
  GtkWidget *CounterDlg_TotalPrintedPagesUnit_label;
  GtkWidget *CounterDlg_TotalMonoPrintedPagesInfo_box;
  GtkWidget *CounterDlg_TotalMonoPrintedPagesInfo_label;
  GtkWidget *CounterDlg_TotalMonoPrintedPages_label;
  GtkWidget *CounterDlg_TotalMonoPrintedPagesUnit_label;
  GtkWidget *hbox69;
  GtkWidget *CounterDlg_ColorPrintedPagesInfo_label;
  GtkWidget *CounterDlg_ColorPrintedPages_label;
  GtkWidget *CounterDlg_ColorPrintedPagesUnit_label;
  GtkWidget *hbox70;
  GtkWidget *CounterDlg_MonoPrintedPagesInfo_label;
  GtkWidget *CounterDlg_MonoPrintedPages_label;
  GtkWidget *CounterDlg_MonoPrintedPagesUnit_label;
  GtkWidget *CounterDlg_TwoSidedPrintedSheets_box;
  GtkWidget *CounterDlg_TwoSidedPrintedSheetsInfo_label;
  GtkWidget *CounterDlg_TwoSidedPrintedSheets_label;
  GtkWidget *CounterDlg_TwoSidedPrintedSheetsUnit_label;
  GtkWidget *CounterDlg_CounterInfo_label;
  GtkWidget *hbuttonbox17;
  GtkWidget *hbuttonbox18;
  GtkWidget *CounterDlg_OK_button;

  Counter_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (Counter_dialog), _("Counter Information"));
  gtk_window_set_position (GTK_WINDOW (Counter_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (Counter_dialog), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (Counter_dialog), 400, -1);
  gtk_window_set_resizable (GTK_WINDOW (Counter_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (Counter_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  vbox50 = GTK_DIALOG (Counter_dialog)->vbox;
  gtk_widget_show (vbox50);

  vbox51 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox51);
  gtk_box_pack_start (GTK_BOX (vbox50), vbox51, TRUE, TRUE, 0);

  frame59 = gtk_frame_new (NULL);
  gtk_widget_show (frame59);
  gtk_box_pack_start (GTK_BOX (vbox51), frame59, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame59), 7);
  gtk_frame_set_shadow_type (GTK_FRAME (frame59), GTK_SHADOW_ETCHED_OUT);

  vbox53 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox53);
  gtk_container_add (GTK_CONTAINER (frame59), vbox53);

  hbox68 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox68);
  gtk_box_pack_start (GTK_BOX (vbox53), hbox68, TRUE, TRUE, 0);

  CounterDlg_TotalPrintedPagesInfo_label = gtk_label_new (_("Total Printed Pages:"));
  gtk_widget_show (CounterDlg_TotalPrintedPagesInfo_label);
  gtk_box_pack_start (GTK_BOX (hbox68), CounterDlg_TotalPrintedPagesInfo_label, TRUE, TRUE, 2);
  gtk_widget_set_size_request (CounterDlg_TotalPrintedPagesInfo_label, 350, -1);
  gtk_misc_set_alignment (GTK_MISC (CounterDlg_TotalPrintedPagesInfo_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (CounterDlg_TotalPrintedPagesInfo_label), 10, 3);

  CounterDlg_TotalPrintedPages_label = gtk_label_new (_("1234"));
  gtk_widget_show (CounterDlg_TotalPrintedPages_label);
  gtk_box_pack_start (GTK_BOX (hbox68), CounterDlg_TotalPrintedPages_label, FALSE, FALSE, 2);
  gtk_label_set_justify (GTK_LABEL (CounterDlg_TotalPrintedPages_label), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (CounterDlg_TotalPrintedPages_label), 0, 0.5);

  CounterDlg_TotalPrintedPagesUnit_label = gtk_label_new (_("pages"));
  gtk_widget_show (CounterDlg_TotalPrintedPagesUnit_label);
  gtk_box_pack_start (GTK_BOX (hbox68), CounterDlg_TotalPrintedPagesUnit_label, FALSE, FALSE, 2);
  gtk_widget_set_size_request (CounterDlg_TotalPrintedPagesUnit_label, 60, -1);
  gtk_misc_set_alignment (GTK_MISC (CounterDlg_TotalPrintedPagesUnit_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (CounterDlg_TotalPrintedPagesUnit_label), 5, 0);

  CounterDlg_TotalMonoPrintedPagesInfo_box = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (CounterDlg_TotalMonoPrintedPagesInfo_box);
  gtk_box_pack_start (GTK_BOX (vbox53), CounterDlg_TotalMonoPrintedPagesInfo_box, TRUE, TRUE, 0);

  CounterDlg_TotalMonoPrintedPagesInfo_label = gtk_label_new (_("Total Printed Pages:"));
  gtk_widget_show (CounterDlg_TotalMonoPrintedPagesInfo_label);
  gtk_box_pack_start (GTK_BOX (CounterDlg_TotalMonoPrintedPagesInfo_box), CounterDlg_TotalMonoPrintedPagesInfo_label, TRUE, TRUE, 2);
  gtk_widget_set_size_request (CounterDlg_TotalMonoPrintedPagesInfo_label, 350, -1);
  gtk_misc_set_alignment (GTK_MISC (CounterDlg_TotalMonoPrintedPagesInfo_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (CounterDlg_TotalMonoPrintedPagesInfo_label), 10, 3);

  CounterDlg_TotalMonoPrintedPages_label = gtk_label_new (_("1234"));
  gtk_widget_show (CounterDlg_TotalMonoPrintedPages_label);
  gtk_box_pack_start (GTK_BOX (CounterDlg_TotalMonoPrintedPagesInfo_box), CounterDlg_TotalMonoPrintedPages_label, FALSE, FALSE, 2);
  gtk_label_set_justify (GTK_LABEL (CounterDlg_TotalMonoPrintedPages_label), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (CounterDlg_TotalMonoPrintedPages_label), 0, 0.5);

  CounterDlg_TotalMonoPrintedPagesUnit_label = gtk_label_new (_("pages"));
  gtk_widget_show (CounterDlg_TotalMonoPrintedPagesUnit_label);
  gtk_box_pack_start (GTK_BOX (CounterDlg_TotalMonoPrintedPagesInfo_box), CounterDlg_TotalMonoPrintedPagesUnit_label, FALSE, FALSE, 2);
  gtk_widget_set_size_request (CounterDlg_TotalMonoPrintedPagesUnit_label, 60, -1);
  gtk_misc_set_alignment (GTK_MISC (CounterDlg_TotalMonoPrintedPagesUnit_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (CounterDlg_TotalMonoPrintedPagesUnit_label), 5, 0);

  hbox69 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox69);
  gtk_box_pack_start (GTK_BOX (vbox53), hbox69, TRUE, TRUE, 0);

  CounterDlg_ColorPrintedPagesInfo_label = gtk_label_new (_("Color Print Pages:"));
  gtk_widget_show (CounterDlg_ColorPrintedPagesInfo_label);
  gtk_box_pack_start (GTK_BOX (hbox69), CounterDlg_ColorPrintedPagesInfo_label, TRUE, TRUE, 2);
  gtk_widget_set_size_request (CounterDlg_ColorPrintedPagesInfo_label, 350, -1);
  gtk_misc_set_alignment (GTK_MISC (CounterDlg_ColorPrintedPagesInfo_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (CounterDlg_ColorPrintedPagesInfo_label), 10, 3);

  CounterDlg_ColorPrintedPages_label = gtk_label_new (_("1234"));
  gtk_widget_show (CounterDlg_ColorPrintedPages_label);
  gtk_box_pack_start (GTK_BOX (hbox69), CounterDlg_ColorPrintedPages_label, FALSE, FALSE, 2);
  gtk_label_set_justify (GTK_LABEL (CounterDlg_ColorPrintedPages_label), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (CounterDlg_ColorPrintedPages_label), 0, 0.5);

  CounterDlg_ColorPrintedPagesUnit_label = gtk_label_new (_("pages"));
  gtk_widget_show (CounterDlg_ColorPrintedPagesUnit_label);
  gtk_box_pack_start (GTK_BOX (hbox69), CounterDlg_ColorPrintedPagesUnit_label, FALSE, FALSE, 2);
  gtk_widget_set_size_request (CounterDlg_ColorPrintedPagesUnit_label, 60, -1);
  gtk_misc_set_alignment (GTK_MISC (CounterDlg_ColorPrintedPagesUnit_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (CounterDlg_ColorPrintedPagesUnit_label), 5, 0);

  hbox70 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox70);
  gtk_box_pack_start (GTK_BOX (vbox53), hbox70, TRUE, TRUE, 0);

  CounterDlg_MonoPrintedPagesInfo_label = gtk_label_new (_("B&W Print Pages:"));
  gtk_widget_show (CounterDlg_MonoPrintedPagesInfo_label);
  gtk_box_pack_start (GTK_BOX (hbox70), CounterDlg_MonoPrintedPagesInfo_label, TRUE, TRUE, 2);
  gtk_widget_set_size_request (CounterDlg_MonoPrintedPagesInfo_label, 350, -1);
  gtk_misc_set_alignment (GTK_MISC (CounterDlg_MonoPrintedPagesInfo_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (CounterDlg_MonoPrintedPagesInfo_label), 10, 3);

  CounterDlg_MonoPrintedPages_label = gtk_label_new (_("1234"));
  gtk_widget_show (CounterDlg_MonoPrintedPages_label);
  gtk_box_pack_start (GTK_BOX (hbox70), CounterDlg_MonoPrintedPages_label, FALSE, FALSE, 2);
  gtk_label_set_justify (GTK_LABEL (CounterDlg_MonoPrintedPages_label), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (CounterDlg_MonoPrintedPages_label), 0, 0.5);

  CounterDlg_MonoPrintedPagesUnit_label = gtk_label_new (_("pages"));
  gtk_widget_show (CounterDlg_MonoPrintedPagesUnit_label);
  gtk_box_pack_start (GTK_BOX (hbox70), CounterDlg_MonoPrintedPagesUnit_label, FALSE, FALSE, 2);
  gtk_widget_set_size_request (CounterDlg_MonoPrintedPagesUnit_label, 60, -1);
  gtk_misc_set_alignment (GTK_MISC (CounterDlg_MonoPrintedPagesUnit_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (CounterDlg_MonoPrintedPagesUnit_label), 5, 0);

  CounterDlg_TwoSidedPrintedSheets_box = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (CounterDlg_TwoSidedPrintedSheets_box);
  gtk_box_pack_start (GTK_BOX (vbox53), CounterDlg_TwoSidedPrintedSheets_box, TRUE, TRUE, 0);

  CounterDlg_TwoSidedPrintedSheetsInfo_label = gtk_label_new (_("Number of 2-sided Printing Sheets:"));
  gtk_widget_show (CounterDlg_TwoSidedPrintedSheetsInfo_label);
  gtk_box_pack_start (GTK_BOX (CounterDlg_TwoSidedPrintedSheets_box), CounterDlg_TwoSidedPrintedSheetsInfo_label, TRUE, TRUE, 2);
  gtk_widget_set_size_request (CounterDlg_TwoSidedPrintedSheetsInfo_label, 350, -1);
  gtk_misc_set_alignment (GTK_MISC (CounterDlg_TwoSidedPrintedSheetsInfo_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (CounterDlg_TwoSidedPrintedSheetsInfo_label), 10, 3);

  CounterDlg_TwoSidedPrintedSheets_label = gtk_label_new (_("1234"));
  gtk_widget_show (CounterDlg_TwoSidedPrintedSheets_label);
  gtk_box_pack_start (GTK_BOX (CounterDlg_TwoSidedPrintedSheets_box), CounterDlg_TwoSidedPrintedSheets_label, FALSE, FALSE, 2);
  gtk_label_set_justify (GTK_LABEL (CounterDlg_TwoSidedPrintedSheets_label), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (CounterDlg_TwoSidedPrintedSheets_label), 0, 0.5);

  CounterDlg_TwoSidedPrintedSheetsUnit_label = gtk_label_new (_("piece"));
  gtk_widget_show (CounterDlg_TwoSidedPrintedSheetsUnit_label);
  gtk_box_pack_start (GTK_BOX (CounterDlg_TwoSidedPrintedSheets_box), CounterDlg_TwoSidedPrintedSheetsUnit_label, FALSE, FALSE, 2);
  gtk_widget_set_size_request (CounterDlg_TwoSidedPrintedSheetsUnit_label, 60, -1);
  gtk_misc_set_alignment (GTK_MISC (CounterDlg_TwoSidedPrintedSheetsUnit_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (CounterDlg_TwoSidedPrintedSheetsUnit_label), 5, 0);

  CounterDlg_CounterInfo_label = gtk_label_new (_("Counter"));
  gtk_widget_show (CounterDlg_CounterInfo_label);
  gtk_frame_set_label_widget (GTK_FRAME (frame59), CounterDlg_CounterInfo_label);
  gtk_label_set_use_markup (GTK_LABEL (CounterDlg_CounterInfo_label), TRUE);

  hbuttonbox17 = GTK_DIALOG (Counter_dialog)->action_area;
  gtk_widget_show (hbuttonbox17);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox17), GTK_BUTTONBOX_END);

  hbuttonbox18 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox18);
  gtk_container_add (GTK_CONTAINER (hbuttonbox17), hbuttonbox18);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox18), GTK_BUTTONBOX_END);

  CounterDlg_OK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (CounterDlg_OK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox18), CounterDlg_OK_button);
  GTK_WIDGET_SET_FLAGS (CounterDlg_OK_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) Counter_dialog, "delete_event",
                    G_CALLBACK (on_CounterDlg_delete_event),
                    NULL);
  g_signal_connect ((gpointer) Counter_dialog, "destroy",
                    G_CALLBACK (on_CounterDlg_destroy),
                    NULL);
  g_signal_connect ((gpointer) CounterDlg_OK_button, "clicked",
                    G_CALLBACK (on_CounterDlg_OK_button_clicked),
                    NULL);

  atko = gtk_widget_get_accessible (CounterDlg_TotalPrintedPagesInfo_label);
  atk_object_set_name (atko, _("Total Printed Pages:"));

  atko = gtk_widget_get_accessible (CounterDlg_ColorPrintedPagesInfo_label);
  atk_object_set_name (atko, _("Color Print Pages:"));

  atko = gtk_widget_get_accessible (CounterDlg_TwoSidedPrintedSheetsInfo_label);
  atk_object_set_name (atko, _("Number of 2-sided Printing Sheets:"));

  atko = gtk_widget_get_accessible (CounterDlg_TwoSidedPrintedSheetsUnit_label);
  atk_object_set_name (atko, _("piece"));


  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (Counter_dialog, Counter_dialog, "Counter_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (Counter_dialog, vbox50, "vbox50");
  GLADE_HOOKUP_OBJECT (Counter_dialog, vbox51, "vbox51");
  GLADE_HOOKUP_OBJECT (Counter_dialog, frame59, "frame59");
  GLADE_HOOKUP_OBJECT (Counter_dialog, vbox53, "vbox53");
  GLADE_HOOKUP_OBJECT (Counter_dialog, hbox68, "hbox68");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_TotalPrintedPagesInfo_label, "CounterDlg_TotalPrintedPagesInfo_label");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_TotalPrintedPages_label, "CounterDlg_TotalPrintedPages_label");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_TotalPrintedPagesUnit_label, "CounterDlg_TotalPrintedPagesUnit_label");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_TotalMonoPrintedPagesInfo_box, "CounterDlg_TotalMonoPrintedPagesInfo_box");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_TotalMonoPrintedPagesInfo_label, "CounterDlg_TotalMonoPrintedPagesInfo_label");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_TotalMonoPrintedPages_label, "CounterDlg_TotalMonoPrintedPages_label");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_TotalMonoPrintedPagesUnit_label, "CounterDlg_TotalMonoPrintedPagesUnit_label");
  GLADE_HOOKUP_OBJECT (Counter_dialog, hbox69, "hbox69");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_ColorPrintedPagesInfo_label, "CounterDlg_ColorPrintedPagesInfo_label");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_ColorPrintedPages_label, "CounterDlg_ColorPrintedPages_label");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_ColorPrintedPagesUnit_label, "CounterDlg_ColorPrintedPagesUnit_label");
  GLADE_HOOKUP_OBJECT (Counter_dialog, hbox70, "hbox70");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_MonoPrintedPagesInfo_label, "CounterDlg_MonoPrintedPagesInfo_label");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_MonoPrintedPages_label, "CounterDlg_MonoPrintedPages_label");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_MonoPrintedPagesUnit_label, "CounterDlg_MonoPrintedPagesUnit_label");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_TwoSidedPrintedSheets_box, "CounterDlg_TwoSidedPrintedSheets_box");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_TwoSidedPrintedSheetsInfo_label, "CounterDlg_TwoSidedPrintedSheetsInfo_label");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_TwoSidedPrintedSheets_label, "CounterDlg_TwoSidedPrintedSheets_label");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_TwoSidedPrintedSheetsUnit_label, "CounterDlg_TwoSidedPrintedSheetsUnit_label");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_CounterInfo_label, "CounterDlg_CounterInfo_label");
  GLADE_HOOKUP_OBJECT_NO_REF (Counter_dialog, hbuttonbox17, "hbuttonbox17");
  GLADE_HOOKUP_OBJECT (Counter_dialog, hbuttonbox18, "hbuttonbox18");
  GLADE_HOOKUP_OBJECT (Counter_dialog, CounterDlg_OK_button, "CounterDlg_OK_button");

  return Counter_dialog;
}

GtkWidget*
create_WLanStatus_dialog (void)
{
  GtkWidget *WLanStatus_dialog;
  GtkWidget *vbox54;
  GtkWidget *frame60;
  GtkWidget *hbox75;
  GtkWidget *WLANStatusDlg_Status_label;
  GtkWidget *WLANStatus_Status;
  GtkWidget *hbuttonbox19;
  GtkWidget *hbuttonbox20;
  GtkWidget *WLANStatusDlg_OK_button;

  WLanStatus_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (WLanStatus_dialog), _("Wireless LAN Status"));
  gtk_window_set_position (GTK_WINDOW (WLanStatus_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (WLanStatus_dialog), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (WLanStatus_dialog), 400, -1);
  gtk_window_set_resizable (GTK_WINDOW (WLanStatus_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (WLanStatus_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  vbox54 = GTK_DIALOG (WLanStatus_dialog)->vbox;
  gtk_widget_show (vbox54);

  frame60 = gtk_frame_new (NULL);
  gtk_widget_show (frame60);
  gtk_box_pack_start (GTK_BOX (vbox54), frame60, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame60), 10);
  gtk_frame_set_shadow_type (GTK_FRAME (frame60), GTK_SHADOW_NONE);

  hbox75 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox75);
  gtk_container_add (GTK_CONTAINER (frame60), hbox75);

  WLANStatusDlg_Status_label = gtk_label_new (_("Wireless LAN Status:"));
  gtk_widget_show (WLANStatusDlg_Status_label);
  gtk_box_pack_start (GTK_BOX (hbox75), WLANStatusDlg_Status_label, FALSE, FALSE, 0);

  WLANStatus_Status = gtk_label_new ("");
  gtk_widget_show (WLANStatus_Status);
  gtk_box_pack_start (GTK_BOX (hbox75), WLANStatus_Status, FALSE, FALSE, 0);

  hbuttonbox19 = GTK_DIALOG (WLanStatus_dialog)->action_area;
  gtk_widget_show (hbuttonbox19);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox19), GTK_BUTTONBOX_END);

  hbuttonbox20 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox20);
  gtk_container_add (GTK_CONTAINER (hbuttonbox19), hbuttonbox20);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox20), GTK_BUTTONBOX_END);

  WLANStatusDlg_OK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (WLANStatusDlg_OK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox20), WLANStatusDlg_OK_button);
  GTK_WIDGET_SET_FLAGS (WLANStatusDlg_OK_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) WLanStatus_dialog, "delete_event",
                    G_CALLBACK (on_WLANStatusDlg_delete_event),
                    NULL);
  g_signal_connect ((gpointer) WLanStatus_dialog, "destroy",
                    G_CALLBACK (on_WLANStatusDlg_destroy),
                    NULL);
  g_signal_connect ((gpointer) WLANStatusDlg_OK_button, "clicked",
                    G_CALLBACK (on_WLANStatusDlg_OK_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (WLanStatus_dialog, WLanStatus_dialog, "WLanStatus_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (WLanStatus_dialog, vbox54, "vbox54");
  GLADE_HOOKUP_OBJECT (WLanStatus_dialog, frame60, "frame60");
  GLADE_HOOKUP_OBJECT (WLanStatus_dialog, hbox75, "hbox75");
  GLADE_HOOKUP_OBJECT (WLanStatus_dialog, WLANStatusDlg_Status_label, "WLANStatusDlg_Status_label");
  GLADE_HOOKUP_OBJECT (WLanStatus_dialog, WLANStatus_Status, "WLANStatus_Status");
  GLADE_HOOKUP_OBJECT_NO_REF (WLanStatus_dialog, hbuttonbox19, "hbuttonbox19");
  GLADE_HOOKUP_OBJECT (WLanStatus_dialog, hbuttonbox20, "hbuttonbox20");
  GLADE_HOOKUP_OBJECT (WLanStatus_dialog, WLANStatusDlg_OK_button, "WLANStatusDlg_OK_button");

  return WLanStatus_dialog;
}

GtkWidget*
create_AutoShutdown_dialog (void)
{
  GtkWidget *AutoShutdown_dialog;
  GtkWidget *dialog_vbox10;
  GtkWidget *frame66;
  GtkWidget *vbox51;
  GtkWidget *AutoShutdownDlg_Use_checkbutton;
  GtkWidget *AutoShutdown_combo_area;
  GtkWidget *AutoShutdown_Time_Label;
  GtkWidget *AutoShutdownDlg_Time_combo;
  GtkWidget *AutoShutdown_Time_Hr_Label;
  GtkWidget *dialog_action_area10;
  GtkWidget *hbuttonbox12;
  GtkWidget *AutoShutdownDlg_OK_button;
  GtkWidget *AutoShutdownDlg_Cancel_button;

  AutoShutdown_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (AutoShutdown_dialog), _("Auto Shutdown Settings"));
  gtk_window_set_position (GTK_WINDOW (AutoShutdown_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (AutoShutdown_dialog), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (AutoShutdown_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (AutoShutdown_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  dialog_vbox10 = GTK_DIALOG (AutoShutdown_dialog)->vbox;
  gtk_widget_show (dialog_vbox10);

  frame66 = gtk_frame_new (NULL);
  gtk_widget_show (frame66);
  gtk_box_pack_start (GTK_BOX (dialog_vbox10), frame66, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame66), 5);
  gtk_frame_set_shadow_type (GTK_FRAME (frame66), GTK_SHADOW_NONE);

  vbox51 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox51);
  gtk_container_add (GTK_CONTAINER (frame66), vbox51);

  AutoShutdownDlg_Use_checkbutton = gtk_check_button_new_with_mnemonic (_("Auto Shutdown after Fixed Period"));
  gtk_widget_show (AutoShutdownDlg_Use_checkbutton);
  gtk_box_pack_start (GTK_BOX (vbox51), AutoShutdownDlg_Use_checkbutton, FALSE, FALSE, 0);
  gtk_widget_set_size_request (AutoShutdownDlg_Use_checkbutton, 360, -1);

  AutoShutdown_combo_area = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (AutoShutdown_combo_area);
  gtk_box_pack_start (GTK_BOX (vbox51), AutoShutdown_combo_area, TRUE, TRUE, 0);

  AutoShutdown_Time_Label = gtk_label_new (_("Auto Shutdown After:   "));
  gtk_widget_show (AutoShutdown_Time_Label);
  gtk_box_pack_start (GTK_BOX (AutoShutdown_combo_area), AutoShutdown_Time_Label, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (AutoShutdown_Time_Label), GTK_JUSTIFY_CENTER);
  gtk_misc_set_padding (GTK_MISC (AutoShutdown_Time_Label), 3, 0);

  AutoShutdownDlg_Time_combo = gtk_combo_box_new_text ();
  gtk_widget_show (AutoShutdownDlg_Time_combo);
  gtk_box_pack_start (GTK_BOX (AutoShutdown_combo_area), AutoShutdownDlg_Time_combo, FALSE, TRUE, 0);
  gtk_widget_set_size_request (AutoShutdownDlg_Time_combo, 80, -1);

  AutoShutdown_Time_Hr_Label = gtk_label_new (_("hr."));
  gtk_widget_show (AutoShutdown_Time_Hr_Label);
  gtk_box_pack_start (GTK_BOX (AutoShutdown_combo_area), AutoShutdown_Time_Hr_Label, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (AutoShutdown_Time_Hr_Label), GTK_JUSTIFY_CENTER);
  gtk_misc_set_padding (GTK_MISC (AutoShutdown_Time_Hr_Label), 3, 0);

  dialog_action_area10 = GTK_DIALOG (AutoShutdown_dialog)->action_area;
  gtk_widget_show (dialog_action_area10);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area10), GTK_BUTTONBOX_END);

  hbuttonbox12 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox12);
  gtk_container_add (GTK_CONTAINER (dialog_action_area10), hbuttonbox12);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox12), GTK_BUTTONBOX_END);

  AutoShutdownDlg_OK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (AutoShutdownDlg_OK_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox12), AutoShutdownDlg_OK_button);
  GTK_WIDGET_SET_FLAGS (AutoShutdownDlg_OK_button, GTK_CAN_DEFAULT);

  AutoShutdownDlg_Cancel_button = gtk_button_new_with_mnemonic (_("Cancel "));
  gtk_widget_show (AutoShutdownDlg_Cancel_button);
  gtk_container_add (GTK_CONTAINER (hbuttonbox12), AutoShutdownDlg_Cancel_button);
  GTK_WIDGET_SET_FLAGS (AutoShutdownDlg_Cancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) AutoShutdown_dialog, "delete_event",
                    G_CALLBACK (on_AutoShutdown_dialog_delete_event),
                    NULL);
  g_signal_connect ((gpointer) AutoShutdown_dialog, "destroy",
                    G_CALLBACK (on_AutoShutdown_dialog_destroy),
                    NULL);
  g_signal_connect ((gpointer) AutoShutdownDlg_Use_checkbutton, "toggled",
                    G_CALLBACK (on_AutoShutdownDlg_Use_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) AutoShutdownDlg_OK_button, "clicked",
                    G_CALLBACK (on_AutoShutdownDlg_OK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) AutoShutdownDlg_Cancel_button, "clicked",
                    G_CALLBACK (on_AutoShutdownDlg_Cancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (AutoShutdown_dialog, AutoShutdown_dialog, "AutoShutdown_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (AutoShutdown_dialog, dialog_vbox10, "dialog_vbox10");
  GLADE_HOOKUP_OBJECT (AutoShutdown_dialog, frame66, "frame66");
  GLADE_HOOKUP_OBJECT (AutoShutdown_dialog, vbox51, "vbox51");
  GLADE_HOOKUP_OBJECT (AutoShutdown_dialog, AutoShutdownDlg_Use_checkbutton, "AutoShutdownDlg_Use_checkbutton");
  GLADE_HOOKUP_OBJECT (AutoShutdown_dialog, AutoShutdown_combo_area, "AutoShutdown_combo_area");
  GLADE_HOOKUP_OBJECT (AutoShutdown_dialog, AutoShutdown_Time_Label, "AutoShutdown_Time_Label");
  GLADE_HOOKUP_OBJECT (AutoShutdown_dialog, AutoShutdownDlg_Time_combo, "AutoShutdownDlg_Time_combo");
  GLADE_HOOKUP_OBJECT (AutoShutdown_dialog, AutoShutdown_Time_Hr_Label, "AutoShutdown_Time_Hr_Label");
  GLADE_HOOKUP_OBJECT_NO_REF (AutoShutdown_dialog, dialog_action_area10, "dialog_action_area10");
  GLADE_HOOKUP_OBJECT (AutoShutdown_dialog, hbuttonbox12, "hbuttonbox12");
  GLADE_HOOKUP_OBJECT (AutoShutdown_dialog, AutoShutdownDlg_OK_button, "AutoShutdownDlg_OK_button");
  GLADE_HOOKUP_OBJECT (AutoShutdown_dialog, AutoShutdownDlg_Cancel_button, "AutoShutdownDlg_Cancel_button");

  return AutoShutdown_dialog;
}

GtkWidget*
create_ImgAdjust_dialog (void)
{
  GtkWidget *ImgAdjust_dialog;
  GtkWidget *vbox55;
  GtkWidget *frame61;
  GtkWidget *vbox56;
  GtkWidget *ImgAdjustDlg_Calib_vbox;
  GtkWidget *ImgAdjustDlg_CalibEnable_checkbutton;
  GtkWidget *ImgAdjustDlg_Time_hbox;
  GtkWidget *ImgAdjustDlg_Time_Label;
  GtkObject *ImgAdjustDlg_TimeHour_spinbutton_adj;
  GtkWidget *ImgAdjustDlg_TimeHour_spinbutton;
  GtkWidget *ImgAdjustDlg_Time_Colon_Label;
  GtkObject *ImgAdjustDlg_TimeMin_spinbutton_adj;
  GtkWidget *ImgAdjustDlg_TimeMin_spinbutton;
  GtkWidget *ImgAdjustDlg_CalibStartup_hvox;
  GtkWidget *ImgAdjustDlg_CalibStartup_Label;
  GtkWidget *ImgAdjustDlg_CalibStartup_combo;
  GtkWidget *hbuttonbox21;
  GtkWidget *hbuttonbox22;
  GtkWidget *button1;
  GtkWidget *button2;

  ImgAdjust_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (ImgAdjust_dialog), _("Image Quality Adjustment Settings"));
  gtk_window_set_position (GTK_WINDOW (ImgAdjust_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (ImgAdjust_dialog), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (ImgAdjust_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (ImgAdjust_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  vbox55 = GTK_DIALOG (ImgAdjust_dialog)->vbox;
  gtk_widget_show (vbox55);

  frame61 = gtk_frame_new (NULL);
  gtk_widget_show (frame61);
  gtk_box_pack_start (GTK_BOX (vbox55), frame61, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame61), 5);
  gtk_frame_set_shadow_type (GTK_FRAME (frame61), GTK_SHADOW_NONE);

  vbox56 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox56);
  gtk_container_add (GTK_CONTAINER (frame61), vbox56);

  ImgAdjustDlg_Calib_vbox = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (ImgAdjustDlg_Calib_vbox);
  gtk_box_pack_start (GTK_BOX (vbox56), ImgAdjustDlg_Calib_vbox, TRUE, TRUE, 0);

  ImgAdjustDlg_CalibEnable_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Periodical Calibration Timer"));
  gtk_widget_show (ImgAdjustDlg_CalibEnable_checkbutton);
  gtk_box_pack_start (GTK_BOX (ImgAdjustDlg_Calib_vbox), ImgAdjustDlg_CalibEnable_checkbutton, FALSE, FALSE, 0);

  ImgAdjustDlg_Time_hbox = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (ImgAdjustDlg_Time_hbox);
  gtk_box_pack_start (GTK_BOX (ImgAdjustDlg_Calib_vbox), ImgAdjustDlg_Time_hbox, TRUE, TRUE, 0);

  ImgAdjustDlg_Time_Label = gtk_label_new (_("Time:"));
  gtk_widget_show (ImgAdjustDlg_Time_Label);
  gtk_box_pack_start (GTK_BOX (ImgAdjustDlg_Time_hbox), ImgAdjustDlg_Time_Label, FALSE, FALSE, 0);
  gtk_misc_set_padding (GTK_MISC (ImgAdjustDlg_Time_Label), 23, 0);

  ImgAdjustDlg_TimeHour_spinbutton_adj = gtk_adjustment_new (1, 0, 23, 1, 0, 0);
  ImgAdjustDlg_TimeHour_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (ImgAdjustDlg_TimeHour_spinbutton_adj), 1, 0);
  gtk_widget_show (ImgAdjustDlg_TimeHour_spinbutton);
  gtk_box_pack_start (GTK_BOX (ImgAdjustDlg_Time_hbox), ImgAdjustDlg_TimeHour_spinbutton, FALSE, TRUE, 0);

  ImgAdjustDlg_Time_Colon_Label = gtk_label_new (_(":"));
  gtk_widget_show (ImgAdjustDlg_Time_Colon_Label);
  gtk_box_pack_start (GTK_BOX (ImgAdjustDlg_Time_hbox), ImgAdjustDlg_Time_Colon_Label, FALSE, FALSE, 4);

  ImgAdjustDlg_TimeMin_spinbutton_adj = gtk_adjustment_new (1, 0, 59, 1, 0, 0);
  ImgAdjustDlg_TimeMin_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (ImgAdjustDlg_TimeMin_spinbutton_adj), 1, 0);
  gtk_widget_show (ImgAdjustDlg_TimeMin_spinbutton);
  gtk_box_pack_start (GTK_BOX (ImgAdjustDlg_Time_hbox), ImgAdjustDlg_TimeMin_spinbutton, FALSE, TRUE, 0);

  ImgAdjustDlg_CalibStartup_hvox = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (ImgAdjustDlg_CalibStartup_hvox);
  gtk_box_pack_start (GTK_BOX (vbox56), ImgAdjustDlg_CalibStartup_hvox, TRUE, TRUE, 0);

  ImgAdjustDlg_CalibStartup_Label = gtk_label_new (_("Image Quality Adjustment at Startup:"));
  gtk_widget_show (ImgAdjustDlg_CalibStartup_Label);
  gtk_box_pack_start (GTK_BOX (ImgAdjustDlg_CalibStartup_hvox), ImgAdjustDlg_CalibStartup_Label, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (ImgAdjustDlg_CalibStartup_Label), GTK_JUSTIFY_CENTER);
  gtk_misc_set_padding (GTK_MISC (ImgAdjustDlg_CalibStartup_Label), 3, 0);

  ImgAdjustDlg_CalibStartup_combo = gtk_combo_box_new_text ();
  gtk_widget_show (ImgAdjustDlg_CalibStartup_combo);
  gtk_box_pack_start (GTK_BOX (ImgAdjustDlg_CalibStartup_hvox), ImgAdjustDlg_CalibStartup_combo, TRUE, TRUE, 0);

  hbuttonbox21 = GTK_DIALOG (ImgAdjust_dialog)->action_area;
  gtk_widget_show (hbuttonbox21);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox21), GTK_BUTTONBOX_END);

  hbuttonbox22 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox22);
  gtk_container_add (GTK_CONTAINER (hbuttonbox21), hbuttonbox22);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox22), GTK_BUTTONBOX_END);

  button1 = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (button1);
  gtk_container_add (GTK_CONTAINER (hbuttonbox22), button1);
  GTK_WIDGET_SET_FLAGS (button1, GTK_CAN_DEFAULT);

  button2 = gtk_button_new_with_mnemonic (_("Cancel "));
  gtk_widget_show (button2);
  gtk_container_add (GTK_CONTAINER (hbuttonbox22), button2);
  GTK_WIDGET_SET_FLAGS (button2, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) ImgAdjust_dialog, "delete_event",
                    G_CALLBACK (on_ImgAdjust_dialog_delete_event),
                    NULL);
  g_signal_connect ((gpointer) ImgAdjust_dialog, "destroy",
                    G_CALLBACK (on_ImgAdjust_dialog_destroy),
                    NULL);
  g_signal_connect ((gpointer) ImgAdjustDlg_CalibEnable_checkbutton, "toggled",
                    G_CALLBACK (on_ImgAdjustDlg_Calib_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) button1, "clicked",
                    G_CALLBACK (on_ImgAdjustDlg_OK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) button2, "clicked",
                    G_CALLBACK (on_ImgAdjustDlg_Cancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (ImgAdjust_dialog, ImgAdjust_dialog, "ImgAdjust_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (ImgAdjust_dialog, vbox55, "vbox55");
  GLADE_HOOKUP_OBJECT (ImgAdjust_dialog, frame61, "frame61");
  GLADE_HOOKUP_OBJECT (ImgAdjust_dialog, vbox56, "vbox56");
  GLADE_HOOKUP_OBJECT (ImgAdjust_dialog, ImgAdjustDlg_Calib_vbox, "ImgAdjustDlg_Calib_vbox");
  GLADE_HOOKUP_OBJECT (ImgAdjust_dialog, ImgAdjustDlg_CalibEnable_checkbutton, "ImgAdjustDlg_CalibEnable_checkbutton");
  GLADE_HOOKUP_OBJECT (ImgAdjust_dialog, ImgAdjustDlg_Time_hbox, "ImgAdjustDlg_Time_hbox");
  GLADE_HOOKUP_OBJECT (ImgAdjust_dialog, ImgAdjustDlg_Time_Label, "ImgAdjustDlg_Time_Label");
  GLADE_HOOKUP_OBJECT (ImgAdjust_dialog, ImgAdjustDlg_TimeHour_spinbutton, "ImgAdjustDlg_TimeHour_spinbutton");
  GLADE_HOOKUP_OBJECT (ImgAdjust_dialog, ImgAdjustDlg_Time_Colon_Label, "ImgAdjustDlg_Time_Colon_Label");
  GLADE_HOOKUP_OBJECT (ImgAdjust_dialog, ImgAdjustDlg_TimeMin_spinbutton, "ImgAdjustDlg_TimeMin_spinbutton");
  GLADE_HOOKUP_OBJECT (ImgAdjust_dialog, ImgAdjustDlg_CalibStartup_hvox, "ImgAdjustDlg_CalibStartup_hvox");
  GLADE_HOOKUP_OBJECT (ImgAdjust_dialog, ImgAdjustDlg_CalibStartup_Label, "ImgAdjustDlg_CalibStartup_Label");
  GLADE_HOOKUP_OBJECT (ImgAdjust_dialog, ImgAdjustDlg_CalibStartup_combo, "ImgAdjustDlg_CalibStartup_combo");
  GLADE_HOOKUP_OBJECT_NO_REF (ImgAdjust_dialog, hbuttonbox21, "hbuttonbox21");
  GLADE_HOOKUP_OBJECT (ImgAdjust_dialog, hbuttonbox22, "hbuttonbox22");
  GLADE_HOOKUP_OBJECT (ImgAdjust_dialog, button1, "button1");
  GLADE_HOOKUP_OBJECT (ImgAdjust_dialog, button2, "button2");

  return ImgAdjust_dialog;
}

GtkWidget*
create_PFeedUnit_dialog (void)
{
  GtkWidget *PFeedUnit_dialog;
  GtkWidget *PFeedUnitDlg_vbox;
  GtkWidget *PFeedUnitDlg_table;
  GtkWidget *PFeedUnitDlg_AutoSelectframe;
  GtkWidget *PFeedUnitDlg_AutoSelectalignment;
  GtkWidget *PFeedUnitDlg_AutoSelect_vBox;
  GtkWidget *PFeedUnitDlg_AutoSelectMPT_checkbutton;
  GtkWidget *PFeedUnitDlg_AutoSelectCS1_checkbutton;
  GtkWidget *PFeedUnitDlg_AutoSelectCS2_checkbutton;
  GtkWidget *PFeedUnitDlg_AutoSelectCS3_checkbutton;
  GtkWidget *PFeedUnitDlg_AutoSelectCS4_checkbutton;
  GtkWidget *PFeedUnitDlg_AutoSelect_label;
  GtkWidget *PFeedUnitDlg_CS4PSWframe;
  GtkWidget *PFeedUnitDlg_CS4PSWalignment;
  GtkWidget *PFeedUnitDlg_CS4PSW_vBox;
  GtkWidget *PFeedUnitDlg_CS4PSWSize_box;
  GtkWidget *PFeedUnitDlg_CS4PSWSize_label;
  GtkWidget *PFeedUnitDlg_CS4PSWSize_combo;
  GtkWidget *PFeedUnitDlg_CS4PSWFeed_box;
  GtkWidget *PFeedUnitDlg_CS4PSWFeed_label;
  GtkWidget *PFeedUnitDlg_CS4PSWFeed_combo;
  GtkWidget *PFeedUnitDlg_CS4PSWType_box;
  GtkWidget *PFeedUnitDlg_CS4PSWType_label;
  GtkWidget *PFeedUnitDlg_CS4PSWType_combo;
  GtkWidget *PFeedUnitDlg_CS4PSW_label;
  GtkWidget *PFeedUnitDlg_CS1frame;
  GtkWidget *PFeedUnitDlg_CS1alignment;
  GtkWidget *PFeedUnitDlg_CS1_vBox;
  GtkWidget *PFeedUnitDlg_CS1Size_box;
  GtkWidget *PFeedUnitDlg_CS1Size_label;
  GtkWidget *PFeedUnitDlg_CS1Size_combo;
  GtkWidget *PFeedUnitDlg_CS1Feed_box;
  GtkWidget *PFeedUnitDlg_CS1Feed_label;
  GtkWidget *PFeedUnitDlg_CS1Feed_combo;
  GtkWidget *PFeedUnitDlg_CS1Type_box;
  GtkWidget *PFeedUnitDlg_CS1Type_label;
  GtkWidget *PFeedUnitDlg_CS1Type_combo;
  GtkWidget *PFeedUnitDlg_CS1Rough_checkbutton;
  GtkWidget *PFeedUnitDlg_CS1_label;
  GtkWidget *PFeedUnitDlg_CS1PSWframe;
  GtkWidget *PFeedUnitDlg_CS1PSWalignment;
  GtkWidget *PFeedUnitDlg_CS1PSW_vBox;
  GtkWidget *PFeedUnitDlg_CS1PSWSize_box;
  GtkWidget *PFeedUnitDlg_CS1PSWSize_label;
  GtkWidget *PFeedUnitDlg_CS1PSWSize_combo;
  GtkWidget *PFeedUnitDlg_CS1PSWFeed_box;
  GtkWidget *PFeedUnitDlg_CS1PSWFeed_label;
  GtkWidget *PFeedUnitDlg_CS1PSWFeed_combo;
  GtkWidget *PFeedUnitDlg_CS1PSWType_box;
  GtkWidget *PFeedUnitDlg_CS1PSWType_label;
  GtkWidget *PFeedUnitDlg_CS1PSWType_combo;
  GtkWidget *PFeedUnitDlg_CS1PSW_label;
  GtkWidget *PFeedUnitDlg_MPTrayframe;
  GtkWidget *PFeedUnitDlg_MPTrayalignment;
  GtkWidget *PFeedUnitDlg_MPTray_vBox;
  GtkWidget *PFeedUnitDlg_MPTraySize_box;
  GtkWidget *PFeedUnitDlg_MPTraySize_label;
  GtkWidget *PFeedUnitDlg_MPTraySize_combo;
  GtkWidget *PFeedUnitDlg_MPTrayFeed_box;
  GtkWidget *PFeedUnitDlg_MPTrayFeed_label;
  GtkWidget *PFeedUnitDlg_MPTrayFeed_combo;
  GtkWidget *PFeedUnitDlg_MPTrayType_box;
  GtkWidget *PFeedUnitDlg_MPTrayType_label;
  GtkWidget *PFeedUnitDlg_MPTrayType_combo;
  GtkWidget *PFeedUnitDlg_MPTray_label;
  GtkWidget *PFeedUnitDlg_CS2PSWframe;
  GtkWidget *PFeedUnitDlg_CS2PSWalignment;
  GtkWidget *PFeedUnitDlg_CS2PSW_vBox;
  GtkWidget *PFeedUnitDlg_CS2PSWSize_box;
  GtkWidget *PFeedUnitDlg_CS2PSWSize_label;
  GtkWidget *PFeedUnitDlg_CS2PSWSize_combo;
  GtkWidget *PFeedUnitDlg_CS2PSWFeed_box;
  GtkWidget *PFeedUnitDlg_CS2PSWFeed_label;
  GtkWidget *PFeedUnitDlg_CS2PSWFeed_combo;
  GtkWidget *PFeedUnitDlg_CS2PSWType_box;
  GtkWidget *PFeedUnitDlg_CS2PSWType_label;
  GtkWidget *PFeedUnitDlg_CS2PSWType_combo;
  GtkWidget *PFeedUnitDlg_CS2PSW_label;
  GtkWidget *PFeedUnitDlg_CS3PSWframe;
  GtkWidget *PFeedUnitDlg_CS3PSWalignment;
  GtkWidget *PFeedUnitDlg_CS3PSW_vBox;
  GtkWidget *PFeedUnitDlg_CS3PSWSize_box;
  GtkWidget *PFeedUnitDlg_CS3PSWSize_label;
  GtkWidget *PFeedUnitDlg_CS3PSWSize_combo;
  GtkWidget *PFeedUnitDlg_CS3PSWFeed_box;
  GtkWidget *PFeedUnitDlg_CS3PSWFeed_label;
  GtkWidget *PFeedUnitDlg_CS3PSWFeed_combo;
  GtkWidget *PFeedUnitDlg_CS3PSWType_box;
  GtkWidget *PFeedUnitDlg_CS3PSWType_label;
  GtkWidget *PFeedUnitDlg_CS3PSWType_combo;
  GtkWidget *PFeedUnitDlg_CS3PSW_label;
  GtkWidget *PFeedUnitDlg_Helpframe;
  GtkWidget *PFeedUnitDlg_Helpalignment;
  GtkWidget *PFeedUnitDlg_Help_vBox;
  GtkWidget *PFeedUnitDlg_Help1_label;
  GtkWidget *PFeedUnitDlg_Help2_label;
  GtkWidget *PFeedUnitDlg_Help_label;
  GtkWidget *PFeedUnitDlg_hbuttonbox;
  GtkWidget *PFeedUnitDlg_OKCancel_hbuttonbox;
  GtkWidget *PFeedUnitDlg_OK_button;
  GtkWidget *PFeedUnitDlg_Cancel_button;

  PFeedUnit_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (PFeedUnit_dialog), _("Paper Source Settings"));
  gtk_window_set_position (GTK_WINDOW (PFeedUnit_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (PFeedUnit_dialog), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (PFeedUnit_dialog), 500, -1);
  gtk_window_set_resizable (GTK_WINDOW (PFeedUnit_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (PFeedUnit_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  PFeedUnitDlg_vbox = GTK_DIALOG (PFeedUnit_dialog)->vbox;
  gtk_widget_show (PFeedUnitDlg_vbox);

  PFeedUnitDlg_table = gtk_table_new (4, 2, FALSE);
  gtk_widget_show (PFeedUnitDlg_table);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_vbox), PFeedUnitDlg_table, TRUE, TRUE, 0);

  PFeedUnitDlg_AutoSelectframe = gtk_frame_new (NULL);
  gtk_widget_show (PFeedUnitDlg_AutoSelectframe);
  gtk_table_attach (GTK_TABLE (PFeedUnitDlg_table), PFeedUnitDlg_AutoSelectframe, 0, 1, 3, 4,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 5, 1);
  gtk_widget_set_size_request (PFeedUnitDlg_AutoSelectframe, -1, 130);
  gtk_frame_set_shadow_type (GTK_FRAME (PFeedUnitDlg_AutoSelectframe), GTK_SHADOW_ETCHED_OUT);

  PFeedUnitDlg_AutoSelectalignment = gtk_alignment_new (0.5, 0.5, 1, 1);
  gtk_widget_show (PFeedUnitDlg_AutoSelectalignment);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_AutoSelectframe), PFeedUnitDlg_AutoSelectalignment);
  gtk_alignment_set_padding (GTK_ALIGNMENT (PFeedUnitDlg_AutoSelectalignment), 0, 0, 12, 0);

  PFeedUnitDlg_AutoSelect_vBox = gtk_vbox_new (TRUE, 0);
  gtk_widget_show (PFeedUnitDlg_AutoSelect_vBox);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_AutoSelectalignment), PFeedUnitDlg_AutoSelect_vBox);

  PFeedUnitDlg_AutoSelectMPT_checkbutton = gtk_check_button_new_with_mnemonic (_("Multi-purpose Tray"));
  gtk_widget_show (PFeedUnitDlg_AutoSelectMPT_checkbutton);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_AutoSelect_vBox), PFeedUnitDlg_AutoSelectMPT_checkbutton, FALSE, FALSE, 0);

  PFeedUnitDlg_AutoSelectCS1_checkbutton = gtk_check_button_new_with_mnemonic (_("Drawer 1"));
  gtk_widget_show (PFeedUnitDlg_AutoSelectCS1_checkbutton);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_AutoSelect_vBox), PFeedUnitDlg_AutoSelectCS1_checkbutton, FALSE, FALSE, 0);

  PFeedUnitDlg_AutoSelectCS2_checkbutton = gtk_check_button_new_with_mnemonic (_("Drawer 2"));
  gtk_widget_show (PFeedUnitDlg_AutoSelectCS2_checkbutton);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_AutoSelect_vBox), PFeedUnitDlg_AutoSelectCS2_checkbutton, FALSE, FALSE, 0);

  PFeedUnitDlg_AutoSelectCS3_checkbutton = gtk_check_button_new_with_mnemonic (_("Drawer 3"));
  gtk_widget_show (PFeedUnitDlg_AutoSelectCS3_checkbutton);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_AutoSelect_vBox), PFeedUnitDlg_AutoSelectCS3_checkbutton, FALSE, FALSE, 0);

  PFeedUnitDlg_AutoSelectCS4_checkbutton = gtk_check_button_new_with_mnemonic (_("Drawer 4"));
  gtk_widget_show (PFeedUnitDlg_AutoSelectCS4_checkbutton);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_AutoSelect_vBox), PFeedUnitDlg_AutoSelectCS4_checkbutton, FALSE, FALSE, 0);

  PFeedUnitDlg_AutoSelect_label = gtk_label_new (_("Paper Sources to Auto Select"));
  gtk_widget_show (PFeedUnitDlg_AutoSelect_label);
  gtk_frame_set_label_widget (GTK_FRAME (PFeedUnitDlg_AutoSelectframe), PFeedUnitDlg_AutoSelect_label);
  gtk_label_set_use_markup (GTK_LABEL (PFeedUnitDlg_AutoSelect_label), TRUE);

  PFeedUnitDlg_CS4PSWframe = gtk_frame_new (NULL);
  gtk_widget_show (PFeedUnitDlg_CS4PSWframe);
  gtk_table_attach (GTK_TABLE (PFeedUnitDlg_table), PFeedUnitDlg_CS4PSWframe, 1, 2, 3, 4,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 5, 1);
  gtk_widget_set_size_request (PFeedUnitDlg_CS4PSWframe, -1, 130);
  gtk_frame_set_shadow_type (GTK_FRAME (PFeedUnitDlg_CS4PSWframe), GTK_SHADOW_ETCHED_OUT);

  PFeedUnitDlg_CS4PSWalignment = gtk_alignment_new (0.3, 0.3, 1, 1);
  gtk_widget_show (PFeedUnitDlg_CS4PSWalignment);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_CS4PSWframe), PFeedUnitDlg_CS4PSWalignment);
  gtk_container_set_border_width (GTK_CONTAINER (PFeedUnitDlg_CS4PSWalignment), 5);
  gtk_alignment_set_padding (GTK_ALIGNMENT (PFeedUnitDlg_CS4PSWalignment), 0, 0, 5, 5);

  PFeedUnitDlg_CS4PSW_vBox = gtk_vbox_new (TRUE, 0);
  gtk_widget_show (PFeedUnitDlg_CS4PSW_vBox);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_CS4PSWalignment), PFeedUnitDlg_CS4PSW_vBox);

  PFeedUnitDlg_CS4PSWSize_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_CS4PSWSize_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS4PSW_vBox), PFeedUnitDlg_CS4PSWSize_box, TRUE, TRUE, 0);

  PFeedUnitDlg_CS4PSWSize_label = gtk_label_new (_("Paper Size:"));
  gtk_widget_show (PFeedUnitDlg_CS4PSWSize_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS4PSWSize_box), PFeedUnitDlg_CS4PSWSize_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_CS4PSWSize_label), 0, 0.5);

  PFeedUnitDlg_CS4PSWSize_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_CS4PSWSize_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS4PSWSize_box), PFeedUnitDlg_CS4PSWSize_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_CS4PSWFeed_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_CS4PSWFeed_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS4PSW_vBox), PFeedUnitDlg_CS4PSWFeed_box, TRUE, TRUE, 0);

  PFeedUnitDlg_CS4PSWFeed_label = gtk_label_new (_("Paper Feed Direction:"));
  gtk_widget_show (PFeedUnitDlg_CS4PSWFeed_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS4PSWFeed_box), PFeedUnitDlg_CS4PSWFeed_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_CS4PSWFeed_label), 0, 0.5);

  PFeedUnitDlg_CS4PSWFeed_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_CS4PSWFeed_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS4PSWFeed_box), PFeedUnitDlg_CS4PSWFeed_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_CS4PSWType_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_CS4PSWType_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS4PSW_vBox), PFeedUnitDlg_CS4PSWType_box, TRUE, TRUE, 0);

  PFeedUnitDlg_CS4PSWType_label = gtk_label_new (_("Paper Type:"));
  gtk_widget_show (PFeedUnitDlg_CS4PSWType_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS4PSWType_box), PFeedUnitDlg_CS4PSWType_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_CS4PSWType_label), 0, 0.5);

  PFeedUnitDlg_CS4PSWType_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_CS4PSWType_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS4PSWType_box), PFeedUnitDlg_CS4PSWType_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_CS4PSW_label = gtk_label_new (_("Drawer 4"));
  gtk_widget_show (PFeedUnitDlg_CS4PSW_label);
  gtk_frame_set_label_widget (GTK_FRAME (PFeedUnitDlg_CS4PSWframe), PFeedUnitDlg_CS4PSW_label);
  gtk_label_set_use_markup (GTK_LABEL (PFeedUnitDlg_CS4PSW_label), TRUE);

  PFeedUnitDlg_CS1frame = gtk_frame_new (NULL);
  gtk_widget_show (PFeedUnitDlg_CS1frame);
  gtk_table_attach (GTK_TABLE (PFeedUnitDlg_table), PFeedUnitDlg_CS1frame, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 0, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (PFeedUnitDlg_CS1frame), GTK_SHADOW_ETCHED_OUT);

  PFeedUnitDlg_CS1alignment = gtk_alignment_new (0.3, 0.3, 1, 1);
  gtk_widget_show (PFeedUnitDlg_CS1alignment);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_CS1frame), PFeedUnitDlg_CS1alignment);
  gtk_container_set_border_width (GTK_CONTAINER (PFeedUnitDlg_CS1alignment), 5);
  gtk_alignment_set_padding (GTK_ALIGNMENT (PFeedUnitDlg_CS1alignment), 0, 0, 5, 5);

  PFeedUnitDlg_CS1_vBox = gtk_vbox_new (TRUE, 0);
  gtk_widget_show (PFeedUnitDlg_CS1_vBox);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_CS1alignment), PFeedUnitDlg_CS1_vBox);

  PFeedUnitDlg_CS1Size_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_CS1Size_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1_vBox), PFeedUnitDlg_CS1Size_box, TRUE, TRUE, 0);

  PFeedUnitDlg_CS1Size_label = gtk_label_new (_("Paper Size:"));
  gtk_widget_show (PFeedUnitDlg_CS1Size_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1Size_box), PFeedUnitDlg_CS1Size_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_CS1Size_label), 0, 0.5);

  PFeedUnitDlg_CS1Size_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_CS1Size_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1Size_box), PFeedUnitDlg_CS1Size_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_CS1Feed_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_CS1Feed_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1_vBox), PFeedUnitDlg_CS1Feed_box, TRUE, TRUE, 0);

  PFeedUnitDlg_CS1Feed_label = gtk_label_new (_("Paper Feed Direction:"));
  gtk_widget_show (PFeedUnitDlg_CS1Feed_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1Feed_box), PFeedUnitDlg_CS1Feed_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_CS1Feed_label), 0, 0.5);

  PFeedUnitDlg_CS1Feed_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_CS1Feed_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1Feed_box), PFeedUnitDlg_CS1Feed_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_CS1Type_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_CS1Type_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1_vBox), PFeedUnitDlg_CS1Type_box, TRUE, TRUE, 0);

  PFeedUnitDlg_CS1Type_label = gtk_label_new (_("Paper Type:"));
  gtk_widget_show (PFeedUnitDlg_CS1Type_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1Type_box), PFeedUnitDlg_CS1Type_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_CS1Type_label), 0, 0.5);

  PFeedUnitDlg_CS1Type_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_CS1Type_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1Type_box), PFeedUnitDlg_CS1Type_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_CS1Rough_checkbutton = gtk_check_button_new_with_mnemonic (_("Use Rough Paper"));
  gtk_widget_show (PFeedUnitDlg_CS1Rough_checkbutton);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1_vBox), PFeedUnitDlg_CS1Rough_checkbutton, FALSE, FALSE, 0);

  PFeedUnitDlg_CS1_label = gtk_label_new (_("Drawer 1"));
  gtk_widget_show (PFeedUnitDlg_CS1_label);
  gtk_frame_set_label_widget (GTK_FRAME (PFeedUnitDlg_CS1frame), PFeedUnitDlg_CS1_label);
  gtk_label_set_use_markup (GTK_LABEL (PFeedUnitDlg_CS1_label), TRUE);

  PFeedUnitDlg_CS1PSWframe = gtk_frame_new (NULL);
  gtk_widget_show (PFeedUnitDlg_CS1PSWframe);
  gtk_table_attach (GTK_TABLE (PFeedUnitDlg_table), PFeedUnitDlg_CS1PSWframe, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 5, 1);
  gtk_widget_set_size_request (PFeedUnitDlg_CS1PSWframe, -1, 130);
  gtk_frame_set_shadow_type (GTK_FRAME (PFeedUnitDlg_CS1PSWframe), GTK_SHADOW_ETCHED_OUT);

  PFeedUnitDlg_CS1PSWalignment = gtk_alignment_new (0.3, 0.3, 1, 1);
  gtk_widget_show (PFeedUnitDlg_CS1PSWalignment);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_CS1PSWframe), PFeedUnitDlg_CS1PSWalignment);
  gtk_container_set_border_width (GTK_CONTAINER (PFeedUnitDlg_CS1PSWalignment), 5);
  gtk_alignment_set_padding (GTK_ALIGNMENT (PFeedUnitDlg_CS1PSWalignment), 0, 0, 5, 5);

  PFeedUnitDlg_CS1PSW_vBox = gtk_vbox_new (TRUE, 0);
  gtk_widget_show (PFeedUnitDlg_CS1PSW_vBox);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_CS1PSWalignment), PFeedUnitDlg_CS1PSW_vBox);

  PFeedUnitDlg_CS1PSWSize_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_CS1PSWSize_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1PSW_vBox), PFeedUnitDlg_CS1PSWSize_box, TRUE, TRUE, 0);

  PFeedUnitDlg_CS1PSWSize_label = gtk_label_new (_("Paper Size:"));
  gtk_widget_show (PFeedUnitDlg_CS1PSWSize_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1PSWSize_box), PFeedUnitDlg_CS1PSWSize_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_CS1PSWSize_label), 0, 0.5);

  PFeedUnitDlg_CS1PSWSize_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_CS1PSWSize_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1PSWSize_box), PFeedUnitDlg_CS1PSWSize_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_CS1PSWFeed_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_CS1PSWFeed_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1PSW_vBox), PFeedUnitDlg_CS1PSWFeed_box, TRUE, TRUE, 0);

  PFeedUnitDlg_CS1PSWFeed_label = gtk_label_new (_("Paper Feed Direction:"));
  gtk_widget_show (PFeedUnitDlg_CS1PSWFeed_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1PSWFeed_box), PFeedUnitDlg_CS1PSWFeed_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_CS1PSWFeed_label), 0, 0.5);

  PFeedUnitDlg_CS1PSWFeed_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_CS1PSWFeed_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1PSWFeed_box), PFeedUnitDlg_CS1PSWFeed_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_CS1PSWType_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_CS1PSWType_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1PSW_vBox), PFeedUnitDlg_CS1PSWType_box, TRUE, TRUE, 0);

  PFeedUnitDlg_CS1PSWType_label = gtk_label_new (_("Paper Type:"));
  gtk_widget_show (PFeedUnitDlg_CS1PSWType_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1PSWType_box), PFeedUnitDlg_CS1PSWType_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_CS1PSWType_label), 0, 0.5);

  PFeedUnitDlg_CS1PSWType_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_CS1PSWType_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS1PSWType_box), PFeedUnitDlg_CS1PSWType_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_CS1PSW_label = gtk_label_new (_("Drawer 1"));
  gtk_widget_show (PFeedUnitDlg_CS1PSW_label);
  gtk_frame_set_label_widget (GTK_FRAME (PFeedUnitDlg_CS1PSWframe), PFeedUnitDlg_CS1PSW_label);
  gtk_label_set_use_markup (GTK_LABEL (PFeedUnitDlg_CS1PSW_label), TRUE);

  PFeedUnitDlg_MPTrayframe = gtk_frame_new (NULL);
  gtk_widget_show (PFeedUnitDlg_MPTrayframe);
  gtk_table_attach (GTK_TABLE (PFeedUnitDlg_table), PFeedUnitDlg_MPTrayframe, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 5, 1);
  gtk_widget_set_size_request (PFeedUnitDlg_MPTrayframe, -1, 130);
  gtk_frame_set_shadow_type (GTK_FRAME (PFeedUnitDlg_MPTrayframe), GTK_SHADOW_ETCHED_OUT);

  PFeedUnitDlg_MPTrayalignment = gtk_alignment_new (0.3, 0.3, 1, 1);
  gtk_widget_show (PFeedUnitDlg_MPTrayalignment);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_MPTrayframe), PFeedUnitDlg_MPTrayalignment);
  gtk_container_set_border_width (GTK_CONTAINER (PFeedUnitDlg_MPTrayalignment), 5);
  gtk_alignment_set_padding (GTK_ALIGNMENT (PFeedUnitDlg_MPTrayalignment), 0, 0, 5, 5);

  PFeedUnitDlg_MPTray_vBox = gtk_vbox_new (TRUE, 0);
  gtk_widget_show (PFeedUnitDlg_MPTray_vBox);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_MPTrayalignment), PFeedUnitDlg_MPTray_vBox);

  PFeedUnitDlg_MPTraySize_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_MPTraySize_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_MPTray_vBox), PFeedUnitDlg_MPTraySize_box, TRUE, TRUE, 0);

  PFeedUnitDlg_MPTraySize_label = gtk_label_new (_("Paper Size:"));
  gtk_widget_show (PFeedUnitDlg_MPTraySize_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_MPTraySize_box), PFeedUnitDlg_MPTraySize_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_MPTraySize_label), 0, 0.5);

  PFeedUnitDlg_MPTraySize_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_MPTraySize_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_MPTraySize_box), PFeedUnitDlg_MPTraySize_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_MPTrayFeed_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_MPTrayFeed_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_MPTray_vBox), PFeedUnitDlg_MPTrayFeed_box, TRUE, TRUE, 0);

  PFeedUnitDlg_MPTrayFeed_label = gtk_label_new (_("Paper Feed Direction:"));
  gtk_widget_show (PFeedUnitDlg_MPTrayFeed_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_MPTrayFeed_box), PFeedUnitDlg_MPTrayFeed_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_MPTrayFeed_label), 0, 0.5);

  PFeedUnitDlg_MPTrayFeed_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_MPTrayFeed_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_MPTrayFeed_box), PFeedUnitDlg_MPTrayFeed_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_MPTrayType_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_MPTrayType_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_MPTray_vBox), PFeedUnitDlg_MPTrayType_box, TRUE, TRUE, 0);

  PFeedUnitDlg_MPTrayType_label = gtk_label_new (_("Paper Type:"));
  gtk_widget_show (PFeedUnitDlg_MPTrayType_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_MPTrayType_box), PFeedUnitDlg_MPTrayType_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_MPTrayType_label), 0, 0.5);

  PFeedUnitDlg_MPTrayType_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_MPTrayType_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_MPTrayType_box), PFeedUnitDlg_MPTrayType_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_MPTray_label = gtk_label_new (_("Multi-purpose Tray"));
  gtk_widget_show (PFeedUnitDlg_MPTray_label);
  gtk_frame_set_label_widget (GTK_FRAME (PFeedUnitDlg_MPTrayframe), PFeedUnitDlg_MPTray_label);
  gtk_label_set_use_markup (GTK_LABEL (PFeedUnitDlg_MPTray_label), TRUE);

  PFeedUnitDlg_CS2PSWframe = gtk_frame_new (NULL);
  gtk_widget_show (PFeedUnitDlg_CS2PSWframe);
  gtk_table_attach (GTK_TABLE (PFeedUnitDlg_table), PFeedUnitDlg_CS2PSWframe, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 5, 1);
  gtk_widget_set_size_request (PFeedUnitDlg_CS2PSWframe, -1, 130);
  gtk_frame_set_shadow_type (GTK_FRAME (PFeedUnitDlg_CS2PSWframe), GTK_SHADOW_ETCHED_OUT);

  PFeedUnitDlg_CS2PSWalignment = gtk_alignment_new (0.3, 0.3, 1, 1);
  gtk_widget_show (PFeedUnitDlg_CS2PSWalignment);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_CS2PSWframe), PFeedUnitDlg_CS2PSWalignment);
  gtk_container_set_border_width (GTK_CONTAINER (PFeedUnitDlg_CS2PSWalignment), 5);
  gtk_alignment_set_padding (GTK_ALIGNMENT (PFeedUnitDlg_CS2PSWalignment), 0, 0, 5, 5);

  PFeedUnitDlg_CS2PSW_vBox = gtk_vbox_new (TRUE, 0);
  gtk_widget_show (PFeedUnitDlg_CS2PSW_vBox);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_CS2PSWalignment), PFeedUnitDlg_CS2PSW_vBox);

  PFeedUnitDlg_CS2PSWSize_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_CS2PSWSize_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS2PSW_vBox), PFeedUnitDlg_CS2PSWSize_box, TRUE, TRUE, 0);

  PFeedUnitDlg_CS2PSWSize_label = gtk_label_new (_("Paper Size:"));
  gtk_widget_show (PFeedUnitDlg_CS2PSWSize_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS2PSWSize_box), PFeedUnitDlg_CS2PSWSize_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_CS2PSWSize_label), 0, 0.5);

  PFeedUnitDlg_CS2PSWSize_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_CS2PSWSize_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS2PSWSize_box), PFeedUnitDlg_CS2PSWSize_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_CS2PSWFeed_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_CS2PSWFeed_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS2PSW_vBox), PFeedUnitDlg_CS2PSWFeed_box, TRUE, TRUE, 0);

  PFeedUnitDlg_CS2PSWFeed_label = gtk_label_new (_("Paper Feed Direction:"));
  gtk_widget_show (PFeedUnitDlg_CS2PSWFeed_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS2PSWFeed_box), PFeedUnitDlg_CS2PSWFeed_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_CS2PSWFeed_label), 0, 0.5);

  PFeedUnitDlg_CS2PSWFeed_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_CS2PSWFeed_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS2PSWFeed_box), PFeedUnitDlg_CS2PSWFeed_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_CS2PSWType_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_CS2PSWType_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS2PSW_vBox), PFeedUnitDlg_CS2PSWType_box, TRUE, TRUE, 0);

  PFeedUnitDlg_CS2PSWType_label = gtk_label_new (_("Paper Type:"));
  gtk_widget_show (PFeedUnitDlg_CS2PSWType_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS2PSWType_box), PFeedUnitDlg_CS2PSWType_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_CS2PSWType_label), 0, 0.5);

  PFeedUnitDlg_CS2PSWType_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_CS2PSWType_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS2PSWType_box), PFeedUnitDlg_CS2PSWType_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_CS2PSW_label = gtk_label_new (_("Drawer 2"));
  gtk_widget_show (PFeedUnitDlg_CS2PSW_label);
  gtk_frame_set_label_widget (GTK_FRAME (PFeedUnitDlg_CS2PSWframe), PFeedUnitDlg_CS2PSW_label);
  gtk_label_set_use_markup (GTK_LABEL (PFeedUnitDlg_CS2PSW_label), TRUE);

  PFeedUnitDlg_CS3PSWframe = gtk_frame_new (NULL);
  gtk_widget_show (PFeedUnitDlg_CS3PSWframe);
  gtk_table_attach (GTK_TABLE (PFeedUnitDlg_table), PFeedUnitDlg_CS3PSWframe, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL), 5, 1);
  gtk_widget_set_size_request (PFeedUnitDlg_CS3PSWframe, -1, 130);
  gtk_frame_set_shadow_type (GTK_FRAME (PFeedUnitDlg_CS3PSWframe), GTK_SHADOW_ETCHED_OUT);

  PFeedUnitDlg_CS3PSWalignment = gtk_alignment_new (0.3, 0.3, 1, 1);
  gtk_widget_show (PFeedUnitDlg_CS3PSWalignment);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_CS3PSWframe), PFeedUnitDlg_CS3PSWalignment);
  gtk_container_set_border_width (GTK_CONTAINER (PFeedUnitDlg_CS3PSWalignment), 5);
  gtk_alignment_set_padding (GTK_ALIGNMENT (PFeedUnitDlg_CS3PSWalignment), 0, 0, 5, 5);

  PFeedUnitDlg_CS3PSW_vBox = gtk_vbox_new (TRUE, 0);
  gtk_widget_show (PFeedUnitDlg_CS3PSW_vBox);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_CS3PSWalignment), PFeedUnitDlg_CS3PSW_vBox);

  PFeedUnitDlg_CS3PSWSize_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_CS3PSWSize_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS3PSW_vBox), PFeedUnitDlg_CS3PSWSize_box, TRUE, TRUE, 0);

  PFeedUnitDlg_CS3PSWSize_label = gtk_label_new (_("Paper Size:"));
  gtk_widget_show (PFeedUnitDlg_CS3PSWSize_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS3PSWSize_box), PFeedUnitDlg_CS3PSWSize_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_CS3PSWSize_label), 0, 0.5);

  PFeedUnitDlg_CS3PSWSize_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_CS3PSWSize_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS3PSWSize_box), PFeedUnitDlg_CS3PSWSize_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_CS3PSWFeed_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_CS3PSWFeed_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS3PSW_vBox), PFeedUnitDlg_CS3PSWFeed_box, TRUE, TRUE, 0);

  PFeedUnitDlg_CS3PSWFeed_label = gtk_label_new (_("Paper Feed Direction:"));
  gtk_widget_show (PFeedUnitDlg_CS3PSWFeed_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS3PSWFeed_box), PFeedUnitDlg_CS3PSWFeed_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_CS3PSWFeed_label), 0, 0.5);

  PFeedUnitDlg_CS3PSWFeed_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_CS3PSWFeed_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS3PSWFeed_box), PFeedUnitDlg_CS3PSWFeed_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_CS3PSWType_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (PFeedUnitDlg_CS3PSWType_box);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS3PSW_vBox), PFeedUnitDlg_CS3PSWType_box, TRUE, TRUE, 0);

  PFeedUnitDlg_CS3PSWType_label = gtk_label_new (_("Paper Type:"));
  gtk_widget_show (PFeedUnitDlg_CS3PSWType_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS3PSWType_box), PFeedUnitDlg_CS3PSWType_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_CS3PSWType_label), 0, 0.5);

  PFeedUnitDlg_CS3PSWType_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PFeedUnitDlg_CS3PSWType_combo);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_CS3PSWType_box), PFeedUnitDlg_CS3PSWType_combo, TRUE, TRUE, 0);

  PFeedUnitDlg_CS3PSW_label = gtk_label_new (_("Drawer 3"));
  gtk_widget_show (PFeedUnitDlg_CS3PSW_label);
  gtk_frame_set_label_widget (GTK_FRAME (PFeedUnitDlg_CS3PSWframe), PFeedUnitDlg_CS3PSW_label);
  gtk_label_set_use_markup (GTK_LABEL (PFeedUnitDlg_CS3PSW_label), TRUE);

  PFeedUnitDlg_Helpframe = gtk_frame_new (NULL);
  gtk_widget_show (PFeedUnitDlg_Helpframe);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_vbox), PFeedUnitDlg_Helpframe, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (PFeedUnitDlg_Helpframe), GTK_SHADOW_NONE);

  PFeedUnitDlg_Helpalignment = gtk_alignment_new (0.5, 0.5, 1, 1);
  gtk_widget_show (PFeedUnitDlg_Helpalignment);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_Helpframe), PFeedUnitDlg_Helpalignment);
  gtk_alignment_set_padding (GTK_ALIGNMENT (PFeedUnitDlg_Helpalignment), 0, 0, 12, 0);

  PFeedUnitDlg_Help_vBox = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (PFeedUnitDlg_Help_vBox);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_Helpalignment), PFeedUnitDlg_Help_vBox);

  PFeedUnitDlg_Help1_label = gtk_label_new (_("* The paper size setting for a drawer is only valid when the dial of that drawer is set to the custom position."));
  gtk_widget_show (PFeedUnitDlg_Help1_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_Help_vBox), PFeedUnitDlg_Help1_label, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (PFeedUnitDlg_Help1_label), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_Help1_label), 0, 0.5);

  PFeedUnitDlg_Help2_label = gtk_label_new (_("* The paper feed direction setting is only valid for custom paper sizes."));
  gtk_widget_show (PFeedUnitDlg_Help2_label);
  gtk_box_pack_start (GTK_BOX (PFeedUnitDlg_Help_vBox), PFeedUnitDlg_Help2_label, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (PFeedUnitDlg_Help2_label), GTK_JUSTIFY_RIGHT);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_Help2_label), 0, 0.5);

  PFeedUnitDlg_Help_label = gtk_label_new ("");
  gtk_widget_show (PFeedUnitDlg_Help_label);
  gtk_frame_set_label_widget (GTK_FRAME (PFeedUnitDlg_Helpframe), PFeedUnitDlg_Help_label);
  gtk_label_set_use_markup (GTK_LABEL (PFeedUnitDlg_Help_label), TRUE);
  gtk_misc_set_alignment (GTK_MISC (PFeedUnitDlg_Help_label), 0, 0);

  PFeedUnitDlg_hbuttonbox = GTK_DIALOG (PFeedUnit_dialog)->action_area;
  gtk_widget_show (PFeedUnitDlg_hbuttonbox);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (PFeedUnitDlg_hbuttonbox), GTK_BUTTONBOX_END);

  PFeedUnitDlg_OKCancel_hbuttonbox = gtk_hbutton_box_new ();
  gtk_widget_show (PFeedUnitDlg_OKCancel_hbuttonbox);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_hbuttonbox), PFeedUnitDlg_OKCancel_hbuttonbox);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (PFeedUnitDlg_OKCancel_hbuttonbox), GTK_BUTTONBOX_END);

  PFeedUnitDlg_OK_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (PFeedUnitDlg_OK_button);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_OKCancel_hbuttonbox), PFeedUnitDlg_OK_button);
  GTK_WIDGET_SET_FLAGS (PFeedUnitDlg_OK_button, GTK_CAN_DEFAULT);

  PFeedUnitDlg_Cancel_button = gtk_button_new_with_mnemonic (_("Cancel "));
  gtk_widget_show (PFeedUnitDlg_Cancel_button);
  gtk_container_add (GTK_CONTAINER (PFeedUnitDlg_OKCancel_hbuttonbox), PFeedUnitDlg_Cancel_button);
  GTK_WIDGET_SET_FLAGS (PFeedUnitDlg_Cancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) PFeedUnit_dialog, "delete_event",
                    G_CALLBACK (on_PFeedUnitDlg_delete_event),
                    NULL);
  g_signal_connect ((gpointer) PFeedUnit_dialog, "destroy",
                    G_CALLBACK (on_PFeedUnitDlg_destroy),
                    NULL);
  g_signal_connect ((gpointer) PFeedUnitDlg_CS4PSWSize_combo, "changed",
                    G_CALLBACK (on_PFeedUnitDlg_CS4PSWSize_combo_changed),
                    NULL);
  g_signal_connect ((gpointer) PFeedUnitDlg_CS1Size_combo, "changed",
                    G_CALLBACK (on_PFeedUnitDlg_CS1Size_combo_changed),
                    NULL);
  g_signal_connect ((gpointer) PFeedUnitDlg_CS1Rough_checkbutton, "toggled",
                    G_CALLBACK (on_PFeedUnitDlg_CS1Rough_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) PFeedUnitDlg_CS1PSWSize_combo, "changed",
                    G_CALLBACK (on_PFeedUnitDlg_CS1PSWSize_combo_changed),
                    NULL);
  g_signal_connect ((gpointer) PFeedUnitDlg_MPTraySize_combo, "changed",
                    G_CALLBACK (on_PFeedUnitDlg_MPTraySize_combo_changed),
                    NULL);
  g_signal_connect ((gpointer) PFeedUnitDlg_CS2PSWSize_combo, "changed",
                    G_CALLBACK (on_PFeedUnitDlg_CS2PSWSize_combo_changed),
                    NULL);
  g_signal_connect ((gpointer) PFeedUnitDlg_CS3PSWSize_combo, "changed",
                    G_CALLBACK (on_PFeedUnitDlg_CS3PSWSize_combo_changed),
                    NULL);
  g_signal_connect ((gpointer) PFeedUnitDlg_OK_button, "clicked",
                    G_CALLBACK (on_PFeedUnitDlg_OK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) PFeedUnitDlg_Cancel_button, "clicked",
                    G_CALLBACK (on_PFeedUnit_Cancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (PFeedUnit_dialog, PFeedUnit_dialog, "PFeedUnit_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (PFeedUnit_dialog, PFeedUnitDlg_vbox, "PFeedUnitDlg_vbox");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_table, "PFeedUnitDlg_table");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_AutoSelectframe, "PFeedUnitDlg_AutoSelectframe");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_AutoSelectalignment, "PFeedUnitDlg_AutoSelectalignment");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_AutoSelect_vBox, "PFeedUnitDlg_AutoSelect_vBox");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_AutoSelectMPT_checkbutton, "PFeedUnitDlg_AutoSelectMPT_checkbutton");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_AutoSelectCS1_checkbutton, "PFeedUnitDlg_AutoSelectCS1_checkbutton");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_AutoSelectCS2_checkbutton, "PFeedUnitDlg_AutoSelectCS2_checkbutton");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_AutoSelectCS3_checkbutton, "PFeedUnitDlg_AutoSelectCS3_checkbutton");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_AutoSelectCS4_checkbutton, "PFeedUnitDlg_AutoSelectCS4_checkbutton");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_AutoSelect_label, "PFeedUnitDlg_AutoSelect_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS4PSWframe, "PFeedUnitDlg_CS4PSWframe");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS4PSWalignment, "PFeedUnitDlg_CS4PSWalignment");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS4PSW_vBox, "PFeedUnitDlg_CS4PSW_vBox");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS4PSWSize_box, "PFeedUnitDlg_CS4PSWSize_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS4PSWSize_label, "PFeedUnitDlg_CS4PSWSize_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS4PSWSize_combo, "PFeedUnitDlg_CS4PSWSize_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS4PSWFeed_box, "PFeedUnitDlg_CS4PSWFeed_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS4PSWFeed_label, "PFeedUnitDlg_CS4PSWFeed_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS4PSWFeed_combo, "PFeedUnitDlg_CS4PSWFeed_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS4PSWType_box, "PFeedUnitDlg_CS4PSWType_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS4PSWType_label, "PFeedUnitDlg_CS4PSWType_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS4PSWType_combo, "PFeedUnitDlg_CS4PSWType_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS4PSW_label, "PFeedUnitDlg_CS4PSW_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1frame, "PFeedUnitDlg_CS1frame");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1alignment, "PFeedUnitDlg_CS1alignment");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1_vBox, "PFeedUnitDlg_CS1_vBox");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1Size_box, "PFeedUnitDlg_CS1Size_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1Size_label, "PFeedUnitDlg_CS1Size_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1Size_combo, "PFeedUnitDlg_CS1Size_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1Feed_box, "PFeedUnitDlg_CS1Feed_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1Feed_label, "PFeedUnitDlg_CS1Feed_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1Feed_combo, "PFeedUnitDlg_CS1Feed_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1Type_box, "PFeedUnitDlg_CS1Type_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1Type_label, "PFeedUnitDlg_CS1Type_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1Type_combo, "PFeedUnitDlg_CS1Type_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1Rough_checkbutton, "PFeedUnitDlg_CS1Rough_checkbutton");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1_label, "PFeedUnitDlg_CS1_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1PSWframe, "PFeedUnitDlg_CS1PSWframe");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1PSWalignment, "PFeedUnitDlg_CS1PSWalignment");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1PSW_vBox, "PFeedUnitDlg_CS1PSW_vBox");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1PSWSize_box, "PFeedUnitDlg_CS1PSWSize_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1PSWSize_label, "PFeedUnitDlg_CS1PSWSize_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1PSWSize_combo, "PFeedUnitDlg_CS1PSWSize_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1PSWFeed_box, "PFeedUnitDlg_CS1PSWFeed_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1PSWFeed_label, "PFeedUnitDlg_CS1PSWFeed_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1PSWFeed_combo, "PFeedUnitDlg_CS1PSWFeed_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1PSWType_box, "PFeedUnitDlg_CS1PSWType_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1PSWType_label, "PFeedUnitDlg_CS1PSWType_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1PSWType_combo, "PFeedUnitDlg_CS1PSWType_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS1PSW_label, "PFeedUnitDlg_CS1PSW_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_MPTrayframe, "PFeedUnitDlg_MPTrayframe");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_MPTrayalignment, "PFeedUnitDlg_MPTrayalignment");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_MPTray_vBox, "PFeedUnitDlg_MPTray_vBox");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_MPTraySize_box, "PFeedUnitDlg_MPTraySize_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_MPTraySize_label, "PFeedUnitDlg_MPTraySize_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_MPTraySize_combo, "PFeedUnitDlg_MPTraySize_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_MPTrayFeed_box, "PFeedUnitDlg_MPTrayFeed_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_MPTrayFeed_label, "PFeedUnitDlg_MPTrayFeed_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_MPTrayFeed_combo, "PFeedUnitDlg_MPTrayFeed_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_MPTrayType_box, "PFeedUnitDlg_MPTrayType_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_MPTrayType_label, "PFeedUnitDlg_MPTrayType_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_MPTrayType_combo, "PFeedUnitDlg_MPTrayType_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_MPTray_label, "PFeedUnitDlg_MPTray_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS2PSWframe, "PFeedUnitDlg_CS2PSWframe");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS2PSWalignment, "PFeedUnitDlg_CS2PSWalignment");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS2PSW_vBox, "PFeedUnitDlg_CS2PSW_vBox");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS2PSWSize_box, "PFeedUnitDlg_CS2PSWSize_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS2PSWSize_label, "PFeedUnitDlg_CS2PSWSize_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS2PSWSize_combo, "PFeedUnitDlg_CS2PSWSize_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS2PSWFeed_box, "PFeedUnitDlg_CS2PSWFeed_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS2PSWFeed_label, "PFeedUnitDlg_CS2PSWFeed_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS2PSWFeed_combo, "PFeedUnitDlg_CS2PSWFeed_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS2PSWType_box, "PFeedUnitDlg_CS2PSWType_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS2PSWType_label, "PFeedUnitDlg_CS2PSWType_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS2PSWType_combo, "PFeedUnitDlg_CS2PSWType_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS2PSW_label, "PFeedUnitDlg_CS2PSW_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS3PSWframe, "PFeedUnitDlg_CS3PSWframe");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS3PSWalignment, "PFeedUnitDlg_CS3PSWalignment");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS3PSW_vBox, "PFeedUnitDlg_CS3PSW_vBox");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS3PSWSize_box, "PFeedUnitDlg_CS3PSWSize_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS3PSWSize_label, "PFeedUnitDlg_CS3PSWSize_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS3PSWSize_combo, "PFeedUnitDlg_CS3PSWSize_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS3PSWFeed_box, "PFeedUnitDlg_CS3PSWFeed_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS3PSWFeed_label, "PFeedUnitDlg_CS3PSWFeed_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS3PSWFeed_combo, "PFeedUnitDlg_CS3PSWFeed_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS3PSWType_box, "PFeedUnitDlg_CS3PSWType_box");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS3PSWType_label, "PFeedUnitDlg_CS3PSWType_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS3PSWType_combo, "PFeedUnitDlg_CS3PSWType_combo");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_CS3PSW_label, "PFeedUnitDlg_CS3PSW_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_Helpframe, "PFeedUnitDlg_Helpframe");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_Helpalignment, "PFeedUnitDlg_Helpalignment");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_Help_vBox, "PFeedUnitDlg_Help_vBox");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_Help1_label, "PFeedUnitDlg_Help1_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_Help2_label, "PFeedUnitDlg_Help2_label");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_Help_label, "PFeedUnitDlg_Help_label");
  GLADE_HOOKUP_OBJECT_NO_REF (PFeedUnit_dialog, PFeedUnitDlg_hbuttonbox, "PFeedUnitDlg_hbuttonbox");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_OKCancel_hbuttonbox, "PFeedUnitDlg_OKCancel_hbuttonbox");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_OK_button, "PFeedUnitDlg_OK_button");
  GLADE_HOOKUP_OBJECT (PFeedUnit_dialog, PFeedUnitDlg_Cancel_button, "PFeedUnitDlg_Cancel_button");

  return PFeedUnit_dialog;
}

GtkWidget*
create_WarningDisplay_dialog (void)
{
  GtkWidget *WarningDisplay_dialog;
  GtkWidget *vbox57;
  GtkWidget *frame67;
  GtkWidget *WarningDisplayDlg_DisplayTonerLow_box;
  GtkWidget *WarningDisplayDlg_DisplayTonerLow_checkbutton;
  GtkWidget *hbuttonbox23;
  GtkWidget *hbuttonbox24;
  GtkWidget *button3;
  GtkWidget *button4;

  WarningDisplay_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (WarningDisplay_dialog), _("Warning Display Settings"));
  gtk_window_set_position (GTK_WINDOW (WarningDisplay_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (WarningDisplay_dialog), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (WarningDisplay_dialog), 400, -1);
  gtk_window_set_resizable (GTK_WINDOW (WarningDisplay_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (WarningDisplay_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  vbox57 = GTK_DIALOG (WarningDisplay_dialog)->vbox;
  gtk_widget_show (vbox57);

  frame67 = gtk_frame_new (NULL);
  gtk_widget_show (frame67);
  gtk_box_pack_start (GTK_BOX (vbox57), frame67, TRUE, TRUE, 0);
  gtk_widget_set_size_request (frame67, 400, -1);
  gtk_container_set_border_width (GTK_CONTAINER (frame67), 10);
  gtk_frame_set_shadow_type (GTK_FRAME (frame67), GTK_SHADOW_NONE);

  WarningDisplayDlg_DisplayTonerLow_box = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (WarningDisplayDlg_DisplayTonerLow_box);
  gtk_container_add (GTK_CONTAINER (frame67), WarningDisplayDlg_DisplayTonerLow_box);

  WarningDisplayDlg_DisplayTonerLow_checkbutton = gtk_check_button_new_with_mnemonic (_("Display Cartridge Replacement Notice"));
  gtk_widget_show (WarningDisplayDlg_DisplayTonerLow_checkbutton);
  gtk_box_pack_start (GTK_BOX (WarningDisplayDlg_DisplayTonerLow_box), WarningDisplayDlg_DisplayTonerLow_checkbutton, FALSE, FALSE, 0);

  hbuttonbox23 = GTK_DIALOG (WarningDisplay_dialog)->action_area;
  gtk_widget_show (hbuttonbox23);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox23), GTK_BUTTONBOX_END);

  hbuttonbox24 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox24);
  gtk_container_add (GTK_CONTAINER (hbuttonbox23), hbuttonbox24);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox24), GTK_BUTTONBOX_END);

  button3 = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (button3);
  gtk_container_add (GTK_CONTAINER (hbuttonbox24), button3);
  GTK_WIDGET_SET_FLAGS (button3, GTK_CAN_DEFAULT);

  button4 = gtk_button_new_with_mnemonic (_("Cancel "));
  gtk_widget_show (button4);
  gtk_container_add (GTK_CONTAINER (hbuttonbox24), button4);
  GTK_WIDGET_SET_FLAGS (button4, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) WarningDisplay_dialog, "delete_event",
                    G_CALLBACK (on_WarningDisplayDlg_delete_event),
                    NULL);
  g_signal_connect ((gpointer) WarningDisplay_dialog, "destroy",
                    G_CALLBACK (on_WarningDisplayDlg_destroy),
                    NULL);
  g_signal_connect ((gpointer) WarningDisplayDlg_DisplayTonerLow_checkbutton, "toggled",
                    G_CALLBACK (on_WarningDisplayDlg_DisplayTonerLow_checkbutton_toggled),
                    NULL);
  g_signal_connect ((gpointer) button3, "clicked",
                    G_CALLBACK (on_WarningDisplayDlg_OK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) button4, "clicked",
                    G_CALLBACK (on_WarningDisplayDlg_Cancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (WarningDisplay_dialog, WarningDisplay_dialog, "WarningDisplay_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (WarningDisplay_dialog, vbox57, "vbox57");
  GLADE_HOOKUP_OBJECT (WarningDisplay_dialog, frame67, "frame67");
  GLADE_HOOKUP_OBJECT (WarningDisplay_dialog, WarningDisplayDlg_DisplayTonerLow_box, "WarningDisplayDlg_DisplayTonerLow_box");
  GLADE_HOOKUP_OBJECT (WarningDisplay_dialog, WarningDisplayDlg_DisplayTonerLow_checkbutton, "WarningDisplayDlg_DisplayTonerLow_checkbutton");
  GLADE_HOOKUP_OBJECT_NO_REF (WarningDisplay_dialog, hbuttonbox23, "hbuttonbox23");
  GLADE_HOOKUP_OBJECT (WarningDisplay_dialog, hbuttonbox24, "hbuttonbox24");
  GLADE_HOOKUP_OBJECT (WarningDisplay_dialog, button3, "button3");
  GLADE_HOOKUP_OBJECT (WarningDisplay_dialog, button4, "button4");

  return WarningDisplay_dialog;
}

GtkWidget*
create_MobilePrint_dialog (void)
{
  GtkWidget *MobilePrint_dialog;
  GtkWidget *vbox61;
  GtkWidget *frame69;
  GtkWidget *vbox62;
  GtkWidget *MobilePrintDlg_Halftones_box;
  GtkWidget *MobilePrintDlg_Halftones_label;
  GtkWidget *MobilePrintDlg_Halftones_combo;
  GtkWidget *hbuttonbox27;
  GtkWidget *hbuttonbox28;
  GtkWidget *button7;
  GtkWidget *button8;

  MobilePrint_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (MobilePrint_dialog), _("Mobile Print Settings"));
  gtk_window_set_position (GTK_WINDOW (MobilePrint_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (MobilePrint_dialog), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (MobilePrint_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (MobilePrint_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  vbox61 = GTK_DIALOG (MobilePrint_dialog)->vbox;
  gtk_widget_show (vbox61);

  frame69 = gtk_frame_new (NULL);
  gtk_widget_show (frame69);
  gtk_box_pack_start (GTK_BOX (vbox61), frame69, TRUE, TRUE, 0);
  gtk_widget_set_size_request (frame69, 400, -1);
  gtk_container_set_border_width (GTK_CONTAINER (frame69), 5);
  gtk_frame_set_shadow_type (GTK_FRAME (frame69), GTK_SHADOW_NONE);

  vbox62 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox62);
  gtk_container_add (GTK_CONTAINER (frame69), vbox62);

  MobilePrintDlg_Halftones_box = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (MobilePrintDlg_Halftones_box);
  gtk_box_pack_start (GTK_BOX (vbox62), MobilePrintDlg_Halftones_box, TRUE, TRUE, 0);

  MobilePrintDlg_Halftones_label = gtk_label_new (_("Halftones:"));
  gtk_widget_show (MobilePrintDlg_Halftones_label);
  gtk_box_pack_start (GTK_BOX (MobilePrintDlg_Halftones_box), MobilePrintDlg_Halftones_label, TRUE, TRUE, 0);
  gtk_label_set_justify (GTK_LABEL (MobilePrintDlg_Halftones_label), GTK_JUSTIFY_CENTER);
  gtk_misc_set_alignment (GTK_MISC (MobilePrintDlg_Halftones_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (MobilePrintDlg_Halftones_label), 3, 0);

  MobilePrintDlg_Halftones_combo = gtk_combo_box_new_text ();
  gtk_widget_show (MobilePrintDlg_Halftones_combo);
  gtk_box_pack_start (GTK_BOX (MobilePrintDlg_Halftones_box), MobilePrintDlg_Halftones_combo, TRUE, TRUE, 0);

  hbuttonbox27 = GTK_DIALOG (MobilePrint_dialog)->action_area;
  gtk_widget_show (hbuttonbox27);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox27), GTK_BUTTONBOX_END);

  hbuttonbox28 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox28);
  gtk_container_add (GTK_CONTAINER (hbuttonbox27), hbuttonbox28);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox28), GTK_BUTTONBOX_END);

  button7 = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (button7);
  gtk_container_add (GTK_CONTAINER (hbuttonbox28), button7);
  GTK_WIDGET_SET_FLAGS (button7, GTK_CAN_DEFAULT);

  button8 = gtk_button_new_with_mnemonic (_("Cancel "));
  gtk_widget_show (button8);
  gtk_container_add (GTK_CONTAINER (hbuttonbox28), button8);
  GTK_WIDGET_SET_FLAGS (button8, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) MobilePrint_dialog, "delete_event",
                    G_CALLBACK (on_MobilePrint_dialog_delete_event),
                    NULL);
  g_signal_connect ((gpointer) MobilePrint_dialog, "destroy",
                    G_CALLBACK (on_MobilePrint_dialog_destroy),
                    NULL);
  g_signal_connect ((gpointer) button7, "clicked",
                    G_CALLBACK (on_MobilePrintDlg_OK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) button8, "clicked",
                    G_CALLBACK (on_MobilePrintDlg_Cancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (MobilePrint_dialog, MobilePrint_dialog, "MobilePrint_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (MobilePrint_dialog, vbox61, "vbox61");
  GLADE_HOOKUP_OBJECT (MobilePrint_dialog, frame69, "frame69");
  GLADE_HOOKUP_OBJECT (MobilePrint_dialog, vbox62, "vbox62");
  GLADE_HOOKUP_OBJECT (MobilePrint_dialog, MobilePrintDlg_Halftones_box, "MobilePrintDlg_Halftones_box");
  GLADE_HOOKUP_OBJECT (MobilePrint_dialog, MobilePrintDlg_Halftones_label, "MobilePrintDlg_Halftones_label");
  GLADE_HOOKUP_OBJECT (MobilePrint_dialog, MobilePrintDlg_Halftones_combo, "MobilePrintDlg_Halftones_combo");
  GLADE_HOOKUP_OBJECT_NO_REF (MobilePrint_dialog, hbuttonbox27, "hbuttonbox27");
  GLADE_HOOKUP_OBJECT (MobilePrint_dialog, hbuttonbox28, "hbuttonbox28");
  GLADE_HOOKUP_OBJECT (MobilePrint_dialog, button7, "button7");
  GLADE_HOOKUP_OBJECT (MobilePrint_dialog, button8, "button8");

  return MobilePrint_dialog;
}

GtkWidget*
create_PaperSizeCheck_dialog (void)
{
  GtkWidget *PaperSizeCheck_dialog;
  AtkObject *atko;
  GtkWidget *vbox63;
  GtkWidget *frame70;
  GtkWidget *vbox64;
  GtkWidget *PaperSizeCheckDlg_PaperSizeMismatchAction_box;
  GtkWidget *PaperSizeCheckDlg_PaperSizeMismatchAction_label;
  GtkWidget *PaperSizeCheckDlg_PaperSizeMismatchAction_combo;
  GtkWidget *hbuttonbox29;
  GtkWidget *hbuttonbox30;
  GtkWidget *button9;
  GtkWidget *button10;

  PaperSizeCheck_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (PaperSizeCheck_dialog), _("Action When Paper Size Mismatch Settings"));
  gtk_window_set_position (GTK_WINDOW (PaperSizeCheck_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (PaperSizeCheck_dialog), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (PaperSizeCheck_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (PaperSizeCheck_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  vbox63 = GTK_DIALOG (PaperSizeCheck_dialog)->vbox;
  gtk_widget_show (vbox63);

  frame70 = gtk_frame_new (NULL);
  gtk_widget_show (frame70);
  gtk_box_pack_start (GTK_BOX (vbox63), frame70, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame70), 5);
  gtk_frame_set_shadow_type (GTK_FRAME (frame70), GTK_SHADOW_NONE);

  vbox64 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox64);
  gtk_container_add (GTK_CONTAINER (frame70), vbox64);

  PaperSizeCheckDlg_PaperSizeMismatchAction_box = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (PaperSizeCheckDlg_PaperSizeMismatchAction_box);
  gtk_box_pack_start (GTK_BOX (vbox64), PaperSizeCheckDlg_PaperSizeMismatchAction_box, TRUE, TRUE, 0);

  PaperSizeCheckDlg_PaperSizeMismatchAction_label = gtk_label_new (_("Action When Paper Size Mismatch:"));
  gtk_widget_show (PaperSizeCheckDlg_PaperSizeMismatchAction_label);
  gtk_box_pack_start (GTK_BOX (PaperSizeCheckDlg_PaperSizeMismatchAction_box), PaperSizeCheckDlg_PaperSizeMismatchAction_label, TRUE, TRUE, 0);
  gtk_widget_set_size_request (PaperSizeCheckDlg_PaperSizeMismatchAction_label, 480, -1);
  gtk_misc_set_alignment (GTK_MISC (PaperSizeCheckDlg_PaperSizeMismatchAction_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (PaperSizeCheckDlg_PaperSizeMismatchAction_label), 3, 0);

  PaperSizeCheckDlg_PaperSizeMismatchAction_combo = gtk_combo_box_new_text ();
  gtk_widget_show (PaperSizeCheckDlg_PaperSizeMismatchAction_combo);
  gtk_box_pack_start (GTK_BOX (PaperSizeCheckDlg_PaperSizeMismatchAction_box), PaperSizeCheckDlg_PaperSizeMismatchAction_combo, TRUE, TRUE, 0);

  hbuttonbox29 = GTK_DIALOG (PaperSizeCheck_dialog)->action_area;
  gtk_widget_show (hbuttonbox29);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox29), GTK_BUTTONBOX_END);

  hbuttonbox30 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox30);
  gtk_container_add (GTK_CONTAINER (hbuttonbox29), hbuttonbox30);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox30), GTK_BUTTONBOX_END);

  button9 = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (button9);
  gtk_container_add (GTK_CONTAINER (hbuttonbox30), button9);
  GTK_WIDGET_SET_FLAGS (button9, GTK_CAN_DEFAULT);

  button10 = gtk_button_new_with_mnemonic (_("Cancel "));
  gtk_widget_show (button10);
  gtk_container_add (GTK_CONTAINER (hbuttonbox30), button10);
  GTK_WIDGET_SET_FLAGS (button10, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) PaperSizeCheck_dialog, "delete_event",
                    G_CALLBACK (on_PaperSizeCheck_dialog_delete_event),
                    NULL);
  g_signal_connect ((gpointer) PaperSizeCheck_dialog, "destroy",
                    G_CALLBACK (on_PaperSizeCheck_dialog_destroy),
                    NULL);
  g_signal_connect ((gpointer) button9, "clicked",
                    G_CALLBACK (on_PaperSizeCheckDlg_OK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) button10, "clicked",
                    G_CALLBACK (on_PaperSizeCheckDlg_Cancel_button_clicked),
                    NULL);

  atko = gtk_widget_get_accessible (PaperSizeCheck_dialog);
  atk_object_set_name (atko, _("Action When Paper Size Mismatch Settings"));

  atko = gtk_widget_get_accessible (PaperSizeCheckDlg_PaperSizeMismatchAction_label);
  atk_object_set_name (atko, _("Action When Paper Size Mismatch:"));


  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (PaperSizeCheck_dialog, PaperSizeCheck_dialog, "PaperSizeCheck_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (PaperSizeCheck_dialog, vbox63, "vbox63");
  GLADE_HOOKUP_OBJECT (PaperSizeCheck_dialog, frame70, "frame70");
  GLADE_HOOKUP_OBJECT (PaperSizeCheck_dialog, vbox64, "vbox64");
  GLADE_HOOKUP_OBJECT (PaperSizeCheck_dialog, PaperSizeCheckDlg_PaperSizeMismatchAction_box, "PaperSizeCheckDlg_PaperSizeMismatchAction_box");
  GLADE_HOOKUP_OBJECT (PaperSizeCheck_dialog, PaperSizeCheckDlg_PaperSizeMismatchAction_label, "PaperSizeCheckDlg_PaperSizeMismatchAction_label");
  GLADE_HOOKUP_OBJECT (PaperSizeCheck_dialog, PaperSizeCheckDlg_PaperSizeMismatchAction_combo, "PaperSizeCheckDlg_PaperSizeMismatchAction_combo");
  GLADE_HOOKUP_OBJECT_NO_REF (PaperSizeCheck_dialog, hbuttonbox29, "hbuttonbox29");
  GLADE_HOOKUP_OBJECT (PaperSizeCheck_dialog, hbuttonbox30, "hbuttonbox30");
  GLADE_HOOKUP_OBJECT (PaperSizeCheck_dialog, button9, "button9");
  GLADE_HOOKUP_OBJECT (PaperSizeCheck_dialog, button10, "button10");

  return PaperSizeCheck_dialog;
}

GtkWidget*
create_SwitchPaperFeed_dialog (void)
{
  GtkWidget *SwitchPaperFeed_dialog;
  GtkWidget *vbox65;
  GtkWidget *frame71;
  GtkWidget *vbox66;
  GtkWidget *SwitchPaperFeedDlg_ManualTray_box;
  GtkWidget *SwitchPaperFeedDlg_ManualTray_label;
  AtkObject *atko;
  GtkWidget *SwitchPaperFeedDlg_ManualTray_combo;
  GtkWidget *SwitchPaperFeedDlg_Cassette1_box;
  GtkWidget *SwitchPaperFeedDlg_Cassette1_label;
  GtkWidget *SwitchPaperFeedDlg_Cassette1_combo;
  GtkWidget *hbuttonbox31;
  GtkWidget *hbuttonbox32;
  GtkWidget *button11;
  GtkWidget *button12;

  SwitchPaperFeed_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (SwitchPaperFeed_dialog), _("Switch Paper Feed Method"));
  gtk_window_set_position (GTK_WINDOW (SwitchPaperFeed_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (SwitchPaperFeed_dialog), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (SwitchPaperFeed_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (SwitchPaperFeed_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  vbox65 = GTK_DIALOG (SwitchPaperFeed_dialog)->vbox;
  gtk_widget_show (vbox65);

  frame71 = gtk_frame_new (NULL);
  gtk_widget_show (frame71);
  gtk_box_pack_start (GTK_BOX (vbox65), frame71, TRUE, TRUE, 0);
  gtk_widget_set_size_request (frame71, 400, -1);
  gtk_container_set_border_width (GTK_CONTAINER (frame71), 5);
  gtk_frame_set_shadow_type (GTK_FRAME (frame71), GTK_SHADOW_NONE);

  vbox66 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox66);
  gtk_container_add (GTK_CONTAINER (frame71), vbox66);

  SwitchPaperFeedDlg_ManualTray_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (SwitchPaperFeedDlg_ManualTray_box);
  gtk_box_pack_start (GTK_BOX (vbox66), SwitchPaperFeedDlg_ManualTray_box, TRUE, TRUE, 0);

  SwitchPaperFeedDlg_ManualTray_label = gtk_label_new (_("Multi-Purpose Tray:"));
  gtk_widget_show (SwitchPaperFeedDlg_ManualTray_label);
  gtk_box_pack_start (GTK_BOX (SwitchPaperFeedDlg_ManualTray_box), SwitchPaperFeedDlg_ManualTray_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (SwitchPaperFeedDlg_ManualTray_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (SwitchPaperFeedDlg_ManualTray_label), 3, 0);

  SwitchPaperFeedDlg_ManualTray_combo = gtk_combo_box_new_text ();
  gtk_widget_show (SwitchPaperFeedDlg_ManualTray_combo);
  gtk_box_pack_start (GTK_BOX (SwitchPaperFeedDlg_ManualTray_box), SwitchPaperFeedDlg_ManualTray_combo, TRUE, TRUE, 0);

  SwitchPaperFeedDlg_Cassette1_box = gtk_hbox_new (TRUE, 5);
  gtk_widget_show (SwitchPaperFeedDlg_Cassette1_box);
  gtk_box_pack_start (GTK_BOX (vbox66), SwitchPaperFeedDlg_Cassette1_box, TRUE, TRUE, 0);

  SwitchPaperFeedDlg_Cassette1_label = gtk_label_new (_("Drawer 1:"));
  gtk_widget_show (SwitchPaperFeedDlg_Cassette1_label);
  gtk_box_pack_start (GTK_BOX (SwitchPaperFeedDlg_Cassette1_box), SwitchPaperFeedDlg_Cassette1_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (SwitchPaperFeedDlg_Cassette1_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (SwitchPaperFeedDlg_Cassette1_label), 3, 0);

  SwitchPaperFeedDlg_Cassette1_combo = gtk_combo_box_new_text ();
  gtk_widget_show (SwitchPaperFeedDlg_Cassette1_combo);
  gtk_box_pack_start (GTK_BOX (SwitchPaperFeedDlg_Cassette1_box), SwitchPaperFeedDlg_Cassette1_combo, TRUE, TRUE, 0);

  hbuttonbox31 = GTK_DIALOG (SwitchPaperFeed_dialog)->action_area;
  gtk_widget_show (hbuttonbox31);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox31), GTK_BUTTONBOX_END);

  hbuttonbox32 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox32);
  gtk_container_add (GTK_CONTAINER (hbuttonbox31), hbuttonbox32);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox32), GTK_BUTTONBOX_END);

  button11 = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (button11);
  gtk_container_add (GTK_CONTAINER (hbuttonbox32), button11);
  GTK_WIDGET_SET_FLAGS (button11, GTK_CAN_DEFAULT);

  button12 = gtk_button_new_with_mnemonic (_("Cancel "));
  gtk_widget_show (button12);
  gtk_container_add (GTK_CONTAINER (hbuttonbox32), button12);
  GTK_WIDGET_SET_FLAGS (button12, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) SwitchPaperFeed_dialog, "delete_event",
                    G_CALLBACK (on_SwitchPaperFeed_dialog_delete_event),
                    NULL);
  g_signal_connect ((gpointer) SwitchPaperFeed_dialog, "destroy",
                    G_CALLBACK (on_SwitchPaperFeed_dialog_destroy),
                    NULL);
  g_signal_connect ((gpointer) button11, "clicked",
                    G_CALLBACK (on_SwitchPaperFeedDlg_OK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) button12, "clicked",
                    G_CALLBACK (on_SwitchPaperFeedDlg_Cancel_button_clicked),
                    NULL);

  atko = gtk_widget_get_accessible (SwitchPaperFeedDlg_ManualTray_label);
  atk_object_set_name (atko, _("Multi-Purpose Tray:"));

  atko = gtk_widget_get_accessible (SwitchPaperFeedDlg_Cassette1_label);
  atk_object_set_name (atko, _("Drawer 1:"));


  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (SwitchPaperFeed_dialog, SwitchPaperFeed_dialog, "SwitchPaperFeed_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (SwitchPaperFeed_dialog, vbox65, "vbox65");
  GLADE_HOOKUP_OBJECT (SwitchPaperFeed_dialog, frame71, "frame71");
  GLADE_HOOKUP_OBJECT (SwitchPaperFeed_dialog, vbox66, "vbox66");
  GLADE_HOOKUP_OBJECT (SwitchPaperFeed_dialog, SwitchPaperFeedDlg_ManualTray_box, "SwitchPaperFeedDlg_ManualTray_box");
  GLADE_HOOKUP_OBJECT (SwitchPaperFeed_dialog, SwitchPaperFeedDlg_ManualTray_label, "SwitchPaperFeedDlg_ManualTray_label");
  GLADE_HOOKUP_OBJECT (SwitchPaperFeed_dialog, SwitchPaperFeedDlg_ManualTray_combo, "SwitchPaperFeedDlg_ManualTray_combo");
  GLADE_HOOKUP_OBJECT (SwitchPaperFeed_dialog, SwitchPaperFeedDlg_Cassette1_box, "SwitchPaperFeedDlg_Cassette1_box");
  GLADE_HOOKUP_OBJECT (SwitchPaperFeed_dialog, SwitchPaperFeedDlg_Cassette1_label, "SwitchPaperFeedDlg_Cassette1_label");
  GLADE_HOOKUP_OBJECT (SwitchPaperFeed_dialog, SwitchPaperFeedDlg_Cassette1_combo, "SwitchPaperFeedDlg_Cassette1_combo");
  GLADE_HOOKUP_OBJECT_NO_REF (SwitchPaperFeed_dialog, hbuttonbox31, "hbuttonbox31");
  GLADE_HOOKUP_OBJECT (SwitchPaperFeed_dialog, hbuttonbox32, "hbuttonbox32");
  GLADE_HOOKUP_OBJECT (SwitchPaperFeed_dialog, button11, "button11");
  GLADE_HOOKUP_OBJECT (SwitchPaperFeed_dialog, button12, "button12");

  return SwitchPaperFeed_dialog;
}

GtkWidget*
create_WarningDetails_dialog (void)
{
  GtkWidget *WarningDetails_dialog;
  GtkWidget *vbox67;
  GtkWidget *WarningDetailsDlg_Type1_box;
  GtkWidget *frame72;
  GtkWidget *vbox68;
  GtkWidget *WarningDetailsDlg_CRGLowThresholdComment_box;
  GtkWidget *WarningDetailsDlg_CRGLowThresholdComment_label;
  GtkWidget *WarningDetailsDlg_CRGLowThresholdValue_box;
  GtkWidget *WarningDetailsDlg_CRGLowThresholdValue_label;
  GtkWidget *hbox83;
  GtkObject *WarningDetailsDlg_CRGLowThresholdValue_spinbutton_adj;
  GtkWidget *WarningDetailsDlg_CRGLowThresholdValue_spinbutton;
  GtkWidget *WarningDetailsDlg_CRGLowThresholdUnit_label;
  GtkWidget *WarningDetailsDlg_Type2_box;
  GtkWidget *frame76;
  GtkWidget *vbox73;
  GtkWidget *vbox75;
  GtkWidget *label174;
  GtkWidget *vbox76;
  GtkWidget *label176;
  GtkWidget *WarningDetailsDlg_TonerLowThresholdValue_box;
  GtkWidget *WarningDetailsDlg_TonerLowThresholdValue_label;
  GtkObject *WarningDetailsDlg_TonerLowThresholdValue_spin_adj;
  GtkWidget *WarningDetailsDlg_TonerLowThresholdValue_spin;
  GtkWidget *label178;
  GtkWidget *WarningDetailsDlg_DrumLowThresholdValue_box;
  GtkWidget *WarningDetailsDlg_DrumLowThresholdValue_label;
  GtkObject *WarningDetailsDlg_DrumLowThresholdValue_spin_adj;
  GtkWidget *WarningDetailsDlg_DrumLowThresholdValue_spin;
  GtkWidget *label179;
  GtkWidget *WarningDetailsDlg_Type3_box;
  GtkWidget *frame77;
  GtkWidget *vbox74;
  GtkWidget *vbox77;
  GtkWidget *label175;
  GtkWidget *vbox78;
  GtkWidget *label177;
  GtkWidget *WarningDetailsDlg_DrumLowThresholdValue_box2;
  GtkWidget *WarningDetailsDlg_DrumLowThresholdValue_label2;
  GtkObject *WarningDetailsDlg_DrumLowThresholdValue_spin2_adj;
  GtkWidget *WarningDetailsDlg_DrumLowThresholdValue_spin2;
  GtkWidget *label180;
  GtkWidget *hbuttonbox33;
  GtkWidget *hbuttonbox34;
  GtkWidget *button13;
  GtkWidget *button14;

  WarningDetails_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (WarningDetails_dialog), _("Warning Display Details"));
  gtk_window_set_position (GTK_WINDOW (WarningDetails_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (WarningDetails_dialog), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (WarningDetails_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (WarningDetails_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  vbox67 = GTK_DIALOG (WarningDetails_dialog)->vbox;
  gtk_widget_show (vbox67);

  WarningDetailsDlg_Type1_box = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (WarningDetailsDlg_Type1_box);
  gtk_box_pack_start (GTK_BOX (vbox67), WarningDetailsDlg_Type1_box, TRUE, TRUE, 0);

  frame72 = gtk_frame_new (NULL);
  gtk_widget_show (frame72);
  gtk_box_pack_start (GTK_BOX (WarningDetailsDlg_Type1_box), frame72, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame72), 5);
  gtk_frame_set_shadow_type (GTK_FRAME (frame72), GTK_SHADOW_NONE);

  vbox68 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox68);
  gtk_container_add (GTK_CONTAINER (frame72), vbox68);

  WarningDetailsDlg_CRGLowThresholdComment_box = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (WarningDetailsDlg_CRGLowThresholdComment_box);
  gtk_box_pack_start (GTK_BOX (vbox68), WarningDetailsDlg_CRGLowThresholdComment_box, TRUE, TRUE, 0);

  WarningDetailsDlg_CRGLowThresholdComment_label = gtk_label_new (_("Set the Display Timing for the Cartridge Replacement Notice."));
  gtk_widget_show (WarningDetailsDlg_CRGLowThresholdComment_label);
  gtk_box_pack_start (GTK_BOX (WarningDetailsDlg_CRGLowThresholdComment_box), WarningDetailsDlg_CRGLowThresholdComment_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (WarningDetailsDlg_CRGLowThresholdComment_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (WarningDetailsDlg_CRGLowThresholdComment_label), 3, 3);

  WarningDetailsDlg_CRGLowThresholdValue_box = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (WarningDetailsDlg_CRGLowThresholdValue_box);
  gtk_box_pack_start (GTK_BOX (vbox68), WarningDetailsDlg_CRGLowThresholdValue_box, TRUE, TRUE, 0);

  WarningDetailsDlg_CRGLowThresholdValue_label = gtk_label_new (_("Notify When Amount Remaining Reaches:"));
  gtk_widget_show (WarningDetailsDlg_CRGLowThresholdValue_label);
  gtk_box_pack_start (GTK_BOX (WarningDetailsDlg_CRGLowThresholdValue_box), WarningDetailsDlg_CRGLowThresholdValue_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (WarningDetailsDlg_CRGLowThresholdValue_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (WarningDetailsDlg_CRGLowThresholdValue_label), 20, 0);

  hbox83 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox83);
  gtk_box_pack_start (GTK_BOX (WarningDetailsDlg_CRGLowThresholdValue_box), hbox83, FALSE, FALSE, 0);

  WarningDetailsDlg_CRGLowThresholdValue_spinbutton_adj = gtk_adjustment_new (1, 1, 99, 1, 10, 0);
  WarningDetailsDlg_CRGLowThresholdValue_spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (WarningDetailsDlg_CRGLowThresholdValue_spinbutton_adj), 1, 0);
  gtk_widget_show (WarningDetailsDlg_CRGLowThresholdValue_spinbutton);
  gtk_box_pack_start (GTK_BOX (hbox83), WarningDetailsDlg_CRGLowThresholdValue_spinbutton, FALSE, FALSE, 0);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (WarningDetailsDlg_CRGLowThresholdValue_spinbutton), TRUE);

  WarningDetailsDlg_CRGLowThresholdUnit_label = gtk_label_new (_("% (1 to 99)"));
  gtk_widget_show (WarningDetailsDlg_CRGLowThresholdUnit_label);
  gtk_box_pack_start (GTK_BOX (hbox83), WarningDetailsDlg_CRGLowThresholdUnit_label, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (WarningDetailsDlg_CRGLowThresholdUnit_label), GTK_JUSTIFY_CENTER);
  gtk_misc_set_padding (GTK_MISC (WarningDetailsDlg_CRGLowThresholdUnit_label), 3, 0);

  WarningDetailsDlg_Type2_box = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (WarningDetailsDlg_Type2_box);
  gtk_box_pack_start (GTK_BOX (vbox67), WarningDetailsDlg_Type2_box, TRUE, TRUE, 0);

  frame76 = gtk_frame_new (NULL);
  gtk_widget_show (frame76);
  gtk_box_pack_start (GTK_BOX (WarningDetailsDlg_Type2_box), frame76, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (frame76), GTK_SHADOW_NONE);

  vbox73 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox73);
  gtk_container_add (GTK_CONTAINER (frame76), vbox73);

  vbox75 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox75);
  gtk_box_pack_start (GTK_BOX (vbox73), vbox75, FALSE, FALSE, 0);

  label174 = gtk_label_new (_("Set the Display Timing for the Cartridge Replacement Notice."));
  gtk_widget_show (label174);
  gtk_box_pack_start (GTK_BOX (vbox75), label174, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label174), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (label174), 3, 3);

  vbox76 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox76);
  gtk_box_pack_start (GTK_BOX (vbox73), vbox76, TRUE, TRUE, 0);

  label176 = gtk_label_new (_("Amount Remaining in the Cartridge to Display Warning"));
  gtk_widget_show (label176);
  gtk_box_pack_start (GTK_BOX (vbox76), label176, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label176), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (label176), 3, 3);

  WarningDetailsDlg_TonerLowThresholdValue_box = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (WarningDetailsDlg_TonerLowThresholdValue_box);
  gtk_box_pack_start (GTK_BOX (vbox73), WarningDetailsDlg_TonerLowThresholdValue_box, TRUE, TRUE, 0);

  WarningDetailsDlg_TonerLowThresholdValue_label = gtk_label_new (_("Toner:"));
  gtk_widget_show (WarningDetailsDlg_TonerLowThresholdValue_label);
  gtk_box_pack_start (GTK_BOX (WarningDetailsDlg_TonerLowThresholdValue_box), WarningDetailsDlg_TonerLowThresholdValue_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (WarningDetailsDlg_TonerLowThresholdValue_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (WarningDetailsDlg_TonerLowThresholdValue_label), 20, 0);

  WarningDetailsDlg_TonerLowThresholdValue_spin_adj = gtk_adjustment_new (1, 1, 99, 1, 10, 0);
  WarningDetailsDlg_TonerLowThresholdValue_spin = gtk_spin_button_new (GTK_ADJUSTMENT (WarningDetailsDlg_TonerLowThresholdValue_spin_adj), 1, 0);
  gtk_widget_show (WarningDetailsDlg_TonerLowThresholdValue_spin);
  gtk_box_pack_start (GTK_BOX (WarningDetailsDlg_TonerLowThresholdValue_box), WarningDetailsDlg_TonerLowThresholdValue_spin, FALSE, FALSE, 0);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (WarningDetailsDlg_TonerLowThresholdValue_spin), TRUE);

  label178 = gtk_label_new (_("% (1 to 99)"));
  gtk_widget_show (label178);
  gtk_box_pack_start (GTK_BOX (WarningDetailsDlg_TonerLowThresholdValue_box), label178, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label178), GTK_JUSTIFY_CENTER);
  gtk_misc_set_padding (GTK_MISC (label178), 3, 0);

  WarningDetailsDlg_DrumLowThresholdValue_box = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (WarningDetailsDlg_DrumLowThresholdValue_box);
  gtk_box_pack_start (GTK_BOX (vbox73), WarningDetailsDlg_DrumLowThresholdValue_box, TRUE, TRUE, 0);

  WarningDetailsDlg_DrumLowThresholdValue_label = gtk_label_new (_("Drum:"));
  gtk_widget_show (WarningDetailsDlg_DrumLowThresholdValue_label);
  gtk_box_pack_start (GTK_BOX (WarningDetailsDlg_DrumLowThresholdValue_box), WarningDetailsDlg_DrumLowThresholdValue_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (WarningDetailsDlg_DrumLowThresholdValue_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (WarningDetailsDlg_DrumLowThresholdValue_label), 20, 0);

  WarningDetailsDlg_DrumLowThresholdValue_spin_adj = gtk_adjustment_new (1, 1, 99, 1, 10, 0);
  WarningDetailsDlg_DrumLowThresholdValue_spin = gtk_spin_button_new (GTK_ADJUSTMENT (WarningDetailsDlg_DrumLowThresholdValue_spin_adj), 1, 0);
  gtk_widget_show (WarningDetailsDlg_DrumLowThresholdValue_spin);
  gtk_box_pack_start (GTK_BOX (WarningDetailsDlg_DrumLowThresholdValue_box), WarningDetailsDlg_DrumLowThresholdValue_spin, FALSE, FALSE, 0);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (WarningDetailsDlg_DrumLowThresholdValue_spin), TRUE);

  label179 = gtk_label_new (_("% (1 to 99)"));
  gtk_widget_show (label179);
  gtk_box_pack_start (GTK_BOX (WarningDetailsDlg_DrumLowThresholdValue_box), label179, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label179), GTK_JUSTIFY_CENTER);
  gtk_misc_set_padding (GTK_MISC (label179), 3, 0);

  WarningDetailsDlg_Type3_box = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (WarningDetailsDlg_Type3_box);
  gtk_box_pack_start (GTK_BOX (vbox67), WarningDetailsDlg_Type3_box, TRUE, TRUE, 0);

  frame77 = gtk_frame_new (NULL);
  gtk_widget_show (frame77);
  gtk_box_pack_start (GTK_BOX (WarningDetailsDlg_Type3_box), frame77, TRUE, TRUE, 0);
  gtk_frame_set_shadow_type (GTK_FRAME (frame77), GTK_SHADOW_NONE);

  vbox74 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox74);
  gtk_container_add (GTK_CONTAINER (frame77), vbox74);

  vbox77 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox77);
  gtk_box_pack_start (GTK_BOX (vbox74), vbox77, FALSE, FALSE, 0);

  label175 = gtk_label_new (_("Set the Display Timing for the Cartridge Replacement Notice."));
  gtk_widget_show (label175);
  gtk_box_pack_start (GTK_BOX (vbox77), label175, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label175), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (label175), 3, 3);

  vbox78 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox78);
  gtk_box_pack_start (GTK_BOX (vbox74), vbox78, TRUE, TRUE, 0);

  label177 = gtk_label_new (_("Amount Remaining in the Cartridge to Display Warning"));
  gtk_widget_show (label177);
  gtk_box_pack_start (GTK_BOX (vbox78), label177, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (label177), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (label177), 3, 3);

  WarningDetailsDlg_DrumLowThresholdValue_box2 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (WarningDetailsDlg_DrumLowThresholdValue_box2);
  gtk_box_pack_start (GTK_BOX (vbox74), WarningDetailsDlg_DrumLowThresholdValue_box2, TRUE, TRUE, 0);

  WarningDetailsDlg_DrumLowThresholdValue_label2 = gtk_label_new (_("Drum:"));
  gtk_widget_show (WarningDetailsDlg_DrumLowThresholdValue_label2);
  gtk_box_pack_start (GTK_BOX (WarningDetailsDlg_DrumLowThresholdValue_box2), WarningDetailsDlg_DrumLowThresholdValue_label2, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (WarningDetailsDlg_DrumLowThresholdValue_label2), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (WarningDetailsDlg_DrumLowThresholdValue_label2), 20, 0);

  WarningDetailsDlg_DrumLowThresholdValue_spin2_adj = gtk_adjustment_new (1, 1, 99, 1, 10, 0);
  WarningDetailsDlg_DrumLowThresholdValue_spin2 = gtk_spin_button_new (GTK_ADJUSTMENT (WarningDetailsDlg_DrumLowThresholdValue_spin2_adj), 1, 0);
  gtk_widget_show (WarningDetailsDlg_DrumLowThresholdValue_spin2);
  gtk_box_pack_start (GTK_BOX (WarningDetailsDlg_DrumLowThresholdValue_box2), WarningDetailsDlg_DrumLowThresholdValue_spin2, FALSE, FALSE, 0);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (WarningDetailsDlg_DrumLowThresholdValue_spin2), TRUE);

  label180 = gtk_label_new (_("% (1 to 99)"));
  gtk_widget_show (label180);
  gtk_box_pack_start (GTK_BOX (WarningDetailsDlg_DrumLowThresholdValue_box2), label180, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label180), GTK_JUSTIFY_CENTER);
  gtk_misc_set_padding (GTK_MISC (label180), 3, 0);

  hbuttonbox33 = GTK_DIALOG (WarningDetails_dialog)->action_area;
  gtk_widget_show (hbuttonbox33);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox33), GTK_BUTTONBOX_END);

  hbuttonbox34 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox34);
  gtk_container_add (GTK_CONTAINER (hbuttonbox33), hbuttonbox34);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox34), GTK_BUTTONBOX_END);

  button13 = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (button13);
  gtk_container_add (GTK_CONTAINER (hbuttonbox34), button13);
  GTK_WIDGET_SET_FLAGS (button13, GTK_CAN_DEFAULT);

  button14 = gtk_button_new_with_mnemonic (_("Cancel "));
  gtk_widget_show (button14);
  gtk_container_add (GTK_CONTAINER (hbuttonbox34), button14);
  GTK_WIDGET_SET_FLAGS (button14, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) WarningDetails_dialog, "delete_event",
                    G_CALLBACK (on_WarningDetails_dialog_delete_event),
                    NULL);
  g_signal_connect ((gpointer) WarningDetails_dialog, "destroy",
                    G_CALLBACK (on_WarningDetails_dialog_destroy),
                    NULL);
  g_signal_connect ((gpointer) button13, "clicked",
                    G_CALLBACK (on_WarningDetailsDlg_OK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) button14, "clicked",
                    G_CALLBACK (on_WarningDetailsDlg_Cancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (WarningDetails_dialog, WarningDetails_dialog, "WarningDetails_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (WarningDetails_dialog, vbox67, "vbox67");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_Type1_box, "WarningDetailsDlg_Type1_box");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, frame72, "frame72");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, vbox68, "vbox68");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_CRGLowThresholdComment_box, "WarningDetailsDlg_CRGLowThresholdComment_box");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_CRGLowThresholdComment_label, "WarningDetailsDlg_CRGLowThresholdComment_label");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_CRGLowThresholdValue_box, "WarningDetailsDlg_CRGLowThresholdValue_box");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_CRGLowThresholdValue_label, "WarningDetailsDlg_CRGLowThresholdValue_label");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, hbox83, "hbox83");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_CRGLowThresholdValue_spinbutton, "WarningDetailsDlg_CRGLowThresholdValue_spinbutton");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_CRGLowThresholdUnit_label, "WarningDetailsDlg_CRGLowThresholdUnit_label");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_Type2_box, "WarningDetailsDlg_Type2_box");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, frame76, "frame76");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, vbox73, "vbox73");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, vbox75, "vbox75");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, label174, "label174");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, vbox76, "vbox76");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, label176, "label176");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_TonerLowThresholdValue_box, "WarningDetailsDlg_TonerLowThresholdValue_box");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_TonerLowThresholdValue_label, "WarningDetailsDlg_TonerLowThresholdValue_label");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_TonerLowThresholdValue_spin, "WarningDetailsDlg_TonerLowThresholdValue_spin");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, label178, "label178");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_DrumLowThresholdValue_box, "WarningDetailsDlg_DrumLowThresholdValue_box");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_DrumLowThresholdValue_label, "WarningDetailsDlg_DrumLowThresholdValue_label");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_DrumLowThresholdValue_spin, "WarningDetailsDlg_DrumLowThresholdValue_spin");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, label179, "label179");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_Type3_box, "WarningDetailsDlg_Type3_box");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, frame77, "frame77");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, vbox74, "vbox74");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, vbox77, "vbox77");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, label175, "label175");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, vbox78, "vbox78");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, label177, "label177");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_DrumLowThresholdValue_box2, "WarningDetailsDlg_DrumLowThresholdValue_box2");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_DrumLowThresholdValue_label2, "WarningDetailsDlg_DrumLowThresholdValue_label2");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, WarningDetailsDlg_DrumLowThresholdValue_spin2, "WarningDetailsDlg_DrumLowThresholdValue_spin2");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, label180, "label180");
  GLADE_HOOKUP_OBJECT_NO_REF (WarningDetails_dialog, hbuttonbox33, "hbuttonbox33");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, hbuttonbox34, "hbuttonbox34");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, button13, "button13");
  GLADE_HOOKUP_OBJECT (WarningDetails_dialog, button14, "button14");

  return WarningDetails_dialog;
}

GtkWidget*
create_ReportPrint_dialog (void)
{
  GtkWidget *ReportPrint_dialog;
  AtkObject *atko;
  GtkWidget *vbox69;
  GtkWidget *frame73;
  GtkWidget *vbox70;
  GtkWidget *ReportPrintDlg_Language_box;
  GtkWidget *ReportPrintDlg_Language_label;
  GtkWidget *ReportPrintDlg_Language_combo;
  GtkWidget *hbuttonbox35;
  GtkWidget *hbuttonbox36;
  GtkWidget *button15;
  GtkWidget *button16;

  ReportPrint_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (ReportPrint_dialog), _("Select Language for User Data List"));
  gtk_window_set_position (GTK_WINDOW (ReportPrint_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (ReportPrint_dialog), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (ReportPrint_dialog), 350, -1);
  gtk_window_set_resizable (GTK_WINDOW (ReportPrint_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (ReportPrint_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  vbox69 = GTK_DIALOG (ReportPrint_dialog)->vbox;
  gtk_widget_show (vbox69);

  frame73 = gtk_frame_new (NULL);
  gtk_widget_show (frame73);
  gtk_box_pack_start (GTK_BOX (vbox69), frame73, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame73), 5);
  gtk_frame_set_shadow_type (GTK_FRAME (frame73), GTK_SHADOW_NONE);

  vbox70 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox70);
  gtk_container_add (GTK_CONTAINER (frame73), vbox70);

  ReportPrintDlg_Language_box = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (ReportPrintDlg_Language_box);
  gtk_box_pack_start (GTK_BOX (vbox70), ReportPrintDlg_Language_box, TRUE, TRUE, 0);

  ReportPrintDlg_Language_label = gtk_label_new (_("Language:"));
  gtk_widget_show (ReportPrintDlg_Language_label);
  gtk_box_pack_start (GTK_BOX (ReportPrintDlg_Language_box), ReportPrintDlg_Language_label, TRUE, TRUE, 0);
  gtk_widget_set_size_request (ReportPrintDlg_Language_label, 400, -1);
  gtk_misc_set_alignment (GTK_MISC (ReportPrintDlg_Language_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (ReportPrintDlg_Language_label), 3, 0);

  ReportPrintDlg_Language_combo = gtk_combo_box_new_text ();
  gtk_widget_show (ReportPrintDlg_Language_combo);
  gtk_box_pack_start (GTK_BOX (ReportPrintDlg_Language_box), ReportPrintDlg_Language_combo, TRUE, TRUE, 0);

  hbuttonbox35 = GTK_DIALOG (ReportPrint_dialog)->action_area;
  gtk_widget_show (hbuttonbox35);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox35), GTK_BUTTONBOX_END);

  hbuttonbox36 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox36);
  gtk_container_add (GTK_CONTAINER (hbuttonbox35), hbuttonbox36);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox36), GTK_BUTTONBOX_END);

  button15 = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (button15);
  gtk_container_add (GTK_CONTAINER (hbuttonbox36), button15);
  GTK_WIDGET_SET_FLAGS (button15, GTK_CAN_DEFAULT);

  button16 = gtk_button_new_with_mnemonic (_("Cancel "));
  gtk_widget_show (button16);
  gtk_container_add (GTK_CONTAINER (hbuttonbox36), button16);
  GTK_WIDGET_SET_FLAGS (button16, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) ReportPrint_dialog, "delete_event",
                    G_CALLBACK (on_ReportPrint_dialog_delete_event),
                    NULL);
  g_signal_connect ((gpointer) ReportPrint_dialog, "destroy",
                    G_CALLBACK (on_ReportPrint_dialog_destroy),
                    NULL);
  g_signal_connect ((gpointer) button15, "clicked",
                    G_CALLBACK (on_ReportPrintDlg_OK_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) button16, "clicked",
                    G_CALLBACK (on_ReportPrintDlg_Cancel_button_clicked),
                    NULL);

  atko = gtk_widget_get_accessible (ReportPrint_dialog);
  atk_object_set_name (atko, _("Select Language for User Data List"));

  atko = gtk_widget_get_accessible (ReportPrintDlg_Language_label);
  atk_object_set_name (atko, _("Language:"));


  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (ReportPrint_dialog, ReportPrint_dialog, "ReportPrint_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (ReportPrint_dialog, vbox69, "vbox69");
  GLADE_HOOKUP_OBJECT (ReportPrint_dialog, frame73, "frame73");
  GLADE_HOOKUP_OBJECT (ReportPrint_dialog, vbox70, "vbox70");
  GLADE_HOOKUP_OBJECT (ReportPrint_dialog, ReportPrintDlg_Language_box, "ReportPrintDlg_Language_box");
  GLADE_HOOKUP_OBJECT (ReportPrint_dialog, ReportPrintDlg_Language_label, "ReportPrintDlg_Language_label");
  GLADE_HOOKUP_OBJECT (ReportPrint_dialog, ReportPrintDlg_Language_combo, "ReportPrintDlg_Language_combo");
  GLADE_HOOKUP_OBJECT_NO_REF (ReportPrint_dialog, hbuttonbox35, "hbuttonbox35");
  GLADE_HOOKUP_OBJECT (ReportPrint_dialog, hbuttonbox36, "hbuttonbox36");
  GLADE_HOOKUP_OBJECT (ReportPrint_dialog, button15, "button15");
  GLADE_HOOKUP_OBJECT (ReportPrint_dialog, button16, "button16");

  return ReportPrint_dialog;
}

GtkWidget*
create_PurchaseConsumables_scr_dialog (void)
{
  GtkWidget *PurchaseConsumables_scr_dialog;
  GtkWidget *pc_scr_dialog_vbox;
  GtkWidget *pc_scr_dialog_upper_frame;
  GtkWidget *pc_scr_dialog_upper_vbox;
  GtkWidget *pc_scr_dialog_upper_hbox;
  GtkWidget *pc_scr_dialog_label;
  GtkWidget *pc_scr_dialog_combobox;
  GtkWidget *pc_scr_dialog_lower_hbuttonbox;
  GtkWidget *pc_scr_dialog_lower_h2buttonbox;
  GtkWidget *pc_scr_dialog_ok_button;
  GtkWidget *pc_scr_dialog_cancel_button;

  PurchaseConsumables_scr_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (PurchaseConsumables_scr_dialog), _("Select Contry/Region"));
  gtk_window_set_position (GTK_WINDOW (PurchaseConsumables_scr_dialog), GTK_WIN_POS_MOUSE);
  gtk_window_set_modal (GTK_WINDOW (PurchaseConsumables_scr_dialog), TRUE);
  gtk_window_set_default_size (GTK_WINDOW (PurchaseConsumables_scr_dialog), 350, -1);
  gtk_window_set_resizable (GTK_WINDOW (PurchaseConsumables_scr_dialog), FALSE);
  gtk_window_set_type_hint (GTK_WINDOW (PurchaseConsumables_scr_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  pc_scr_dialog_vbox = GTK_DIALOG (PurchaseConsumables_scr_dialog)->vbox;
  gtk_widget_show (pc_scr_dialog_vbox);

  pc_scr_dialog_upper_frame = gtk_frame_new (NULL);
  gtk_widget_show (pc_scr_dialog_upper_frame);
  gtk_box_pack_start (GTK_BOX (pc_scr_dialog_vbox), pc_scr_dialog_upper_frame, TRUE, TRUE, 0);
  gtk_widget_set_size_request (pc_scr_dialog_upper_frame, 400, -1);
  gtk_container_set_border_width (GTK_CONTAINER (pc_scr_dialog_upper_frame), 5);
  gtk_frame_set_shadow_type (GTK_FRAME (pc_scr_dialog_upper_frame), GTK_SHADOW_NONE);

  pc_scr_dialog_upper_vbox = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (pc_scr_dialog_upper_vbox);
  gtk_container_add (GTK_CONTAINER (pc_scr_dialog_upper_frame), pc_scr_dialog_upper_vbox);

  pc_scr_dialog_upper_hbox = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (pc_scr_dialog_upper_hbox);
  gtk_box_pack_start (GTK_BOX (pc_scr_dialog_upper_vbox), pc_scr_dialog_upper_hbox, TRUE, TRUE, 0);

  pc_scr_dialog_label = gtk_label_new (_("Country/Region:"));
  gtk_widget_show (pc_scr_dialog_label);
  gtk_box_pack_start (GTK_BOX (pc_scr_dialog_upper_hbox), pc_scr_dialog_label, TRUE, TRUE, 0);
  gtk_misc_set_alignment (GTK_MISC (pc_scr_dialog_label), 0, 0.5);
  gtk_misc_set_padding (GTK_MISC (pc_scr_dialog_label), 3, 0);

  pc_scr_dialog_combobox = gtk_combo_box_new_text ();
  gtk_widget_show (pc_scr_dialog_combobox);
  gtk_box_pack_start (GTK_BOX (pc_scr_dialog_upper_hbox), pc_scr_dialog_combobox, TRUE, TRUE, 0);

  pc_scr_dialog_lower_hbuttonbox = GTK_DIALOG (PurchaseConsumables_scr_dialog)->action_area;
  gtk_widget_show (pc_scr_dialog_lower_hbuttonbox);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (pc_scr_dialog_lower_hbuttonbox), GTK_BUTTONBOX_END);

  pc_scr_dialog_lower_h2buttonbox = gtk_hbutton_box_new ();
  gtk_widget_show (pc_scr_dialog_lower_h2buttonbox);
  gtk_container_add (GTK_CONTAINER (pc_scr_dialog_lower_hbuttonbox), pc_scr_dialog_lower_h2buttonbox);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (pc_scr_dialog_lower_h2buttonbox), GTK_BUTTONBOX_END);

  pc_scr_dialog_ok_button = gtk_button_new_with_mnemonic (_("OK"));
  gtk_widget_show (pc_scr_dialog_ok_button);
  gtk_container_add (GTK_CONTAINER (pc_scr_dialog_lower_h2buttonbox), pc_scr_dialog_ok_button);
  gtk_widget_set_sensitive (pc_scr_dialog_ok_button, FALSE);

  pc_scr_dialog_cancel_button = gtk_button_new_with_mnemonic (_("Cancel "));
  gtk_widget_show (pc_scr_dialog_cancel_button);
  gtk_container_add (GTK_CONTAINER (pc_scr_dialog_lower_h2buttonbox), pc_scr_dialog_cancel_button);
  GTK_WIDGET_SET_FLAGS (pc_scr_dialog_cancel_button, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) PurchaseConsumables_scr_dialog, "delete_event",
                    G_CALLBACK (on_pc_scr_dialog_delete_event),
                    NULL);
  g_signal_connect ((gpointer) PurchaseConsumables_scr_dialog, "destroy",
                    G_CALLBACK (on_pc_scr_dialog_destroy),
                    NULL);
  g_signal_connect ((gpointer) pc_scr_dialog_ok_button, "clicked",
                    G_CALLBACK (on_pc_scr_dialog_ok_button_clicked),
                    NULL);
  g_signal_connect ((gpointer) pc_scr_dialog_cancel_button, "clicked",
                    G_CALLBACK (on_pc_scr_dialog_cancel_button_clicked),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (PurchaseConsumables_scr_dialog, PurchaseConsumables_scr_dialog, "PurchaseConsumables_scr_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (PurchaseConsumables_scr_dialog, pc_scr_dialog_vbox, "pc_scr_dialog_vbox");
  GLADE_HOOKUP_OBJECT (PurchaseConsumables_scr_dialog, pc_scr_dialog_upper_frame, "pc_scr_dialog_upper_frame");
  GLADE_HOOKUP_OBJECT (PurchaseConsumables_scr_dialog, pc_scr_dialog_upper_vbox, "pc_scr_dialog_upper_vbox");
  GLADE_HOOKUP_OBJECT (PurchaseConsumables_scr_dialog, pc_scr_dialog_upper_hbox, "pc_scr_dialog_upper_hbox");
  GLADE_HOOKUP_OBJECT (PurchaseConsumables_scr_dialog, pc_scr_dialog_label, "pc_scr_dialog_label");
  GLADE_HOOKUP_OBJECT (PurchaseConsumables_scr_dialog, pc_scr_dialog_combobox, "pc_scr_dialog_combobox");
  GLADE_HOOKUP_OBJECT_NO_REF (PurchaseConsumables_scr_dialog, pc_scr_dialog_lower_hbuttonbox, "pc_scr_dialog_lower_hbuttonbox");
  GLADE_HOOKUP_OBJECT (PurchaseConsumables_scr_dialog, pc_scr_dialog_lower_h2buttonbox, "pc_scr_dialog_lower_h2buttonbox");
  GLADE_HOOKUP_OBJECT (PurchaseConsumables_scr_dialog, pc_scr_dialog_ok_button, "pc_scr_dialog_ok_button");
  GLADE_HOOKUP_OBJECT (PurchaseConsumables_scr_dialog, pc_scr_dialog_cancel_button, "pc_scr_dialog_cancel_button");

  return PurchaseConsumables_scr_dialog;
}

